/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**

@mainpage CaloClusterCorrection Package

This package provides tools for calorimeter cluster corrections 

The correction tool modify the CaloCluster objects to correct for energy and position measurements. 

The tools are specific for sliding window clusters and Topological clusters


@author Scott Snyder  <snyder@bnl.gov>

@section BaseClass ----Base classes

CaloClusterCorrectionCommon

CaloClusterCorrection

@section ConcreteTools  ----Concrete implementation

CaloClusterLocalCalibCone

CaloClusterLocalCalib

CaloClusterLogPos

CaloClusterUpdate

CaloComputeSWcellWeights

CaloFillRectangularCluster

CaloLongWeights_v2

CaloPhiParabola

CaloScaleCluster

CaloSwApplyWgts_g3

CaloSwCalibHitsCalibration

CaloSwClcon_g3

CaloSwClcon_v2

CaloSwECcrack_g3

CaloSwEta1b_g3

CaloSwEta1e_g3

CaloSwEta2b_g3

CaloSwEta2e_g3

CaloSwEtamod_g3

CaloSwEtamod_v2

CaloSwEtaoff_v2

CaloSwEtaoff_v3

CaloSwGap_g3

CaloSwGap_v2

CaloSwLongWeights

CaloSwPhimod_g3

CaloSwPhimod_v2

CaloSwPhioff_v2

CaloTopoEMGap

CaloTopoEMlayers

CaloTopoEMLongWeights

CaloTopoEMphimod

CaloTopoEMphioff

CaloTopoEMsshape



*/
