///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// TTreeEventContext.cxx 
// Implementation file for class TTreeEventContext
// Author: S.Binet<binet@cern.ch>
/////////////////////////////////////////////////////////////////// 


// STL includes

// Package includes
#include "TTreeEventContext.h"

/////////////////////////////////////////////////////////////////// 
// Public methods: 
/////////////////////////////////////////////////////////////////// 

// Constructors
////////////////
TTreeEventContext::TTreeEventContext( const IEvtSelector* selector ):
  IEvtSelector::Context(),
  m_selector( selector )
{}

TTreeEventContext::TTreeEventContext( const TTreeEventContext& ctxt ) :
  IEvtSelector::Context(),
  m_selector( ctxt.m_selector )
{}

TTreeEventContext& 
TTreeEventContext::operator=(const TTreeEventContext& rhs)
{
  if (this == &rhs) {
    return *this;
  }
  m_selector = rhs.m_selector;
  return *this;
}

// Destructor
///////////////
TTreeEventContext::~TTreeEventContext()
{}

/////////////////////////////////////////////////////////////////// 
// Const methods: 
///////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Protected methods: 
/////////////////////////////////////////////////////////////////// 
