///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// INav4MomAssocs_p1.h 
// Header file for class INav4MomAssocs_p1
// Author: S.Binet<binet@cern.ch>
/////////////////////////////////////////////////////////////////// 
#ifndef EVENTCOMMONTPCNV_INAV4MOMASSOCS_P1_H 
#define EVENTCOMMONTPCNV_INAV4MOMASSOCS_P1_H 

// STL includes
#include <string>
#include <vector>
#include <utility>

// HepMC / CLHEP includes

// Forward declaration
class INav4MomAssocsCnv_p1;

class INav4MomAssocs_p1
{ 

  /////////////////////////////////////////////////////////////////// 
  // Friend classes
  /////////////////////////////////////////////////////////////////// 

  // Make the AthenaPoolCnv class our friend
  friend class INav4MomAssocsCnv_p1;

  /////////////////////////////////////////////////////////////////// 
  // Public typedefs: 
  /////////////////////////////////////////////////////////////////// 
 public:
  // some typedefs as a workaround for templated classes with a long name
  typedef std::pair<std::string,unsigned int> Elem_t;
  typedef std::pair<Elem_t,Elem_t>            ElemLink_t;
  typedef std::vector<ElemLink_t>             ElemLinkVect_t;

  typedef std::vector<std::string>            INav4MomStores_t;

   /////////////////////////////////////////////////////////////////// 
  // Public methods: 
  /////////////////////////////////////////////////////////////////// 
 public: 

  /** Default constructor: 
   */
  INav4MomAssocs_p1();

  /** Destructor: 
   */
  ~INav4MomAssocs_p1(); 

  /////////////////////////////////////////////////////////////////// 
  // Const methods: 
  ///////////////////////////////////////////////////////////////////

  /////////////////////////////////////////////////////////////////// 
  // Non-const methods: 
  /////////////////////////////////////////////////////////////////// 

  /////////////////////////////////////////////////////////////////// 
  // Protected data: 
  /////////////////////////////////////////////////////////////////// 
 protected: 

  ElemLinkVect_t   m_assocs;
  INav4MomStores_t m_assocStores;

}; 

/////////////////////////////////////////////////////////////////// 
/// Inline methods: 
/////////////////////////////////////////////////////////////////// 

inline INav4MomAssocs_p1::INav4MomAssocs_p1() :
  m_assocs(),
  m_assocStores()
{}

inline INav4MomAssocs_p1::~INav4MomAssocs_p1()
{}

#endif //> EVENTCOMMONTPCNV_INAV4MOMASSOCS_P1_H
