///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// HepLorentzVectorCnv_p1.cxx 
// Implementation file for class HepLorentzVectorCnv_p1
// Author: S.Binet<binet@cern.ch>
/////////////////////////////////////////////////////////////////// 


// STL includes

// Framework includes
#include "GaudiKernel/MsgStream.h"

// CLHEP includes
#define private public
#define protected public
#include "CLHEP/Vector/LorentzVector.h"
#undef protected
#undef private

// EventCommonTPCnv includes
#include "EventCommonTPCnv/HepLorentzVectorCnv_p1.h"

/////////////////////////////////////////////////////////////////// 
// Public methods: 
/////////////////////////////////////////////////////////////////// 

// Constructors
////////////////

// Destructor
///////////////

/////////////////////////////////////////////////////////////////// 
// Const methods: 
///////////////////////////////////////////////////////////////////

void 
HepLorentzVectorCnv_p1::persToTrans( const HepLorentzVector_p1* pers, 
				     CLHEP::HepLorentzVector* trans, 
				     MsgStream &/*log*/ )
{
  trans->set( pers->m_px, pers->m_py, pers->m_pz, pers->m_ene );
  return;
}

void 
HepLorentzVectorCnv_p1::transToPers( const CLHEP::HepLorentzVector* trans, 
				     HepLorentzVector_p1* pers, 
				     MsgStream &/*log*/ )
{
  pers->m_px  = trans->px();
  pers->m_py  = trans->py();
  pers->m_pz  = trans->pz();
  pers->m_ene = trans->e() ;
  return;
}

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Protected methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Const methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 
