///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// P4ImplEEtaPhiMCnv_p2.cxx 
// Implementation file for class P4ImplEEtaPhiMCnv_p2
// Author: I. Vukotic <ivukotic@cern.ch>
/////////////////////////////////////////////////////////////////// 


// STL includes

// Framework includes
#include "GaudiKernel/MsgStream.h"

// NavFourMom includes
#define private public
#define protected public
#include "FourMom/Lib/P4ImplEEtaPhiM.h"
#undef protected
#undef private

// EventCommonTPCnv includes
#include "EventCommonTPCnv/P4ImplEEtaPhiMCnv_p2.h"

/////////////////////////////////////////////////////////////////// 
// Public methods: 
/////////////////////////////////////////////////////////////////// 

// Constructors
////////////////

// Destructor
///////////////

/////////////////////////////////////////////////////////////////// 
// Const methods: 
///////////////////////////////////////////////////////////////////

void 
P4ImplEEtaPhiMCnv_p2::persToTrans( const P4EEtaPhiMFloat_p2* persObj, 
				   P4ImplEEtaPhiM* transObj, 
				   MsgStream &/*log*/ )
{
  transObj->m_e   = (double) persObj->m_e;
  transObj->m_eta = (double) persObj->m_eta;
  transObj->m_phi = (double) persObj->m_phi;
  transObj->m_m   = (double) persObj->m_m;
  return;
}

void 
P4ImplEEtaPhiMCnv_p2::transToPers( const P4ImplEEtaPhiM* transObj, 
				   P4EEtaPhiMFloat_p2* persObj, 
				   MsgStream &/*log*/ )
{
  persObj->m_e   = (float) transObj->m_e;
  persObj->m_eta = (float) transObj->m_eta;
  persObj->m_phi = (float) transObj->m_phi;
  persObj->m_m   = (float) transObj->m_m;
  return;
}

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Protected methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Const methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 
