\page Links Useful Links, Papers and Paths

\brief Pointers to helpful material and resources, both in ATLAS and from the Herwig authors


\tableofcontents


\section SecAtlasResources ATLAS Resources


\subsection SubSecLinksAtlasTWiki TWiki Pages

- [Herwig 7 ATLAS TWiki](https://twiki.cern.ch/twiki/bin/view/AtlasProtected/Herwig7ForAtlas>)

  - List of settings and switches: [Google Docs spreadsheet](https://docs.google.com/spreadsheets/d/1USUnQed5H8_r0y2f4sLJmY1il8G-yTeW2lnzqqO_5_I/edit?pli=1#gid=0)
    (at the moment access permission needs to be requested from Daniel Rauch)
  - List of LCG installations: [Google Docs spreadsheet](https://docs.google.com/spreadsheets/d/15smCIzARrwbHwQ1fKviFp_-uMgbcNRZjD5J7HLDZeps/edit#gid=0)
    (at the moment access permission needs to be requested from Daniel Rauch)

- [Herwig++ ATLAS TWiki](https://twiki.cern.ch/twiki/bin/viewauth/AtlasProtected/HerwigppForAtlas>)

Related ATLAS TWiki Pages:

- [ATLAS Generators List](https://twiki.cern.ch/twiki/bin/view/AtlasProtected/McGeneratorsForAtlas)
- [ATLAS Generators BibTeX References](https://twiki.cern.ch/twiki/bin/view/AtlasProtected/PubComUsefulBibTex#Monte_Carlo_generators)


\subsection SubSecLinksAtlasJiraTickets JIRA Tickets

- [JIRA epic for the extension of the athena interface](https://its.cern.ch/jira/browse/AGENE-1118)
- [JIRA epic for common MG5_aMC@NLO installation](https://its.cern.ch/jira/browse/AGENE-1141)


\subsection SubSecLinksAtlasPackages Software Packages

Trac                                                                                                      | CMT                                | SVN
--------------------------------------------------------------------------------------------------------- | ---------------------------------- | -----------------------------------------------------------------------
[Generators/Herwig7_i](https://svnweb.cern.ch/trac/atlasoff/browser/Generators/Herwig7_i/trunk)           | `cmt co Generators/Herwig7_i`      | `svn co svn+ssh://svn.cern.ch/reps/atlasoff/Generators/Herwig7_i/`
[Generators/Herwigpp_i](https://svnweb.cern.ch/trac/atlasoff/browser/Generators/Herwigpp_i/trunk)         | `cmt co Generators/Herwigpp_i`     | `svn co svn+ssh://svn.cern.ch/reps/atlasoff/Generators/Herwigpp_i/`
[External/Herwig7](https://svnweb.cern.ch/trac/atlasoff/browser/External/Herwig7/trunk)                   | `cmt co External/Herwig7`          | `svn co svn+ssh://svn.cern.ch/reps/atlasoff/External/Herwig7/`
[External/Herwigpp](https://svnweb.cern.ch/trac/atlasoff/browser/External/Herwigpp/trunk)                 | `cmt co External/Herwigpp`         | `svn co svn+ssh://svn.cern.ch/reps/atlasoff/External/Herwigpp/`
[External/ThePEG](https://svnweb.cern.ch/trac/atlasoff/browser/External/ThePEG/trunk)                     | `cmt co External/ThePEG`           | `svn co svn+ssh://svn.cern.ch/reps/atlasoff/External/ThePEG/`
[Generators/MC15JobOptions](https://svnweb.cern.ch/trac/atlasoff/browser/Generators/MC15JobOptions/trunk) | `cmt co Generators/MC15JobOptions` | `svn co svn+ssh://svn.cern.ch/reps/atlasoff/Generators/MC15JobOptions/`


\subsection SubSecLinksTags Current Tags

Release      | External/ThePEG    | External/Herwig7    | Generators/Herwig7_i | References
------------ | ------------------ | ------------------- | -------------------- | ----------------------------------------------------
19.2.X.Y-VAL | ThePEG-02-00-01-01 | Herwig7-07-00-01-01 | Herwig7_i-00-00-00   | [ticket](https://its.cern.ch/jira/browse/AGENE-1203)


\subsection SubSecLinksBuild Build Services

ATLAS Nightlies Browser

- [Global Summary](http://atlas-nightlies-browser.cern.ch/~platinum/nightlies/globalpage)

  - [19.2.X.Y-VAL-Prod](http://atlas-nightlies-browser.cern.ch/~platinum/nightlies/info?tp=g&nightly=19.2.X.Y-VAL-Prod)

NICOS Project (NIghtly COntrol System)

- [Global Page](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/global_static/)

- Build Pages

  - [19.2.X.Y-VAL-Prod: Current Build Summary](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/global/index19.2.X.Y-VAL-Prod.html)
  - [19.2.X.Y-VAL-Prod: Last 7 Days' Build Summaries](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/index.html)
  - [19.2.X.Y-VAL-Prod: Package Versions](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_content_6.html)

- ATN Tests

  - 19.2.X.Y-VAL:
    [r0](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_testsummary_0.html) /
    [r1](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_testsummary_1.html) /
    [r2](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_testsummary_2.html) /
    [r3](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_testsummary_3.html) /
    [r4](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_testsummary_4.html) /
    [r5](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_testsummary_5.html) /
    [r6](http://atlas-computing.web.cern.ch/atlas-computing/links/distDirectory/nightlies/patchWebArea/nicos_web_area192XYVALProd64BS6G47ProdOpt/nicos_testsummary_6.html)

ATLAS TWiki Pages

- [Nightly Build Summary](https://twiki.cern.ch/twiki/bin/viewauth/AtlasComputing/NightlyBuildSummary)
- [ATLAS Nightlies CVMFS server](https://twiki.cern.ch/twiki/bin/view/AtlasComputing/AtlasNightliesCernVMFS)


\subsection SubSecLinksAtlasCodeChecks Source Code Analysis & Checks

**Static Source Code Analysis**

- [TWiki: Coverity at ATLAS](https://twiki.cern.ch/twiki/bin/view/AtlasComputing/AtlasCoverity)

  - [ATLAS Coverity Static Source Code Checks](https://atlas-coverity.cern.ch/)
  - [Summary of Coverity Defects](http://atlas-computing.web.cern.ch/atlas-computing/projects/qa/CoverityResult/Projects/Statistics.xml)
  - [Coverity Defects in Generators](http://atlas-computing.web.cern.ch/atlas-computing/projects/qa/CoverityResult/emails/atlas-srl-Generators.txt)

- [TWiki: CppCheck at ATLAS](https://twiki.cern.ch/twiki/bin/view/AtlasComputing/CppCheck)

  - [Summary of CppCheck Defects](http://atlas-computing.web.cern.ch/atlas-computing/projects/qa/cppcheck/result/Statistics.xml)
  - [CppCheck Defects in Generators](http://atlas-computing.web.cern.ch/atlas-computing/projects/qa/cppcheck/emails/atlas-srl-Generators.txt)


**Run-Time Tests**

\todo Currently only one or two tests exist and are broken. Fix the jobOptions for the tests and add more.

\todo Could this be relevant? [ATLAS-RTT](https://atlas-rtt.cern.ch/)



\section SecHerwigResources Herwig Resources


\subsection SubSecLinksHerwigWeb Online Documentation

- [Herwig 7 Project Website on HepForge](http://herwig.hepforge.org)
  
- [Herwig 7 Online Documentation and Tutorials](http://herwig.hepforge.org/tutorials/index.html)

- [Herwig 7 Plots Database](https://herwig.hepforge.org/plots/herwig7.0)
   
  - Top Quark Pair Production:

    - [ATLAS_2015_I1345452](https://herwig.hepforge.org/plots/herwig7.0/Rivet-LHC-Jets/ATLAS_2015_I1345452/index.html): Pseudo-top-antitop cross sections
    - [ATLAS_2014_I1304688](https://herwig.hepforge.org/plots/herwig7.0/Rivet-LHC-Jets/ATLAS_2014_I1304688/index.html): Measurement of jet multiplicity and transverse momentum spectra in top events using full 7 TeV ATLAS dataset
    - [ATLAS_2013_I1243871](https://herwig.hepforge.org/plots/herwig7.0/Rivet-LHC-Jets/ATLAS_2013_I1243871/index.html): Measurement of jet shapes in top quark pair events at \f$\sqrt{s}=7~\text{TeV}\f$ with ATLAS
    - [ATLAS_2012_I1094568](https://herwig.hepforge.org/plots/herwig7.0/Rivet-LHC-Jets/ATLAS_2012_I1094568/index.html): Measurement of ttbar production with a veto on additional central jet activity (gap fractions)
    - [MC_TTBAR](https://herwig.hepforge.org/plots/herwig7.0/Rivet-LHC-Jets/MC_TTBAR/index.html): MC analysis for ttbar studies


\subsection SubSecLinksHerwigLiterature Publications

**Herwig++**

- [arXiv:0803.0883 [hep-ph]](http://arxiv.org/abs/0803.0883): Herwig++ Physics and Manual

- Release Notes

  - [arXiv:1205.4902 [hep-ph]](http://arxiv.org/abs/1205.4902): Herwig++ 2.6 Release Note
  - [arXiv:1310.6877 [hep-ph]](http://arxiv.org/abs/1310.6877): Herwig++ 2.7 Release Note

- Underlying Event / Multi-Parton Interaction / Soft Physics
  
  - [arXiv:0905.4671 [hep-ph]](http://arxiv.org/abs/0905.4671): Soft interactions in Herwig++
  - [arXiv:1110.2675 [hep-ph]](http://arxiv.org/abs/1110.2675): Multiple Partonic Interaction Developments in Herwig++
  - [arXiv:1206.0041 [hep-ph]](http://arxiv.org/abs/1206.0041): Colour reconnections in Herwig++
  - [arXiv:1206.2205 [hep-ph]](http://arxiv.org/abs/1206.2205): The Underlying Event in Herwig++
  - [arXiv:1302.4892 [hep-ph]](http://arxiv.org/abs/1302.4892): Multiple Partonic Interactions in Herwig++
  - [arXiv:1303.4563 [hep-ph]](http://arxiv.org/abs/1303.4563): Monte Carlo Simulation of Hard Radiation in Decays in Beyond the Standard Model Physics in Herwig++
  - [arXiv:1307.5015 [hep-ph]](http://arxiv.org/abs/1307.5015): Constraining MPI models using sigma_effective and recent Tevatron and LHC Underlying Event data

**Herwig 7**

- [arXiv:1512.01178 [hep-ph]](http://arxiv.org/abs/1512.01178): Herwig 7 Release Note
- [arXiv:1601.04101 [hep-ph]](http://arxiv.org/abs/1601.04101): NLO efforts in Herwig++

- Phenomenology papers:

  - [arXiv:1602.04690 [hep-ph]](http://arxiv.org/abs/1602.04690): Towards Diffraction in Herwig
  - [arXiv:1602.05141 [hep-ph]](http://arxiv.org/abs/1602.05141): Anomalous coupling, top-mass and parton-shower effects in \f$W^{+}W^{−}\f$ production
  - [arXiv:1605.01338 [hep-ph]](http://arxiv.org/abs/1605.01338): Parton Shower Uncertainties with Herwig 7: Benchmarks at Leading Order
  - [arXiv:1605.07851 [hep-ph]](http://arxiv.org/abs/1605.07851): Parton Shower Matching Systematics in Vector-Boson-Fusion WW Production
  - [arXiv:1605.08256 [hep-ph]](http://arxiv.org/abs/1605.08256): Reweighting Parton Showers
  - [arXiv:1607.00159 [hep-ph]](http://arxiv.org/abs/1607.00159): Parton-shower Effects in Vector-Boson-Fusion Processes



\section SecLinksInstallations Installations


- Installation on /afs/cern.ch: `/afs/cern.ch/sw/lcg/external/MCGenerators_lcgcmt67c`
  including log files, source code, etc.

  - Herwig 7.0.1: `/afs/cern.ch/sw/lcg/external/MCGenerators_lcgcmt67c/herwigpp/7.0.1/x86_64-slc6-gcc47-opt`
  - MG5_aMC@NLO 2.2.1: `/afs/cern.ch/sw/lcg/external/MCGenerators_lcgcmt67c/madgraph5amc/2.2.1/x86_64-slc6-gcc47-opt`

- Installation on cvmfs for base release 19.2.5: `/cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc6-gcc47-opt/19.2.5/sw/lcg/external/MCGenerators_lcgcmt67c`

  - Herwig 7.0.1: `/cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc6-gcc47-opt/19.2.5/sw/lcg/external/MCGenerators_lcgcmt67c/herwig++/7.0.1/x86_64-slc6-gcc47-opt`
  - ThePEG 2.0.1: `/cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc6-gcc47-opt/19.2.5/sw/lcg/external/MCGenerators_lcgcmt67c/thepeg/2.0.1/x86_64-slc6-gcc47-opt`
