/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

#ifndef TESTRUNNUMBER2_H
#define TESTRUNNUMBER2_H

#include <is/info.h>
#include <is/namedinfo.h>

#include <string>
#include <vector>
#include <iostream>

#include <ctime>

using std::cout;
using std::endl;

/**
 * IS class to contain luminosity block information from the CTPCORE
 * 
 * @author  generated by the IS tool
 * @version 07/08/07
 */

class TestRunNumber2 : public ISNamedInfo {
public:

  /**
   * Run number
   */
  unsigned int runnumber;
  std::string  name;
  
  static const ISType & type() {
    static const ISType type_ = TestRunNumber2(  IPCPartition(), "" ).ISInfo::type();
    return type_;
  }
  
  TestRunNumber2  ( const IPCPartition & partition, const std::string & name )
    : ISNamedInfo( partition, name, "TestRunNumber2" )
    {
      initialize();
    }
    
    
      
      ~TestRunNumber2()
	{
	  // <<BeginUserCode>>
	  
	  // <<EndUserCode>>
	}
      
	void initialize()
    {
      
// <<EndUserCode>>
    }



protected:
	TestRunNumber2( const IPCPartition & partition, const std::string & name, const std::string & type )
	  : ISNamedInfo( partition, name, type )
	  {
	    initialize();
	  }
	  
    void publishGuts( ISostream & out )
	{
	  out << runnumber << name;

    }

    void refreshGuts( ISistream & in )
	{
	  in >> runnumber >> name;
	}

    // <<EndUserCode>>
};

// <<BeginUserCode>>

// <<EndUserCode>>
#endif // TESTRUNNUMBER2_H
