/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**
@mainpage LArG4ShowerLib Package

@author Wolfgang Ehrenfeld <Wolfgang.Ehrenfeld@desy.de>
@author Alexandre Glazov <alexandre.glazov@desy.de>

@section LArG4ShowerLibIntro Introduction

This package contains the data objects used for the Geant 4
based shower parametrisation. 

@section LArG4ShowerLibOverview Class Overview
  The LArG4ShowerLib package contains of following data classes:

  Shower library classes:

  - ShowerLib::EtaShowerLib
  - ShowerLib::PosShowerLib
  - ShowerLib::ShowerLib
  - ShowerLib::PositionBin
  - ShowerLib::EnergyBin
  - ShowerLib::Shower
  - ShowerLib::Hit

  Helper classes:

  - ShowerLib::StepInfo
  - ShowerLib::StepInfoCollection

  For all classes a dictionary exist. 
  See @link LArG4ShowerLibDict.h @endlink and @link selection.xml @endlink for more details.

@section LArG4ShowerLib Extra Pages

- @ref used_LArG4ShowerLib
- @ref requirements_LArG4ShowerLib
*/

/**
   @page used_LArG4ShowerLib Used Packages
   @htmlinclude used_packages.html
*/

/**
   @page requirements_LArG4ShowerLib Requirements
   @include requirements
*/


