-- PROJECT: ATLAS MDT Calibration DB
-- AUTHOR: Elisabetta.Vilucchi@lnf.infn.it, celio@fis.uniroma3.it
-- DATE: May 08
-- VERSION v1r1

--USAGE:
--sqlplus <USER_NAME>/<USER_PASSWORD> @mdt_head_table.sql <USER_NAME> <SITE_NAME>(2 characters like MU,MI,RM...) <USER_PASSOWRD> <TABLESPCE_NAME>

--DROP TABLE &1.."MDT_HEAD";
CREATE TABLE &1.."MDT_HEAD" 
( "HEAD_ID" NUMBER, 
"IMPLEMENTATION" VARCHAR2(32) NOT NULL , 
"LOWRUN" NUMBER(8) NOT NULL , 
"UPRUN" NUMBER(8) NOT NULL , 
"LOWTIME" NUMBER(10) NOT NULL , 
"UPTIME" NUMBER(10) NOT NULL , 
"LUMINOSITY" BINARY_FLOAT NOT NULL , 
"ROOTFILE" VARCHAR2(4000) NOT NULL , 
"SITE_NAME" VARCHAR2(2) DEFAULT UPPER('&2') , 
"INSERT_TIME" VARCHAR2(29), 
CONSTRAINT "SITE_NAME" FOREIGN KEY ("SITE_NAME") REFERENCES &1.."SITES" ("NAME") VALIDATE , 
CONSTRAINT "HEAD_ID_PR" PRIMARY KEY ("HEAD_ID", "SITE_NAME") VALIDATE , 
CHECK (UPRUN>=LOWRUN) VALIDATE , 
CHECK (UPTIME>=LOWTIME) VALIDATE ) 
TABLESPACE &4 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K BUFFER_POOL DEFAULT) LOGGING;
