-- PROJECT: ATLAS MDT Calibration DB
-- AUTHOR: Elisabetta.Vilucchi@lnf.infn.it, celio@roma3.infn.it
-- DATE: May 08
-- VERSION v1r1

--USAGE:
--sqlplus <USER_NAME>/<USER_PASSWORD> @mdt_rt_cheby_table.sql <USER_NAME> <SITE_NAME>(2 characters like MU,MI,RM...) <USER_PASSOWRD> <TABLESPCE_NAME>

--DROP TABLE &1.."MDT_RT_CHEBY";
CREATE TABLE &1.."MDT_RT_CHEBY"
( "MDT_RT_CHEBY_ID" 	NUMBER NOT NULL	, 
"MDT_RT_ID" 		NUMBER NOT NULL , 
"N_CHEBY_R" 		NUMBER(3) NOT NULL , 
"N_CHEBY_S" 		NUMBER(3) NOT NULL , 
"T_MIN" 		NUMBER(5,1) NOT NULL , 
"T_MAX" 		NUMBER(5,1) NOT NULL , 
"SITE_NAME"             VARCHAR2(2) DEFAULT UPPER('&2') ,
"INSERT_TIME"           VARCHAR2(19) ,
"CHEBY_COE_R_1" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_2" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_3" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_4" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_5" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_6" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_7" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_8" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_9" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_10" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_11" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_12" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_13" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_14" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_15" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_R_16" 	NUMBER(6,5) NOT NULL , 
"CHI_SQUARE_R" 		NUMBER(7,2) NOT NULL , 
"T_MIN_S" 		NUMBER(5,1) NOT NULL , 
"T_MAX_S" 		NUMBER(5,1) NOT NULL , 
"CHEBY_COE_S_1" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_S_2" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_S_3" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_S_4" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_S_5" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_S_6" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_S_7" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_S_8" 	NUMBER(6,5) NOT NULL , 
"CHI_SQUARE_A" 		NUMBER(7,2) NOT NULL , 
"R_MIN" 		NUMBER(5,3) NOT NULL , 
"R_MAX" 		NUMBER(5,3) NOT NULL , 
"CHEBY_COE_T_1" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_2" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_3" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_4" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_5" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_6" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_7" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_8" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_9" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_10" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_11" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_12" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_13" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_14" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_15" 	NUMBER(6,5) NOT NULL , 
"CHEBY_COE_T_16" 	NUMBER(6,5) NOT NULL , 
CONSTRAINT "MDT_RT_CHEBY_ID_SITE_PR" PRIMARY KEY ("MDT_RT_CHEBY_ID", "SITE_NAME") VALIDATE , 
CONSTRAINT "MDT_RT_CHEBY_MDT_RT_ID_REF" FOREIGN KEY ("MDT_RT_ID", "SITE_NAME") REFERENCES &1.."MDT_RT" ("MDT_RT_ID", "SITE_NAME") VALIDATE ) 
TABLESPACE &4 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K BUFFER_POOL DEFAULT) ;
