-- PROJECT: ATLAS MDT Calibration DB
-- AUTHOR: Elisabetta.Vilucchi@lnf.infn.it, celio@roma3.infn.it
-- DATE: May 08
-- VERSION v1r1

--USAGE:
--sqlplus <USER_NAME>/<USER_PASSWORD> @mdt_rt_table.sql <USER_NAME> <SITE_NAME>(2 characters like MU,MI,RM...) <USER_PASSOWRD> <TABLESPCE_NAME>

--DROP TABLE &1.."MDT_RT";
CREATE TABLE &1.."MDT_RT"  
("MDT_RT_ID"        NUMBER            	NOT NULL ,
"REGION_ID" 	    NUMBER           	NOT NULL , 
"HEAD_ID"           NUMBER         	NOT NULL ,
"LOWRUN" 	    NUMBER(8)      	NOT NULL , 
"UPRUN" 	    NUMBER(8)      	NOT NULL , 
"HISTOGRAM" 	    VARCHAR2(4000) 	NOT NULL ,
"N_SEGS" 	    NUMBER(7)      	NOT NULL ,
"AVER_ANGLE" 	    NUMBER(6,5)    	NOT NULL ,
"DELTA_AVER_ANGLE"  NUMBER(6,5)	   	NOT NULL ,
"AVER_SPREAD" 	    NUMBER(6,5)    	NOT NULL ,
"DELTA_AVER_SPREAD" NUMBER(6,5)    	NOT NULL ,
"CONVERGENCE" 	    NUMBER(7,4)    	NOT NULL ,
"B_AVER" 	    NUMBER(3,2)    	NOT NULL ,
"T_AVER"	    NUMBER(5,2)    	NOT NULL ,
"HV"		    NUMBER(6,2)    	NOT NULL ,
"CURR"  	    NUMBER(10,9)   	NOT NULL ,
"GAS"		    NUMBER(5,2)         NOT NULL ,
"CALIBFLAG"         NUMBER(3) DEFAULT 0 NOT NULL ,
"VALIDFLAG"         NUMBER(3) DEFAULT 0 NOT NULL ,
"SITE_NAME"         VARCHAR2(2) DEFAULT UPPER('&2') , 
"INSERT_TIME"       VARCHAR2(19),
CONSTRAINT "MDT_HEAD_RT_ID_REF"  FOREIGN KEY ("HEAD_ID", "SITE_NAME") REFERENCES &1.."MDT_HEAD"  ("HEAD_ID", "SITE_NAME")  VALIDATE ,
CONSTRAINT "MDT_RT_ID_SITE_PR" PRIMARY KEY ("MDT_RT_ID", "SITE_NAME") VALIDATE , 
CHECK ("UPRUN" >= "LOWRUN") VALIDATE ) 
TABLESPACE &4 PCTFREE 10 INITRANS 1 MAXTRANS 255 STORAGE ( INITIAL 64K BUFFER_POOL DEFAULT) LOGGING;
