/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**

@mainpage MuonCalibITools Package
@author Niels.Van.Eldik@cern.ch

@section MuonCalibIToolsIntro Introduction
Interface classes for the various tools implemented in MuonCalibTools package:
pattern selectors, calibration region selectors.
                                                                                
                                                                                
@section MuonCalibIToolsOverview Class Overview
The MuonCalibITools package contains the following interface classes:

- MuonCalib::IMooPatternForCalibrationTool: base class for the Moore Pattern Tools (obsolete)  

- MuonCalib::IMuonCalibTool: base class for Muon Calibration Tools

- MuonCalib::IRegionSelectorTool: base class for Region Selectors

- MuonCalib::IIdToFixedIdTool: base class for Identifier converters
                                                                                
@ref used_MuonCalibITools
                                                                                
@ref requirements_MuonCalibITools
                                                                                
*/
                                                                                
/**
@page used_MuonCalibITools Used Packages
@htmlinclude used_packages.html
*/
                                                                                
/**
@page requirements_MuonCalibITools Requirements
@include requirements
*/
 
