/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

#ifndef JIVEXML_CSCPREPDATARETRIEVER_H
#define JIVEXML_CSCPREPDATARETRIEVER_H

#include <string>

#include "JiveXML/IDataRetriever.h"

#include "AthenaBaseComps/AthAlgTool.h"


class CscIdHelper;

namespace JiveXML {
  
  class CscPrepDataRetriever : virtual public IDataRetriever, public AthAlgTool {

  public:
    /// Standard Constructor
    CscPrepDataRetriever(const std::string& type, const std::string& name, const IInterface* parent);

    /// Retrieve all the data
    virtual StatusCode retrieve(ToolHandle<IFormatTool> &FormatTool);

    /// Return the name of the data type
    virtual std::string dataTypeName() const { return m_typeName; };

    ///Default AthAlgTool methods
    virtual StatusCode initialize();
    
  private:
    ///The data type that is generated by this retriever
    const std::string m_typeName;

    ///The storegate key for the CSC collection
    std::string m_sgKey;

    /// CSC identifier helper
    const CscIdHelper* m_cscIdHelper;
  };
  
}
#endif
