/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**
@mainpage MuonSegmentMomentum Package
@author Peter Kluit <s01@nikhef.nl>
@author Jochem Snuverink <jsnuverink@nikhef.nl>

@section MuonSegmentMomentumIntro Introduction

This tool fits a momentum to a vector of segments or 2 segments using a curved track model, similar to the one that is used in the pattern recognition tool MuonHoughPatternTool. Tool can also be used for cosmics, a straight line model with ni interaction point constraint is used in that case

@section MuonSegmentMomentumOverview Class Overview
  The MuonSegmentMomentum package contains the following classes:

  - MuonSegmentMomentum: calculates a momentum estimate for segments, 2 methods, one for 2 segments, one for a vector 

@ref used_MuonSegmentMomentum

@ref requirements_MuonSegmentMomentum

*/

/**
@page used_MuonSegmentMomentum Used Packages
@htmlinclude used_packages.html
*/

/**
@page requirements_MuonSegmentMomentum Requirements
@include requirements
*/
