/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**
@mainpage CscValidationUtil package

@author dladams@bnl.gov

@section IntroductionCscValidationUtil Introduction

This package provides utilities and root macros for use by CSC (cathode
strip chamber) validation packages and others.

@section UtilitiesCscValidationUtil Utilities

CscValidationHelper provides methods for  working with CSC entities.

@section RootMacrosCscValidationUtil Root macros

 - CscTupleSequencer - Class to order events in a tree.
 - CscChamberPlot - Class to draw CSC strips, clusters and segments.

@section CommandsCscValidationUtil Commands

@section AdditionalCscValidationUtil Additional information

Many of the utilities that once resided here may now be found in
PhysicsAnalysis/MuonID/MuonRootUtils.

The atlas release macro and python accessor are in PhysicsAnalysis/MuonAtlasRelease.

 - @ref UsedCscValidationUtil
 - @ref RequirementsCscValidationUtil
 - <a href=https://twiki.cern.ch/twiki/bin/view/Atlas/CscReconstruction>CSC reconstruction overview</a>
 - <a href=https://twiki.cern.ch/twiki/bin/view/Atlas/MuPerf>MuPerf overview</a>
*/

/**
@page UsedCscValidationUtil Used packages
@htmlinclude used_packages.html
*/

/**
@page RequirementsCscValidationUtil Requirements
@include requirements
*/
