/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

#ifndef JIVEXML_TRUTHPARTICLERETRIEVER_H
#define JIVEXML_TRUTHPARTICLERETRIEVER_H

#include <string>

#include "JiveXML/IDataRetriever.h"

#include "AthenaBaseComps/AthAlgTool.h"


namespace JiveXML{

  class TruthParticleRetriever : virtual public IDataRetriever, public AthAlgTool {

  public:

    /// Standard Constructor
    TruthParticleRetriever(const std::string& type, const std::string& name, const IInterface* parent);

    /// Retrieve all the data
    virtual StatusCode retrieve(ToolHandle<IFormatTool> &FormatTool);

    /// Return the name of the data type
    virtual std::string dataTypeName() const { return m_typeName; };

  private:

   ///The data type that is generated by this retriever
    const std::string m_typeName;

   /// properties:
    std::string m_sgKey;
    int m_truthStatus;
    int m_truthMaximumPdgId;
    float m_truthPtCut;
    bool m_skimTruth;
  };

}
#endif
