#!/usr/bin/env python

# Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
def get_MUON0_trigs():
    return [
'EF_mu24_g20vh_medium',
'EF_2mu4T_DiMu_L2StarB',
'EF_2mu4T_DiMu_L2StarC',
'EF_mu15_muCombTag_NoEF_L1MU40',
'EF_mu20_muCombTag_NoEF_L1MU40',
'EF_2mu4T_DiMu_l2muonSA',
'EF_mu10_muCombTag_NoEF_L1MU40',
'EF_mu24_muCombTag_NoEF_tight',
'EF_mu24_j65_a4tchad_EFxe40_tclcw',
'EF_mu4T_j65_a4tchad_xe60_tclcw_loose',
'EF_mu4_empty_NoAlg',
'EF_mu11_empty_NoAlg',
'EF_mu4_firstempty_NoAlg',
'EF_mu4_unpaired_iso_NoAlg',
'EF_2mu6',
'EF_3mu6',
'EF_2mu6_DiMu_noVtx_noOS',
'EF_2mu4T_Bmumu',
'EF_2mu6_Bmumux',
'EF_2mu13_Zmumu_IDTrkNoCut',
'EF_2mu6_Upsimumu',
'EF_2mu4T_Bmumu_BarrelOnly',
'EF_2mu4T_Bmumu_Barrel',
'EF_mu4Tmu6_Bmumu_Barrel',
'EF_3mu4T_Tau',
'EF_mu24_j65_a4tchad',
'EF_mu24_j65_a4tchad_EFxe40',
'EF_3mu6_MSonly',
'EF_3mu6_MSonly_EMPTY',
'EF_3mu6_MSonly_UNPAIRED_ISO',
'EF_mu10i_g10_medium',
'EF_L1MU10_NoAlg',
'EF_2mu4T',
'EF_4mu4T',
'EF_mu10_Jpsimumu',
'EF_mu4Tmu6_Bmumu',
'EF_2mu4T_DiMu',
'EF_2mu6_DiMu',
'EF_2mu15',
'EF_mu4Tmu6_DiMu',
'EF_2mu6i_DiMu_DY_2j25_a4tchad',
'EF_2mu6i_DiMu_DY_noVtx_noOS_2j25_a4tchad',
'EF_mu10_Upsimumu_tight_FS',
'EF_mu6_Jpsimumu_tight',
'EF_2mu6i_DiMu_DY_noVtx_noOS',
'EF_2mu4T_DiMu_Barrel',
'EF_2mu4T_DiMu_BarrelOnly',
'EF_mu4Tmu6_DiMu_Barrel',
'EF_2mu4T_Jpsimumu_IDTrkNoCut',
'EF_mu4Tmu6_Jpsimumu_IDTrkNoCut',
'EF_mu18_tight_e7_medium1',
'EF_mu18_tight_mu8_EFFS',
'EF_mu24_tight_mu6_EFFS',
'EF_mu18_tight_2mu4_EFFS',
'EF_mu10i_loose_g12Tvh_medium',
'EF_mu4T_j65_a4tchad_xe70_tclcw_veryloose',
'EF_2mu4T_xe60',
'EF_2mu4T_xe60_tclcw',
'EF_2mu8_EFxe30',
'EF_2mu8_EFxe30_tclcw',
'EF_mu24_j65_a4tchad_EFxe60_tclcw',
'EF_mu10i_loose_g12Tvh_medium_TauMass',
'EF_mu20i_tight_g5_medium',
'EF_mu4Ti_g20Tvh_medium',
'EF_mu24_tight_b35_mediumEF_j35_a4tchad',
'EF_L1MU15_NoAlg',
'EF_L12MU4_NoAlg',
'EF_mu20i_tight_g5_loose_TauMass',
'EF_mu4Ti_g20Tvh_medium_TauMass',
'EF_mu10i_g10_medium_TauMass',
'EF_mu20i_tight_g5_medium_TauMass',
'EF_mu18i4_tight',
'EF_mu4_L1MU11_MSonly_cosmic',
'EF_mu6_Trk_Jpsi_loose',
'EF_mu4T_cosmic',
'EF_mu4_L1MU11_cosmic',
'EF_mu24_tight_3j45_a4tchad',
'EF_2mu8_EFxe40_tclcw',
'EF_mu24_tight_4j45_a4tchad',
'EF_mu24_tight_4j35_a4tchad',
'EF_mu24i_tight',
'EF_mu24i_tight_MuonEF',
'EF_mu24i_tight_MG',
'EF_mu24i_tight_l2muonSA',
'EF_mu24_tight_3j35_a4tchad',
'EF_mu4T',
'EF_mu6',
'EF_mu6i',
'EF_mu8',
'EF_mu10',
'EF_2mu13_l2muonSA',
'EF_2mu13',
'EF_mu6_MSonly',
'EF_mu10_MSonly',
'EF_mu13',
'EF_mu4Tmu6_Jpsimumu_prescaled',
'EF_mu15',
'EF_mu24_g20vh_loose',
'EF_2mu4T_Jpsimumu_prescaled',
'EF_2mu4T_Jpsimumu_Barrel_prescaled',
'EF_2mu4T_Jpsimumu_BarrelOnly_prescaled',
'EF_mu4Tmu6_Jpsimumu_Barrel_prescaled',
'EF_mu18',
'EF_mu24',
'EF_mu40_slow_tight',
'EF_mu60_slow_tight1',
'EF_2mu6_Bmumu',
'EF_mu40_MSonly_barrel_tight',
'EF_mu50_MSonly_barrel_tight',
'EF_mu18_tight_Jpsi_EFFS',
'EF_mu18_tight_L2_2mu4T_Jpsimumu',
'EF_mu40_slow_outOfTime_tight',
'EF_mu60_slow_outOfTime_tight1',
'EF_mu24_tight_EFxe40',
'EF_mu18_IDTrkNoCut_tight',
'EF_mu22_IDTrkNoCut_tight',
'EF_2mu6_Jpsimumu',
'EF_mu8_4j45_a4tchad_L2FS',
'EF_mu24_tight_L2StarB',
'EF_2mu10',
'EF_2mu4T_DiMu_noVtx_noOS',
'EF_mu4Tmu6_DiMu_noVtx_noOS',
'EF_mu18_medium',
'EF_mu24_medium',
'EF_mu18_tight',
'EF_mu24_tight',
'EF_mu24_tight_MuonEF',
'EF_mu24_tight_MG',
'EF_mu24_tight_L2StarC',
'EF_mu36_tight',
'EF_mu40_tight',
'EF_mu20it_tight',
'EF_mu18it_tight',
'EF_mu4T_l2muonSA',
]

def get_MUON0_trigs_run2():
    return [
#:MultiMuon:
'HLT_2mu10',
'HLT_2mu14',
'HLT_2mu4',
'HLT_2mu6',
'HLT_3mu6',
'HLT_3mu6_msonly',
'HLT_mu11_2mu4noL1_nscan03_L1MU10_2MU6',
'HLT_mu11_2mu4noL1_nscan03_L1MU11_2MU6',
'HLT_mu14_iloose_mu14',
'HLT_mu18_2mu0noL1_JpsimumuFS',
'HLT_mu18_2mu4_JpsimumuL2',
'HLT_mu18_2mu4noL1',
'HLT_mu18_mu8noL1',
'HLT_mu20_2mu0noL1_JpsimumuFS',
'HLT_mu20_2mu4_JpsimumuL2',
'HLT_mu20_2mu4noL1',
'HLT_mu20_iloose_2mu4noL1',
'HLT_mu20_iloose_mu8noL1',
'HLT_mu20_imedium_mu8noL1',
'HLT_mu20_msonly_mu6noL1_msonly_nscan05',
'HLT_mu20_mu8noL1',
'HLT_mu22_2mu4noL1',
'HLT_mu22_mu8noL1',
'HLT_mu24_2mu4noL1',
'HLT_mu24_mu8noL1',
#:MuonJet:
'HLT_j30_muvtx',
'HLT_mu20_L1MU15_2j20noL1',
'HLT_mu20_L1MU15_3j20noL1',
'HLT_mu20_L1MU15_4j15noL1',
'HLT_mu20_L1MU15_5j15noL1',
'HLT_mu24_2j20noL1',
'HLT_mu24_3j20noL1',
'HLT_mu24_4j15noL1',
'HLT_mu24_5j15noL1',
'HLT_mu26_2j20noL1',
'HLT_mu26_3j20noL1',
'HLT_mu26_4j15noL1',
'HLT_mu26_5j15noL1',
'HLT_mu6_2j40_0eta490_invm1000',
'HLT_mu6_2j40_0eta490_invm400',
'HLT_mu6_2j40_0eta490_invm600',
'HLT_mu6_2j40_0eta490_invm800',
#:SingleMuon:
'HLT_mu0_perf',
'HLT_mu0noL1_fsperf',
'HLT_mu10',
'HLT_mu10_msonly',
'HLT_mu10_r1extr',
'HLT_mu14',
'HLT_mu18',
'HLT_mu20',
'HLT_mu20_L1MU15',
'HLT_mu20_iloose_L1MU15',
'HLT_mu20_msonly',
'HLT_mu20_r1extr',
'HLT_mu22',
'HLT_mu24',
'HLT_mu24_L1MU15',
'HLT_mu24_iloose_L1MU15',
'HLT_mu24_imedium',
'HLT_mu26',
'HLT_mu26_imedium',
'HLT_mu4',
'HLT_mu4_msonly',
'HLT_mu4_r1extr',
'HLT_mu50',
'HLT_mu6',
'HLT_mu60_0eta105_msonly',
'HLT_mu6_msonly',
#:Bphysics:
'HLT_2mu10_bBmumu',
'HLT_2mu10_bBmumux_BcmumuDsloose',
'HLT_2mu10_bBmumux_BpmumuKp',
'HLT_2mu10_bBmumuxv2',
'HLT_2mu10_bDimu',
'HLT_2mu10_bDimu_noinvm_novtx_ss',
'HLT_2mu10_bDimu_novtx_noos',
'HLT_2mu10_bJpsimumu',
'HLT_2mu10_bUpsimumu',
'HLT_2mu4_bBmumu',
# 'HLT_2mu4_bBmumu_L1BPH-2M-2MU4',
# 'HLT_2mu4_bBmumu_L1BPH-4M8-2MU4',
# 'HLT_2mu4_bBmumu_L1BPH-DR-2MU4',
# 'HLT_2mu4_bBmumu_L1BPH-DR-2MU4-BPH-2M-2MU4',
# 'HLT_2mu4_bBmumu_L1BPH-DR-2MU4-BPH-4M8-2MU4',
# 'HLT_2mu4_bBmumux_BcmumuDsloose',
# 'HLT_2mu4_bBmumux_BcmumuDsloose_L1BPH-2M-2MU4',
# 'HLT_2mu4_bBmumux_BcmumuDsloose_L1BPH-4M8-2MU4',
# 'HLT_2mu4_bBmumux_BcmumuDsloose_L1BPH-DR-2MU4',
# 'HLT_2mu4_bBmumux_BcmumuDsloose_L1BPH-DR-2MU4-BPH-2M-2MU4',
# 'HLT_2mu4_bBmumux_BcmumuDsloose_L1BPH-DR-2MU4-BPH-4M8-2MU4',
'HLT_2mu4_bBmumux_BpmumuKp',
'HLT_2mu4_bBmumuxv2',
# 'HLT_2mu4_bBmumuxv2_L1BPH-2M-2MU4',
# 'HLT_2mu4_bBmumuxv2_L1BPH-4M8-2MU4',
# 'HLT_2mu4_bBmumuxv2_L1BPH-DR-2MU4',
# 'HLT_2mu4_bBmumuxv2_L1BPH-DR-2MU4-BPH-2M-2MU4',
# 'HLT_2mu4_bBmumuxv2_L1BPH-DR-2MU4-BPH-4M8-2MU4',
'HLT_2mu4_bDimu',
# 'HLT_2mu4_bDimu_L1BPH-2M-2MU4',
# 'HLT_2mu4_bDimu_L1BPH-4M8-2MU4',
# 'HLT_2mu4_bDimu_L1BPH-DR-2MU4',
# 'HLT_2mu4_bDimu_L1BPH-DR-2MU4-BPH-2M-2MU4',
# 'HLT_2mu4_bDimu_L1BPH-DR-2MU4-BPH-4M8-2MU4',
'HLT_2mu4_bDimu_noinvm_novtx_ss',
'HLT_2mu4_bDimu_novtx_noos',
# 'HLT_2mu4_bDimu_novtx_noos_L1BPH-2M-2MU4',
# 'HLT_2mu4_bDimu_novtx_noos_L1BPH-4M8-2MU4',
# 'HLT_2mu4_bDimu_novtx_noos_L1BPH-DR-2MU4',
# 'HLT_2mu4_bDimu_novtx_noos_L1BPH-DR-2MU4-BPH-2M-2MU4',
# 'HLT_2mu4_bDimu_novtx_noos_L1BPH-DR-2MU4-BPH-4M8-2MU4',
'HLT_2mu4_bJpsimumu',
# 'HLT_2mu4_bJpsimumu_L1BPH-2M-2MU4',
# 'HLT_2mu4_bJpsimumu_L1BPH-DR-2MU4',
# 'HLT_2mu4_bJpsimumu_L1BPH-DR-2MU4-BPH-2M-2MU4',
'HLT_2mu4_bUpsimumu',
# 'HLT_2mu4_bUpsimumu_L1BPH-2M-2MU4',
'HLT_2mu4_wOvlpRm_bBmumuxv2',
'HLT_2mu4_wOvlpRm_bDimu',
'HLT_2mu4_wOvlpRm_bDimu_noinvm_novtx_ss',
'HLT_2mu4_wOvlpRm_bDimu_novtx_noos',
'HLT_2mu6_bBmumu',
# 'HLT_2mu6_bBmumu_L1BPH-2M-2MU6',
# 'HLT_2mu6_bBmumu_L1BPH-4M8-2MU6',
# 'HLT_2mu6_bBmumu_L1BPH-DR-2MU6',
# 'HLT_2mu6_bBmumu_L1BPH-DR-2MU6-BPH-2M-2MU6',
# 'HLT_2mu6_bBmumu_L1BPH-DR-2MU6-BPH-4M8-2MU6',
'HLT_2mu6_bBmumux_BcmumuDsloose',
# 'HLT_2mu6_bBmumux_BcmumuDsloose_L1BPH-2M-2MU6',
# 'HLT_2mu6_bBmumux_BcmumuDsloose_L1BPH-4M8-2MU6',
# 'HLT_2mu6_bBmumux_BcmumuDsloose_L1BPH-DR-2MU6',
# 'HLT_2mu6_bBmumux_BcmumuDsloose_L1BPH-DR-2MU6-BPH-2M-2MU6',
# 'HLT_2mu6_bBmumux_BcmumuDsloose_L1BPH-DR-2MU6-BPH-4M8-2MU6',
'HLT_2mu6_bBmumux_BpmumuKp',
'HLT_2mu6_bBmumuxv2',
# 'HLT_2mu6_bBmumuxv2_L1BPH-2M-2MU6',
# 'HLT_2mu6_bBmumuxv2_L1BPH-4M8-2MU6',
# 'HLT_2mu6_bBmumuxv2_L1BPH-DR-2MU6',
# 'HLT_2mu6_bBmumuxv2_L1BPH-DR-2MU6-BPH-2M-2MU6',
# 'HLT_2mu6_bBmumuxv2_L1BPH-DR-2MU6-BPH-4M8-2MU6',
'HLT_2mu6_bDimu',
# 'HLT_2mu6_bDimu_L1BPH-2M-2MU6',
# 'HLT_2mu6_bDimu_L1BPH-4M8-2MU6',
# 'HLT_2mu6_bDimu_L1BPH-DR-2MU6',
# 'HLT_2mu6_bDimu_L1BPH-DR-2MU6-BPH-2M-2MU6',
# 'HLT_2mu6_bDimu_L1BPH-DR-2MU6-BPH-4M8-2MU6',
'HLT_2mu6_bDimu_noinvm_novtx_ss',
'HLT_2mu6_bDimu_novtx_noos',
# 'HLT_2mu6_bDimu_novtx_noos_L1BPH-2M-2MU6',
# 'HLT_2mu6_bDimu_novtx_noos_L1BPH-4M8-2MU6',
# 'HLT_2mu6_bDimu_novtx_noos_L1BPH-DR-2MU6',
# 'HLT_2mu6_bDimu_novtx_noos_L1BPH-DR-2MU6-BPH-2M-2MU6',
# 'HLT_2mu6_bDimu_novtx_noos_L1BPH-DR-2MU6-BPH-4M8-2MU6',
'HLT_2mu6_bJpsimumu',
# 'HLT_2mu6_bJpsimumu_L1BPH-2M-2MU6',
# 'HLT_2mu6_bJpsimumu_L1BPH-DR-2MU6',
# 'HLT_2mu6_bJpsimumu_L1BPH-DR-2MU6-BPH-2M-2MU6',
'HLT_2mu6_bUpsimumu',
# 'HLT_2mu6_bUpsimumu_L1BPH-2M-2MU6',
'HLT_3mu4_bDimu',
'HLT_3mu4_bJpsi',
'HLT_3mu4_bTau',
'HLT_3mu4_bUpsi',
'HLT_3mu6_bDimu',
'HLT_3mu6_bJpsi',
'HLT_3mu6_bTau',
'HLT_3mu6_bUpsi',
'HLT_3mu6_wOvlpRm_bDimu',
'HLT_mu4_iloose_mu4_11invm60_noos',
'HLT_mu4_iloose_mu4_7invm9_noos',
'HLT_mu6_bJpsi_Trkloose',
'HLT_mu6_iloose_mu6_11invm60_noos',
'HLT_mu6_mu4_bBmumu',
'HLT_mu6_mu4_bBmumux_BcmumuDsloose',
'HLT_mu6_mu4_bBmumux_BpmumuKp',
'HLT_mu6_mu4_bBmumuxv2',
'HLT_mu6_mu4_bDimu',
'HLT_mu6_mu4_bDimu_noinvm_novtx_ss',
'HLT_mu6_mu4_bDimu_novtx_noos',
'HLT_mu6_mu4_bJpsimumu',
'HLT_mu6_mu4_bUpsimumu',
#:MuonTau:
'HLT_mu14_iloose_tau25_medium1_tracktwo',
'HLT_mu14_iloose_tau35_medium1_tracktwo',
'HLT_mu14_tau25_medium1_tracktwo',
'HLT_mu14_tau25_medium1_tracktwo_L1DR',
'HLT_mu14_tau25_medium1_tracktwo_L1DR',
'HLT_mu14_tau25_medium1_tracktwo_L1MU10_TAU12I',
'HLT_mu14_tau35_medium1_tracktwo',
'HLT_mu14_tau35_medium1_tracktwo_L1TAU20',
#:MuonBjet:
'HLT_2mu14_2j35_bperf',
'HLT_mu26_imedium_2j35_bperf',
'HLT_mu4_3j55_dr05',
'HLT_mu4_j15_bperf_dr05',
'HLT_mu4_j25_bperf_dr05',
'HLT_mu4_j35_bperf_dr05',
'HLT_mu4_j55_bperf_dr05',
'HLT_mu6_j110_bperf_dr05',
'HLT_mu6_j150_bperf_dr05',
'HLT_mu6_j175_bperf_dr05',
'HLT_mu6_j260_bperf_dr05',
'HLT_mu6_j320_bperf_dr05',
'HLT_mu6_j400_bperf_dr05',
'HLT_mu6_j85_bperf_dr05',
#:EgammaMuon:
'HLT_2e12_lhloose_mu10',
'HLT_2e12_lhmedium_mu10',
'HLT_2e12_loose_mu10',
'HLT_2e12_medium_mu10',
'HLT_2g10_loose_mu20',
'HLT_2g10_medium_mu20',
'HLT_e12_lhloose_2mu10',
'HLT_e12_lhmedium_2mu10',
'HLT_e12_loose_2mu10',
'HLT_e12_medium_2mu10',
'HLT_e17_lhloose_mu14',
'HLT_e17_loose_mu14',
'HLT_g10_etcut_L1EM7_mu10_taumass',
'HLT_g10_etcut_mu10_L1LFV',
'HLT_g10_etcut_mu10_taumass',
'HLT_g15_loose_2mu10_msonly',
'HLT_g20_etcut_L1EM15_mu4_taumass',
'HLT_g20_etcut_mu4_L1LFV',
'HLT_g20_etcut_mu4_taumass',
'HLT_g25_medium_mu24',
]
