#!/usr/bin/env python

# Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
def get_MUON2_trigs():
    singleMuonTriggers = [
'EF_mu24_g20vh_medium',
# 'EF_2mu4T_DiMu_L2StarB',
# 'EF_2mu4T_DiMu_L2StarC',
# 'EF_mu15_muCombTag_NoEF_L1MU40',
# 'EF_mu20_muCombTag_NoEF_L1MU40',
# 'EF_2mu4T_DiMu_l2muonSA',
# 'EF_mu10_muCombTag_NoEF_L1MU40',
# 'EF_mu24_muCombTag_NoEF_tight',
'EF_mu24_j65_a4tchad_EFxe40_tclcw',
'EF_mu4T_j65_a4tchad_xe60_tclcw_loose',
'EF_mu4_empty_NoAlg',
'EF_mu11_empty_NoAlg',
'EF_mu4_firstempty_NoAlg',
'EF_mu4_unpaired_iso_NoAlg',
# 'EF_2mu6',
# 'EF_3mu6',
# 'EF_2mu6_DiMu_noVtx_noOS',
# 'EF_2mu4T_Bmumu',
# 'EF_2mu6_Bmumux',
# 'EF_2mu13_Zmumu_IDTrkNoCut',
# 'EF_2mu6_Upsimumu',
# 'EF_2mu4T_Bmumu_BarrelOnly',
# 'EF_2mu4T_Bmumu_Barrel',
# 'EF_mu4Tmu6_Bmumu_Barrel',
# 'EF_3mu4T_Tau',
'EF_mu24_j65_a4tchad',
'EF_mu24_j65_a4tchad_EFxe40',
# 'EF_3mu6_MSonly',
# 'EF_3mu6_MSonly_EMPTY',
# 'EF_3mu6_MSonly_UNPAIRED_ISO',
'EF_mu10i_g10_medium',
'EF_L1MU10_NoAlg',
# 'EF_2mu4T',
# 'EF_4mu4T',
# 'EF_mu10_Jpsimumu',
# 'EF_mu4Tmu6_Bmumu',
# 'EF_2mu4T_DiMu',
# 'EF_2mu6_DiMu',
# 'EF_2mu15',
# 'EF_mu4Tmu6_DiMu',
# 'EF_2mu6i_DiMu_DY_2j25_a4tchad',
# 'EF_2mu6i_DiMu_DY_noVtx_noOS_2j25_a4tchad',
# 'EF_mu10_Upsimumu_tight_FS',
# 'EF_mu6_Jpsimumu_tight',
# 'EF_2mu6i_DiMu_DY_noVtx_noOS',
# 'EF_2mu4T_DiMu_Barrel',
# 'EF_2mu4T_DiMu_BarrelOnly',
# 'EF_mu4Tmu6_DiMu_Barrel',
# 'EF_2mu4T_Jpsimumu_IDTrkNoCut',
# 'EF_mu4Tmu6_Jpsimumu_IDTrkNoCut',
'EF_mu18_tight_e7_medium1',
# 'EF_mu18_tight_mu8_EFFS',
# 'EF_mu24_tight_mu6_EFFS',
# 'EF_mu18_tight_2mu4_EFFS',
'EF_mu10i_loose_g12Tvh_medium',
'EF_mu4T_j65_a4tchad_xe70_tclcw_veryloose',
# 'EF_2mu4T_xe60',
# 'EF_2mu4T_xe60_tclcw',
# 'EF_2mu8_EFxe30',
# 'EF_2mu8_EFxe30_tclcw',
'EF_mu24_j65_a4tchad_EFxe60_tclcw',
'EF_mu10i_loose_g12Tvh_medium_TauMass',
'EF_mu20i_tight_g5_medium',
'EF_mu4Ti_g20Tvh_medium',
'EF_mu24_tight_b35_mediumEF_j35_a4tchad',
'EF_L1MU15_NoAlg',
'EF_L12MU4_NoAlg',
'EF_mu20i_tight_g5_loose_TauMass',
'EF_mu4Ti_g20Tvh_medium_TauMass',
'EF_mu10i_g10_medium_TauMass',
'EF_mu20i_tight_g5_medium_TauMass',
'EF_mu18i4_tight',
'EF_mu4_L1MU11_MSonly_cosmic',
'EF_mu6_Trk_Jpsi_loose',
'EF_mu4T_cosmic',
'EF_mu4_L1MU11_cosmic',
'EF_mu24_tight_3j45_a4tchad',
'EF_2mu8_EFxe40_tclcw',
'EF_mu24_tight_4j45_a4tchad',
'EF_mu24_tight_4j35_a4tchad',
'EF_mu24i_tight',
'EF_mu24i_tight_MuonEF',
'EF_mu24i_tight_MG',
'EF_mu24i_tight_l2muonSA',
'EF_mu24_tight_3j35_a4tchad',
'EF_mu4T',
'EF_mu6',
'EF_mu6i',
'EF_mu8',
'EF_mu10',
# 'EF_2mu13_l2muonSA',
# 'EF_2mu13',
'EF_mu6_MSonly',
'EF_mu10_MSonly',
'EF_mu13',
# 'EF_mu4Tmu6_Jpsimumu_prescaled',
'EF_mu15',
'EF_mu24_g20vh_loose',
# 'EF_2mu4T_Jpsimumu_prescaled',
# 'EF_2mu4T_Jpsimumu_Barrel_prescaled',
# 'EF_2mu4T_Jpsimumu_BarrelOnly_prescaled',
# 'EF_mu4Tmu6_Jpsimumu_Barrel_prescaled',
'EF_mu18',
'EF_mu24',
'EF_mu40_slow_tight',
'EF_mu60_slow_tight1',
# 'EF_2mu6_Bmumu',
'EF_mu40_MSonly_barrel_tight',
'EF_mu50_MSonly_barrel_tight',
'EF_mu18_tight_Jpsi_EFFS',
# 'EF_mu18_tight_L2_2mu4T_Jpsimumu',
'EF_mu40_slow_outOfTime_tight',
'EF_mu60_slow_outOfTime_tight1',
'EF_mu24_tight_EFxe40',
'EF_mu18_IDTrkNoCut_tight',
'EF_mu22_IDTrkNoCut_tight',
# 'EF_2mu6_Jpsimumu',
'EF_mu8_4j45_a4tchad_L2FS',
'EF_mu24_tight_L2StarB',
# 'EF_2mu10',
# 'EF_2mu4T_DiMu_noVtx_noOS',
# 'EF_mu4Tmu6_DiMu_noVtx_noOS',
'EF_mu18_medium',
'EF_mu24_medium',
'EF_mu18_tight',
'EF_mu24_tight',
'EF_mu24_tight_MuonEF',
'EF_mu24_tight_MG',
'EF_mu24_tight_L2StarC',
'EF_mu36_tight',
'EF_mu40_tight',
'EF_mu20it_tight',
'EF_mu18it_tight',
'EF_mu4T_l2muonSA',
]
    jpsiTriggers = [
# 'EF_mu24_g20vh_medium',
# # 'EF_2mu4T_DiMu_L2StarB',
# # 'EF_2mu4T_DiMu_L2StarC',
# # 'EF_mu15_muCombTag_NoEF_L1MU40',
# # 'EF_mu20_muCombTag_NoEF_L1MU40',
# # 'EF_2mu4T_DiMu_l2muonSA',
# # 'EF_mu10_muCombTag_NoEF_L1MU40',
# # 'EF_mu24_muCombTag_NoEF_tight',
# 'EF_mu24_j65_a4tchad_EFxe40_tclcw',
# 'EF_mu4T_j65_a4tchad_xe60_tclcw_loose',
# 'EF_mu4_empty_NoAlg',
# 'EF_mu11_empty_NoAlg',
# 'EF_mu4_firstempty_NoAlg',
# 'EF_mu4_unpaired_iso_NoAlg',
# # 'EF_2mu6',
# # 'EF_3mu6',
# # 'EF_2mu6_DiMu_noVtx_noOS',
# # 'EF_2mu4T_Bmumu',
# # 'EF_2mu6_Bmumux',
# # 'EF_2mu13_Zmumu_IDTrkNoCut',
# # 'EF_2mu6_Upsimumu',
# # 'EF_2mu4T_Bmumu_BarrelOnly',
# # 'EF_2mu4T_Bmumu_Barrel',
# # 'EF_mu4Tmu6_Bmumu_Barrel',
# # 'EF_3mu4T_Tau',
# 'EF_mu24_j65_a4tchad',
# 'EF_mu24_j65_a4tchad_EFxe40',
# # 'EF_3mu6_MSonly',
# # 'EF_3mu6_MSonly_EMPTY',
# # 'EF_3mu6_MSonly_UNPAIRED_ISO',
# 'EF_mu10i_g10_medium',
# 'EF_L1MU10_NoAlg',
# # 'EF_2mu4T',
# # 'EF_4mu4T',
'EF_mu10_Jpsimumu',
# # 'EF_mu4Tmu6_Bmumu',
# # 'EF_2mu4T_DiMu',
# # 'EF_2mu6_DiMu',
# # 'EF_2mu15',
# # 'EF_mu4Tmu6_DiMu',
# # 'EF_2mu6i_DiMu_DY_2j25_a4tchad',
# # 'EF_2mu6i_DiMu_DY_noVtx_noOS_2j25_a4tchad',
# # 'EF_mu10_Upsimumu_tight_FS',
'EF_mu6_Jpsimumu_tight',
# # 'EF_2mu6i_DiMu_DY_noVtx_noOS',
# # 'EF_2mu4T_DiMu_Barrel',
# # 'EF_2mu4T_DiMu_BarrelOnly',
# # 'EF_mu4Tmu6_DiMu_Barrel',
'EF_2mu4T_Jpsimumu_IDTrkNoCut',
'EF_mu4Tmu6_Jpsimumu_IDTrkNoCut',
# 'EF_mu18_tight_e7_medium1',
# # 'EF_mu18_tight_mu8_EFFS',
# # 'EF_mu24_tight_mu6_EFFS',
# # 'EF_mu18_tight_2mu4_EFFS',
# 'EF_mu10i_loose_g12Tvh_medium',
# 'EF_mu4T_j65_a4tchad_xe70_tclcw_veryloose',
# # 'EF_2mu4T_xe60',
# # 'EF_2mu4T_xe60_tclcw',
# # 'EF_2mu8_EFxe30',
# # 'EF_2mu8_EFxe30_tclcw',
# 'EF_mu24_j65_a4tchad_EFxe60_tclcw',
# 'EF_mu10i_loose_g12Tvh_medium_TauMass',
# 'EF_mu20i_tight_g5_medium',
# 'EF_mu4Ti_g20Tvh_medium',
# 'EF_mu24_tight_b35_mediumEF_j35_a4tchad',
# 'EF_L1MU15_NoAlg',
# 'EF_L12MU4_NoAlg',
# 'EF_mu20i_tight_g5_loose_TauMass',
# 'EF_mu4Ti_g20Tvh_medium_TauMass',
# 'EF_mu10i_g10_medium_TauMass',
# 'EF_mu20i_tight_g5_medium_TauMass',
# 'EF_mu18i4_tight',
# 'EF_mu4_L1MU11_MSonly_cosmic',
'EF_mu6_Trk_Jpsi_loose',
# 'EF_mu4T_cosmic',
# 'EF_mu4_L1MU11_cosmic',
# 'EF_mu24_tight_3j45_a4tchad',
# 'EF_2mu8_EFxe40_tclcw',
# 'EF_mu24_tight_4j45_a4tchad',
# 'EF_mu24_tight_4j35_a4tchad',
# 'EF_mu24i_tight',
# 'EF_mu24i_tight_MuonEF',
# 'EF_mu24i_tight_MG',
# 'EF_mu24i_tight_l2muonSA',
# 'EF_mu24_tight_3j35_a4tchad',
# 'EF_mu4T',
# 'EF_mu6',
# 'EF_mu6i',
# 'EF_mu8',
# 'EF_mu10',
# # 'EF_2mu13_l2muonSA',
# # 'EF_2mu13',
# 'EF_mu6_MSonly',
# 'EF_mu10_MSonly',
# 'EF_mu13',
'EF_mu4Tmu6_Jpsimumu_prescaled',
# 'EF_mu15',
# 'EF_mu24_g20vh_loose',
'EF_2mu4T_Jpsimumu_prescaled',
'EF_2mu4T_Jpsimumu_Barrel_prescaled',
'EF_2mu4T_Jpsimumu_BarrelOnly_prescaled',
'EF_mu4Tmu6_Jpsimumu_Barrel_prescaled',
# 'EF_mu18',
# 'EF_mu24',
# 'EF_mu40_slow_tight',
# 'EF_mu60_slow_tight1',
# # 'EF_2mu6_Bmumu',
# 'EF_mu40_MSonly_barrel_tight',
# 'EF_mu50_MSonly_barrel_tight',
'EF_mu18_tight_Jpsi_EFFS',
'EF_mu18_tight_L2_2mu4T_Jpsimumu',
# 'EF_mu40_slow_outOfTime_tight',
# 'EF_mu60_slow_outOfTime_tight1',
# 'EF_mu24_tight_EFxe40',
# 'EF_mu18_IDTrkNoCut_tight',
# 'EF_mu22_IDTrkNoCut_tight',
'EF_2mu6_Jpsimumu',
# 'EF_mu8_4j45_a4tchad_L2FS',
# 'EF_mu24_tight_L2StarB',
# # 'EF_2mu10',
# # 'EF_2mu4T_DiMu_noVtx_noOS',
# # 'EF_mu4Tmu6_DiMu_noVtx_noOS',
# 'EF_mu18_medium',
# 'EF_mu24_medium',
# 'EF_mu18_tight',
# 'EF_mu24_tight',
# 'EF_mu24_tight_MuonEF',
# 'EF_mu24_tight_MG',
# 'EF_mu24_tight_L2StarC',
# 'EF_mu36_tight',
# 'EF_mu40_tight',
# 'EF_mu20it_tight',
# 'EF_mu18it_tight',
# 'EF_mu4T_l2muonSA',
]
    return list(set(singleMuonTriggers)|set(jpsiTriggers))
