# Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration


#these are the variable names as given by the cofiguration database
default_values = {
"pt"                          : -99,
"abs(eta)"                    : -99,
"trk_n"                       : -1,
"trk_pt_sSum"                 : -1000,
"trk_pt"                      : -1000,
"abs(trk_eta)"                : -10,
"ip2_pu"                      : -1,
"ip2_pb"                      : -1,
"ip2_pc"                      : -1,
"ip3_pu"                      : -1,
"ip3_pb"                      : -1,
"ip3_pc"                      : -1,
"sv1_pu"                      : -1,
"sv1_pb"                      : -1,
"sv1_pc"                      : -1,
"ip2"                         : -30,
"ip2_c"                       : -30,
"ip2_cu"                      : -30,
"ip3"                         : -30,
"ip3_c"                       : -30,
"ip3_cu"                      : -30,
"sv1"                         : -10,
"sv1_c"                       : -10,
"sv1_cu"                      : -10,
"sv0"                         : -1,
"sv0_ntkv"                    : -1,
"sv0mass"                     : -1,
"sv0_efrc"                    : -1,
"sv0_n2t"                     : -1,
"sv1_ntkv"                    : -1,
"sv1_mass"                    :  -1000,
"sv1_efrc"                    :  -1,
"sv1_n2t"                     :   -1,
"sv1_Lxy"                     :  -100,
"sv1_L3d"                     :  -100,
"sv1_sig3"                    :  -100,
"sv1_dR"                      :   -1,
"sv1_distmatlay"              :  -1,
"jf_mass"                     :  -1000,
"jf_efrc"                     : -1,
"jf_n2tv"                     : -1,
"jf_ntrkv"                    :  -1,
"jf_nvtx"                     : -1,
"jf_nvtx1t"                   :  -1,
"jf_dphi"                     :  -11,
"jf_deta"                     :  -11,
"jf_dR"                       : -1,
"jf_sig3"                     : -100,
"jf_dR_flight"                : -1,
"jf_mass_unco"                : -1000,
"width"                       : 0.0,
"n_trk_sigd0cut"              : 0.0,
"trk3_d0sig"                  :  -100,
"trk3_z0sig"                  :  -100,
"sv_scaled_efc"               : -1,
"jf_scaled_efc"               : -1,
"nTrk_vtx1"                   : 0.0,
"mass_first_vtx"              : -100,
"e_first_vtx"                 : -100,
"e_frac_vtx1"                 : 0,
"closestVtx_L3D"              : -10,
"JF_Lxy1"                     : -5,
"vtx1_MaxTrkRapidity_jf_path" : 0.0,
"vtx1_AvgTrkRapidity_jf_path" : 0.0,
"vtx1_MinTrkRapidity_jf_path" : 0.0,
"MaxTrkRapidity_jf_path"      : 0.0,
"MinTrkRapidity_jf_path"      : 0.0,
"AvgTrkRapidity_jf_path"      : 0.0,
"my_smt"					  : -1,
"sm_mu_pt"                    :  -1,
"sm_dR"                       :  -1,
"sm_qOverPratio"              :  -99,
"sm_mombalsignif"             :  -99,
"sm_scatneighsignif"          :  -99,
"sm_pTrel"                    :  -99,
"sm_mu_d0"                    :  -99,
"sm_mu_z0"                    :  -99,
"sm_ID_qOverP"                :  -99,
"rnnip_pb"                   : -20,
"rnnip_pc"                   : -20,
"rnnip_pu"                   : -20,
"rnnip_ptau"                   : -20,
}


#this translates from the MVTM names to config file names
MVTM_varNames = {
"jet_pt"                      : "pt",
"jet_abs_eta"                 : "abs(eta)",
"m_trkSum_ntrk"               : "trk_n",
"trkSum_sPt"                  : "trk_pt_sSum",
"trkSum_vPt"                  : "trk_pt",
"trkSum_vAbsEta"              : "abs(trk_eta)",
"ip2d_pu"                     : "ip2_pu",
"ip2d_pb"                     : "ip2_pb",
"ip2d_pc"                     : "ip2_pc",
"ip3d_pu"                     : "ip3_pu",
"ip3d_pb"                     : "ip3_pb",
"ip3d_pc"                     : "ip3_pc",
"sv1_pu"                      : "sv1_pu",
"sv1_pb"                      : "sv1_pb",
"sv1_pc"                      : "sv1_pc",
"ip2"                         : "ip2",
"ip2_c"                       : "ip2_c",
"ip2_cu"                      : "ip2_cu",
"ip3"                         : "ip3",
"ip3_c"                       : "ip3_c",
"ip3_cu"                      : "ip3_cu",
"sv1"                         : "sv1",
"sv1_c"                       : "sv1_c",
"sv1_cu"                      : "sv1_cu",
"sv0_sig3d"                   : "sv0",
"sv0_ntrkv"                   : "sv0_ntkv",
"sv0_m"                       : "sv0mass",
"sv0_efc"                     : "sv0_efrc",
"sv0_n2t"                     : "sv0_n2t",
"sv1_ntrkv"                   : "sv1_ntkv",
"sv1_m"                       : "sv1_mass",
"sv1_efc"                     : "sv1_efrc",
"sv1_n2t"                     : "sv1_n2t",
"sv1_Lxy"                     : "sv1_Lxy",
"sv1_L3d"                     : "sv1_L3d",
"sv1_sig3d"                   : "sv1_sig3",
"sv1_dR"                      : "sv1_dR",
"sv1_distmatlay"              : "sv1_distmatlay",
"jf_m"                        : "jf_mass",
"jf_efc"                      : "jf_efrc",
"jf_n2t"                      : "jf_n2tv",
"jf_ntrkAtVx"                 : "jf_ntrkv",
"jf_nvtx"                     : "jf_nvtx",
"jf_nvtx1t"                   : "jf_nvtx1t",
"jf_dphi"                     : "jf_dphi",
"jf_deta"                     : "jf_deta",
"jf_dR"                       : "jf_dR",
"jf_sig3d"                    : "jf_sig3",
"jf_dRFlightDir"              : "jf_dR_flight",
"jf_m_uncor"                  : "jf_mass_unco",
"jet_width"                   : "width",
"jet_n_trk_sigd0cut"          : "n_trk_sigd0cut",
"jet_trk3_d0sig"              : "trk3_d0sig",
"jet_trk3_z0sig"              : "trk3_z0sig",
"jet_sv_scaled_efc"           : "sv_scaled_efc",
"jet_jf_scaled_efc"           : "jf_scaled_efc",
"nTrk_vtx1"                   : "nTrk_vtx1",
"mass_first_vtx"              : "mass_first_vtx",
"e_first_vtx"                 : "e_first_vtx",
"e_frac_vtx1"                 : "e_frac_vtx1",
"closestVtx_L3D"              : "closestVtx_L3D",
"JF_Lxy1"                     : "JF_Lxy1",
"vtx1_MaxTrkRapidity_jf_path" : "vtx1_MaxTrkRapidity_jf_path",
"vtx1_AvgTrkRapidity_jf_path" : "vtx1_AvgTrkRapidity_jf_path",
"vtx1_MinTrkRapidity_jf_path" : "vtx1_MinTrkRapidity_jf_path",
"MaxTrkRapidity_jf_path"      : "MaxTrkRapidity_jf_path",
"MinTrkRapidity_jf_path"      : "MinTrkRapidity_jf_path",
"AvgTrkRapidity_jf_path"      : "AvgTrkRapidity_jf_path",
"SMT_discriminant"			  : "my_smt",
"sm_mu_pt"                    : "sm_mu_pt",
"sm_dR"                       : "sm_dR",
"sm_qOverPratio"              : "sm_qOverPratio",
"sm_mombalsignif"             : "sm_mombalsignif",
"sm_scatneighsignif"          : "sm_scatneighsignif",
"sm_pTrel"                    : "sm_pTrel",
"sm_mu_d0"                    : "sm_mu_d0",
"sm_mu_z0"                    : "sm_mu_z0",
"sm_ID_qOverP"                : "sm_ID_qOverP",
"rnnip_pb"                    : "rnnip_pb"   ,
"rnnip_pc"                    : "rnnip_pc"   ,
"rnnip_pu"                    : "rnnip_pu"   ,
"rnnip_ptau"                  : "rnnip_ptau" ,

}