/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**
 * @mainpage The TauTrackEvent package
 * The EDM class package for TauTrackTools.
 *
 * @author Sebastian.Fleischmann@cern.ch
 *
 * @section introductionTauTrackEvent Introduction
 *
 * This package contains the data classes for TauTrackTools.
 *
 * @section TauTrackEventOverview Class Overview
 *   The TauTrackEvent package contains the following classes:
 *
 *     - TauID::TruthTau : Special class for tau truth data (inherits from TruthParticle)
 *     - TauID::TauJetTruthMap : Map between Analysis::TauJet and TauID::TruthTau
 *
 *     @section ExtrasTauTrackEvent Extra Pages
 *
 *      - @ref UsedTauTrackEvent
 *      - @ref requirementsTauTrackEvent
 *       */

/**
 * @page UsedTauTrackEvent Used Packages
 * @htmlinclude used_packages.html
 * */

/**
 * @page requirementsTauTrackEvent Requirements
 * @include requirements
 * */
