///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// TruthParticleContainer_p3.cxx 
// Implementation file for class TruthParticleContainer_p3
// Author: S.Binet<binet@cern.ch>
/////////////////////////////////////////////////////////////////// 


// STL includes
#include <stdexcept>

// McParticleEventTPCnv includes
#include "McParticleEventTPCnv/TruthParticleContainer_p3.h"

/////////////////////////////////////////////////////////////////// 
// Public methods: 
/////////////////////////////////////////////////////////////////// 

// Constructors
////////////////

// Destructor
///////////////

/////////////////////////////////////////////////////////////////// 
// Const methods: 
///////////////////////////////////////////////////////////////////

const std::vector<float>& 
TruthParticleContainer_p3::etIsol( const unsigned int barcode ) const
{
  std::map<unsigned int, std::vector<float> >::const_iterator itr = m_particles.find(barcode);
  if ( itr != m_particles.end() ) {
    return itr->second;
  } else {
    std::string error = "TruthParticleContainer_p3::etIsol: No matching barcode has been found !";
    throw std::out_of_range(error);
  }
}

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Protected methods: 
/////////////////////////////////////////////////////////////////// 

