///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// TruthParticleContainer_p4.cxx 
// Implementation file for class TruthParticleContainer_p4
// Author: S.Binet<binet@cern.ch>
/////////////////////////////////////////////////////////////////// 


// STL includes
#include <stdexcept>
#include <algorithm>

// McParticleEventTPCnv includes
#include "McParticleEventTPCnv/TruthParticleContainer_p4.h"

/////////////////////////////////////////////////////////////////// 
// Public methods: 
/////////////////////////////////////////////////////////////////// 

// Constructors
////////////////

// Destructor
///////////////

/////////////////////////////////////////////////////////////////// 
// Const methods: 
///////////////////////////////////////////////////////////////////

const std::vector<float>& 
TruthParticleContainer_p4::etIsol( const unsigned int barcode ) const
{
  Particles_t::const_iterator itr = std::find_if( m_particles.begin(),
						  m_particles.end(),
						  BarcodeFinder(barcode) );
  if ( itr != m_particles.end() ) {
    return itr->second;
  } else {
    std::string error = "TruthParticleContainer_p4::etIsol: No matching barcode has been found !";
    throw std::out_of_range(error);
  }
}

/////////////////////////////////////////////////////////////////// 
// Non-const methods: 
/////////////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////// 
// Protected methods: 
/////////////////////////////////////////////////////////////////// 

