# This sets up the trigger config for a BStoESD job
# to use the HLT output XML file generated by a previous BStoBS step
# and a fixed LVL1 file from the release which is broadly compatible
# with the 2009 cosmic runs.
# It is intended for special trigger reprocessing only.
# Contact: Sylvie Brunet, Clemencia Mora or other trigger configuration experts

##preInclude for all steps but enable only for RAWtoESD
from RecExConfig.RecFlags import rec
if rec.readRDO and rec.doESD:
    from TriggerJobOpts.TriggerFlags import TriggerFlags as tf
    tf.inputHLTconfigFile.set_Value_and_Lock("outputHLTconfig.xml")
    tf.inputLVL1configFile.set_Value_and_Lock("TriggerMenuXML/LVL1config_Cosmic2009_v1_7-bit_trigger_types.xml")
    tf.configForStartup.set_Value_and_Lock("HLToffline")
    tf.configurationSourceList.set_Value_and_Lock(['xml'])
    #don't set this in ESDtoAOD, it works with HLTonline since DS folders are stored in ESD metadata.
