///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// DepositInCalo_p1.h 
// Header file for class DepositInCalo_p1
// Author: S.Binet<binet@cern.ch>
// Date:   March 2007
/////////////////////////////////////////////////////////////////// 
#ifndef RECTPCNV_DEPOSITINCALO_P1_H 
#define RECTPCNV_DEPOSITINCALO_P1_H 

// STL includes

// forward declarations
class DepositInCaloCnv_p1;
class DepositInCalo_p2;

class DepositInCalo_p1 
{
  /////////////////////////////////////////////////////////////////// 
  // Friend classes
  /////////////////////////////////////////////////////////////////// 

  // Make the AthenaPoolCnv class our friend
  friend class DepositInCaloCnv_p1;
  friend class DepositInCalo_p2;

  /////////////////////////////////////////////////////////////////// 
  // Public methods: 
  /////////////////////////////////////////////////////////////////// 
public: 

  /** Default constructor: 
   */
  DepositInCalo_p1()
    : m_subCaloId(0),
      m_energyDeposited(0),
      m_muonEnergyLoss(0)
  {}

  /** Destructor: 
   */
  ~DepositInCalo_p1();

  /////////////////////////////////////////////////////////////////// 
  // Const methods: 
  ///////////////////////////////////////////////////////////////////

  /////////////////////////////////////////////////////////////////// 
  // Non-const methods: 
  /////////////////////////////////////////////////////////////////// 

  /////////////////////////////////////////////////////////////////// 
  // Private data: 
  /////////////////////////////////////////////////////////////////// 
private: 

  /** calorimeter sampling identifier */
  unsigned short m_subCaloId;

  /** energy Desposited */
  float m_energyDeposited;

  /** energy Loss of the muons computed using the extrapolator */
  float m_muonEnergyLoss;
}; 

/////////////////////////////////////////////////////////////////// 
// Inline methods: 
/////////////////////////////////////////////////////////////////// 

#endif //> RECTPCNV_DEPOSITINCALO_P1_H
