///////////////////////// -*- C++ -*- /////////////////////////////

/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

// Photon_p5.h 
// Header file for class Photon_p5
/////////////////////////////////////////////////////////////////// 
#ifndef EGAMMAEVENTTPCNV_PHOTON_P5_H 
#define EGAMMAEVENTTPCNV_PHOTON_P5_H 1

// egammaEventTPCnv includes
#include "egammaEventTPCnv/egamma_p5.h"

// forward declarations
class PhotonCnv_p5;

class Photon_p5
{
  /////////////////////////////////////////////////////////////////// 
  // Friend classes
  /////////////////////////////////////////////////////////////////// 

  // Make the AthenaPoolCnv class our friend
  friend class PhotonCnv_p5;

  /////////////////////////////////////////////////////////////////// 
  // Public methods: 
  /////////////////////////////////////////////////////////////////// 
public: 

  /** Default constructor: 
   */
  Photon_p5();

  /** Destructor: 
   */
  ~Photon_p5();

  /////////////////////////////////////////////////////////////////// 
  // Const methods: 
  ///////////////////////////////////////////////////////////////////

  /////////////////////////////////////////////////////////////////// 
  // Non-const methods: 
  /////////////////////////////////////////////////////////////////// 

  /////////////////////////////////////////////////////////////////// 
  // Private data: 
  /////////////////////////////////////////////////////////////////// 
private: 

  /// the egamma part 
  egamma_p5 m_egamma;
  
}; 

/////////////////////////////////////////////////////////////////// 
// Inline methods: 
/////////////////////////////////////////////////////////////////// 

inline Photon_p5::Photon_p5() :
  m_egamma()
{}

#endif //> EGAMMAEVENTTPCNV_PHOTON_P5_H
