# Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration

"""
Python modules for the ATLAS Simulation with Geant4

  PyG4Atlas     -> generic classes to be used in any ATLAS simulation.
  SimAtlasKernel -> config kernel for the ATLAS full simulation
  SimCtbKernel   -> config kernel for the CTB and other TB simulations
  AtlasG4Eng    -> unique instance of the G4AtlasEngine class.
  SimFlags      -> specific flags for simulation.

  atlas_flags   -> specific flags for ATLAS running
  atlas_*       -> modules describing parts of the ATLAS detector.

  ctb_flags     -> specific flags for the CTB(2004) test beam.
  ctb_*         -> modules describing parts of the CTB(2004) test beam.

  tbtile_flags  -> specific flags for the Tile standalone TB2000

  tbLArH6_flags -> specific flags for the LAr H6 standalone TB 2003
"""

__author__  = 'A. Dell`Acqua, M. Gallas, Z. Marshall, A. Buckley'
