/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**
@mainpage  G4FastSimulation
@author Vakho Tsulaia (tsulaia@mail.cern.ch)

@section G4FastSimulation Introduction

This package provides some very basic interface to G4FastSimulations

@section G4FastSimulationOverview Class Overview

The classes included in this package are:

 - FastSimMenu : A python-available menu for dealing with fast simulations (and adding them to various volumes in the Geant4 simulation)
 - FastSimModelCatalog : A list of all available fast simulations
 - FastSimModel : A base class for fast simulations
 - FastSimModelProxy : A type for fast simulations to use for inclusion in the catalog

@ref used_G4FastSimulation 

@ref requirements_G4FastSimulation

*/

/**
@page used_G4FastSimulation Used Packages
@htmlinclude used_packages.html
*/

/**
@page requirements_G4FastSimulation Requirements
@include requirements
*/

