# Copyright (C) 2002-2020 CERN for the benefit of the ATLAS collaboration
"""
Configuration database for ISF_SimulationSelectors
Elmar Ritsch, 10/11/2014
"""

from AthenaCommon.CfgGetter import addTool

addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getElectronGeant4Selector"               , "ISF_ElectronGeant4Selector"              )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getNeutralGeant4Selector"                , "ISF_NeutralGeant4Selector"               )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getMuonGeant4Selector"                   , "ISF_MuonGeant4Selector"                  )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getProtonAFIIGeant4Selector"             , "ISF_ProtonAFIIGeant4Selector"            )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getProtonAFII_QS_Geant4Selector"         , "ISF_ProtonAFII_QS_Geant4Selector"        )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPionAFIIGeant4Selector"               , "ISF_PionAFIIGeant4Selector"              )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPionG4FastCaloGeant4Selector"         , "ISF_PionG4FastCaloGeant4Selector"        )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPionATLFAST3_QS_Geant4Selector"       , "ISF_PionATLFAST3_QS_Geant4Selector"      )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getProtonG4FastCaloGeant4Selector"       , "ISF_ProtonG4FastCaloGeant4Selector"      )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getProtonATLFAST3_QS_Geant4Selector"     , "ISF_ProtonATLFAST3_QS_Geant4Selector"    )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getNeutronG4FastCaloGeant4Selector"      , "ISF_NeutronG4FastCaloGeant4Selector"     )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getNeutronATLFAST3_QS_Geant4Selector"    , "ISF_NeutronATLFAST3_QS_Geant4Selector"   )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getChargedKaonG4FastCaloGeant4Selector"  , "ISF_ChargedKaonG4FastCaloGeant4Selector" )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getChargedKaonATLFAST3_QS_Geant4Selector", "ISF_ChargedKaonATLFAST3_QS_Geant4Selector" )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getKLongG4FastCaloGeant4Selector"        , "ISF_KLongG4FastCaloGeant4Selector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getKLongATLFAST3_QS_Geant4Selector"      , "ISF_KLongATLFAST3_QS_Geant4Selector"     )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPionAFII_QS_Geant4Selector"           , "ISF_PionAFII_QS_Geant4Selector"          )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getChargedKaonAFIIGeant4Selector"        , "ISF_ChargedKaonAFIIGeant4Selector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getChargedKaonAFII_QS_Geant4Selector"    , "ISF_ChargedKaonAFII_QS_Geant4Selector"   )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getKLongAFIIGeant4Selector"              , "ISF_KLongAFIIGeant4Selector"             )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getKLongAFII_QS_Geant4Selector"          , "ISF_KLongAFII_QS_Geant4Selector"         )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getMuonAFIIGeant4Selector"               , "ISF_MuonAFIIGeant4Selector"              )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getMuonAFII_QS_Geant4Selector"           , "ISF_MuonAFII_QS_Geant4Selector"          )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getMuonFatrasSelector"                   , "ISF_MuonFatrasSelector"                  )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getMuonFatrasPileupSelector"             , "ISF_MuonFatrasPileupSelector"            )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPhotonConeFatrasSelector"             , "ISF_PhotonConeFatrasSelector"            )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPhotonConeGeant4Selector"             , "ISF_PhotonConeGeant4Selector"            )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getBHadronProductsGeant4Selector"        , "ISF_BHadronProductsGeant4Selector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getBHadronProductsFatrasSelector"        , "ISF_BHadronProductsFatrasSelector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getTauProductsGeant4Selector"            , "ISF_TauProductsGeant4Selector"           )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getZProductsSimSelector"                 , "ISF_ZProductsSimSelector"                )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getZProductsGeant4Selector"              , "ISF_ZProductsGeant4Selector"             )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getHiggsLeptonsConeGeant4Selector"       , "ISF_HiggsLeptonsConeGeant4Selector"      )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getHiggsLeptonsConeGeant4CaloSelector"   , "ISF_HiggsLeptonsConeGeant4CaloSelector"  )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getWLeptonsConeGeant4Selector"           , "ISF_WLeptonsConeGeant4Selector"          )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getZLeptonsDirectionConeGeant4Selector"  , "ISF_ZLeptonsDirectionConeGeant4Selector" )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getZLeptonsPositionConeGeant4Selector"   , "ISF_ZLeptonsPositionConeGeant4Selector"  )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getJPsiLeptonsConeGeant4Selector"        , "ISF_JPsiLeptonsConeGeant4Selector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getWithinEta5FastCaloSimSelector"        , "ISF_WithinEta5FastCaloSimSelector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getEtaGreater5ParticleKillerSimSelector" , "ISF_EtaGreater5ParticleKillerSimSelector")
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getEtaGreater5PileupParticleKillerSimSelector" , "ISF_EtaGreater5PileupParticleKillerSimSelector")
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getSubDetStickyGeant4SimSelector"        , "ISF_SubDetStickyGeant4SimSelector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getGlobalStickyGeant4SimSelector"        , "ISF_GlobalStickyGeant4SimSelector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultFastCaloSimSelector"           , "ISF_DefaultFastCaloSimSelector"          )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFastCaloSimPileupSelector"            , "ISF_FastCaloSimPileupSelector"           )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFastCaloSimPileupOTSelector"                , "ISF_FastCaloSimPileupOTSelector"     )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFastHitConvAlgFastCaloSimSelector"    , "ISF_FastHitConvAlgFastCaloSimSelector"   )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultLegacyAFIIFastCaloSimSelector" , "ISF_DefaultLegacyAFIIFastCaloSimSelector")
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultFastCaloSimV2Selector"         , "ISF_DefaultFastCaloSimV2Selector"        )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultDNNCaloSimSelector"         , "ISF_DefaultDNNCaloSimSelector"        )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFastHitConvAlgLegacyAFIIFastCaloSimSelector" , "ISF_FastHitConvAlgLegacyAFIIFastCaloSimSelector")
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultFatrasSelector"                , "ISF_DefaultFatrasSelector"               )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultFatrasNewExtrapolationSelector", "ISF_DefaultFatrasNewExtrapolationSelector")
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultParticleKillerSelector"        , "ISF_DefaultParticleKillerSelector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPileupParticleKillerSelector"        , "ISF_PileupParticleKillerSelector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultGeant4Selector"                , "ISF_DefaultGeant4Selector"               )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultAFIIGeant4Selector"            , "ISF_DefaultAFIIGeant4Selector"           )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultLongLivedGeant4Selector"       , "ISF_DefaultLongLivedGeant4Selector"      )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultAFII_QS_Geant4Selector"        , "ISF_DefaultAFII_QS_Geant4Selector"       )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFullGeant4Selector"                   , "ISF_FullGeant4Selector"                  )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getPassBackGeant4Selector"               , "ISF_PassBackGeant4Selector"              )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFatrasPileupSelector"                 , "ISF_FatrasPileupSelector"                )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFatrasPileupSelector_noHits"          , "ISF_FatrasPileupSelector_noHits"         )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getFatrasRandomSelector"                 , "ISF_FatrasRandomSelector"                )
addTool("ISF_SimulationSelectors.ISF_SimulationSelectorsConfig.getDefaultParametricSimulationSelector"  , "ISF_DefaultParametricSimulationSelector" )
