/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

///////////////////////////////////////////////////////////////////
// SpacePointContaine.h
//   Header file for class SpacePointContainer
///////////////////////////////////////////////////////////////////
// (c) ATLAS Detector software
///////////////////////////////////////////////////////////////////
// Container for SpacePoints  collections for InnerDetector and Muons
///////////////////////////////////////////////////////////////////
// Version 1.0 14/10/2003 Veronique Boisvert
///////////////////////////////////////////////////////////////////

#ifndef TRKSPACEPOINT_SPACEPOINTCONTAINER_H
#define TRKSPACEPOINT_SPACEPOINTCONTAINER_H

// Base classes
#include "EventContainers/IdentifiableContainer.h"
//Needed Classes
#include "TrkSpacePoint/SpacePointCollection.h"
//#include "TrkSpacePoint/SpacePointCLASS_DEF.h"

class SpacePointContainer 
: public IdentifiableContainer<SpacePointCollection>{

  ///////////////////////////////////////////////////////////////////
  // Public methods:
  ///////////////////////////////////////////////////////////////////
public:

  // Constructor with parameters:
  SpacePointContainer(unsigned int max);
  
  // Destructor:
  virtual ~SpacePointContainer();

   /** return class ID */
  static const CLID& classID() 
    {
      static CLID id = 1273119430 ; 
      return id; 
      // we do not know why using the traits does not work
      //return ClassID_traits<SpacePointContainer>::ID();
    }

   /** return class ID */
  virtual const CLID& clID() const
    {
      return classID();
    }


  ///////////////////////////////////////////////////////////////////
  // Const methods:
  ///////////////////////////////////////////////////////////////////


  ///////////////////////////////////////////////////////////////////
  // Non-const methods:
  ///////////////////////////////////////////////////////////////////



  ///////////////////////////////////////////////////////////////////
  // Private methods:
  ///////////////////////////////////////////////////////////////////
private:

  SpacePointContainer();
  SpacePointContainer(const SpacePointContainer&);
  SpacePointContainer &operator=(const SpacePointContainer&);
  ///////////////////////////////////////////////////////////////////
  // Private data:
  ///////////////////////////////////////////////////////////////////
private:

};
///////////////////////////////////////////////////////////////////
// Inline methods:
///////////////////////////////////////////////////////////////////

#include "CLIDSvc/CLASS_DEF.h"
CLASS_DEF(SpacePointContainer,1273119430,1)

#endif // TRKSPACEPOINT_SPACEPOINTCONTAINER_H
