# Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration

######################################################################################
#
# This file is automatically generated with TriggerTest/python/TrigvalJobOptionBuilder.py
# To generate TriggerTest/testCaloAthenaModernRDO.py use  TriggerTest/python/trigValMakeJobOptions.py 
#
######################################################################################


### usually ATN tests runs with following RDO input:
#PoolRDOInput=["/afs/cern.ch/atlas/offline/data/testfile/calib1_csc11.005200.T1_McAtNlo_Jimmy.digit.RDO.v12000301_tid003138._00016_extract_10evt.pool.root"]
PoolRDOInput=[
"/space1/cibran/13.0.3/AtlasOffline-13.0.20/run/misal1_mc12.005204.TTbar_FullHad_McAtNlo_Jimmy.digit.RDO.v12000604_tid010261._00119.pool.root.2"
]



EvtMax=5
OutputLevel=DEBUG

###############################
doCBNT=False


doTrigger=True
doESD=False

TriggerModernConfig=True

doWriteAOD=False
doWriteESD=False
doWriteTAG=False
doAOD=False 
doESD=False 
doTAG=False

doTruth=True

#-----------------------------------------------------------
include("RecExCommon/RecExCommon_flags.py")
#-----------------------------------------------------------

TriggerFlags.readHLTconfigFromXML=False
TriggerFlags.readLVL1configFromXML=False

TriggerFlags.enableMonitoring = [ 'Validation', 'Time', 'Log' ]

#### turn off all slices except a couple of sigs to call algos
TriggerFlags.Slices_all_setOff()

# Enable electron slice
TriggerFlags.EgammaSlice.setAll()
TriggerFlags.EgammaSlice.signatures = ["e10"]

# Enable tau slice
TriggerFlags.TauSlice.setAll()
TriggerFlags.TauSlice.signatures = ["tau10"]

# switch OFF other detectors
#DetFlags.Muon_setOff()
TriggerFlags.doMuon=False

#### switch OFF other detectors
TriggerFlags.doMuon=False
TriggerFlags.doID=False

#------------ This is for ATN/RTT tests only ---------
TriggerFlags.triggerMenuSetup = 'default'
#-------------end of flag for tests-------------------

#------------ This is a temporary fix ---------------
TriggerFlags.abortOnConfigurationError=True
#-------------end of temporary fix-------------------

#-----------------------------------------------------------
include("RecExCommon/RecExCommon_topOptions.py")
#-----------------------------------------------------------

jobproperties.PerfMonFlags.doMonitoring = True

MessageSvc.debugLimit = 10000000
MessageSvc.Format = "% F%48W%S%7W%R%T %0W%M"

#get rid of messages and increase speed
Service ("StoreGateSvc" ).ActivateHistory=False

#from AthenaCommon.AlgSequence import AlgSequence
print AlgSequence
print ServiceMgr

