/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

#ifndef JIVEXML_XAODTRIGGERTOWERRETRIEVER_H
#define JIVEXML_XAODTRIGGERTOWERRETRIEVER_H

#include <string>

#include "JiveXML/IDataRetriever.h"

#include "AthenaBaseComps/AthAlgTool.h"

namespace JiveXML{

  /**
   * @class TriggerTower xAOD Retriever
   * @brief Retrieves TriggerTower xAOD objects
   *
   *  - @b Retrieved @b Data
   *    - <em>eta,phi</em>: coordinates of TriggerTower
   *    - <em>energy</em>: energy in TriggerTower
   *    .
   */
 
  class xAODTriggerTowerRetriever : virtual public IDataRetriever, public AthAlgTool {

  public:

    /// Standard Constructor
    xAODTriggerTowerRetriever(const std::string& type, const std::string& name, const IInterface* parent);

    /// Retrieve all the data
    virtual StatusCode retrieve(ToolHandle<IFormatTool> &FormatTool);

    /// Return the name of the data type
    virtual std::string dataTypeName() const { return m_typeName; };

  private:

   ///The data type that is generated by this retriever
    const std::string m_typeName;

    std::string m_sgKey;
  };

}
#endif
