/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**
@mainpage TrigParticle Package
@author Some.One@cern.ch  - see below for responsibles

@section MTrigParticleIntro Introduction

This package contains the diverse TrigParticle classes 

@section TrigParticleOverview Class Overview
  The TrigParticle package contains of following classes:

  - TrigElectron : stores the Electron candidates (Jose.Goncalo@cern.ch)
  - TrigPhoton   : stores the Photon candidates   (Valeria.Perez.Reale@cern.ch)
  - TrigL2Bphys  : stores L2 Bphysics candidates  (Julie.Kirk@rl.ac.uk)
  - TrigEFBphys  : stores EF Bphysics candidates  (Julie.Kirk@rl.ac.uk)
  - TrigL2Bjet   : stores L2 Bjet candidates      (Andrea.Coccaro@ge.infn.it)
  - TrigEFBjet   : stores EF Bjet candidates      (Andrea.Coccaro@ge.infn.it)
  - TrigTau      : stores the Tau candidates      (casado@ifae.es)

@ref used_TrigParticle

@ref requirements_TrigParticle

*/

/**
@page used_TrigParticle Used Packages
@htmlinclude used_packages.html
*/

/**
@page requirements_TrigParticle Requirements
@include requirements
*/
