/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

/**
@mainpage TrigT1CaloByteStream Package

@section intro Introduction
This package contains offline bytestream conversion code for the
Level-1 Calorimeter Trigger sub-detectors.<p>

The code is based on the following documents/sources:<p>

ATLAS Level-1 Calorimeter Trigger-Read-out Driver, version 1.09h<br>
Level-1 Calorimeter Trigger: Cable Mappings and Crate Layouts from Analogue
Inputs to Processors, version 1.6<br>
Steve Hillier's online decoder, mainly L1CaloBsDecoderTemplate.h as of
November 2005.<br>
Private communications from Steve Hillier.<br>
ATLAS L1Calo Pre-processor compressed Slink data formats, D.P.C.Sankey,
Version 1.1, October 17, 2006.<br>
ATLAS Level-1 Calorimeter Trigger: Jet/Energy Processor Module,
Project Specification, version 1.0<br>
ATLAS Level-1 Calorimeter Trigger: Cluster Processor Module,
Project Specification, version 2.03<br>
ATLAS Calorimeter First Level Trigger: Common Merger Module,
Project Specification, version 1.7.8<p>

Implemented so far: PPM, CPM, JEM, CMM-CP, CMM-Jet, CMM-Energy DAQ;
                    CPM RoI, JEM Jet RoI, CMM-Jet-Et RoI, CMM-Energy RoI.

@author Peter Faulkner

@ref used_TrigT1CaloByteStream
@ref requirements_TrigT1CaloByteStream

*/

/**
@page used_TrigT1CaloByteStream Used Packages
@htmlinclude used_packages.html
*/

/**
@page requirements_TrigT1CaloByteStream Requirements
@include requirements
*/


