# Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration

triggerMenuXML_dicts = [
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '3j30_ion_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 387, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_ion_3j30_ion_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_lcw_jes_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 572, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j85_lcw_jes_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_n320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 257, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j15_ion_n320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '45', 'chainPartName': 'j45_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 432, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_n320eta490_2j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '175', 'chainPartName': 'j175_320eta490_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 688, 'signature': 'Jet', 'L1item': 'L1_J50.31ETA49', 'chainName': 'j175_320eta490_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1242, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1095, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 965, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j75_bmv2c2070_split_3j75_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '2j50_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 104, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j100_ion_2j50_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1152, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j75_bperf_split_3j75_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1115, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 938, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': 'j45_boffperf_split_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_n320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 261, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j25_ion_n320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3977, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_0eta490', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': ['1dphi10'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_DPHI-AJ20s2XE50', 'chainName': 'j40_0eta490_xe80_1dphi10_L1DPHI-AJ20s2XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 591, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j110'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1205, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_EFFgapC', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_RD0_FILLED', 'chainName': 'hi_upc_EFFgapC_j10_0eta490_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_a10_lcw_L1J100', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 657, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_a10_lcw_L1J100'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1198, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j30_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapC_j30_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1244, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3691, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '3j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': 'j35_0eta490_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', 'j35_0eta490_bmv2c2077_split', '3j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_j35_0eta490_bmv2c2077_split_3j35_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3984, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j35'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j35_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1256, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '20', 'chainPartName': '2j20_ion_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 364, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j20_ion_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 398, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_ion_4j20_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3847, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e50_etcut_trkcut', 'j15_perf', 'xe50'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e50_etcut_trkcut_j15_perf_xe50_6dphi15_mt35'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1191, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_0eta490_L1TE20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE20', 'chainName': 'hi_upc_FgapC_j10_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '2j15_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 130, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': '2j15_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1MBTS_2_C_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 107, 'signature': 'Jet', 'L1item': 'L1_MBTS_2_C_VZDC_A', 'chainName': 'j10_0eta490_L1MBTS_2_C_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 913, 'signature': 'Jet', 'L1item': 'L1_J85_3J30', 'chainName': 'j100_2j55_bmv2c2060_split_L1J85_3J30'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1287, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp3100_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp3100_trk160_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 120, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': 'j15_320eta490_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '2j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 791, 'signature': 'Jet', 'L1item': 'L1_J25', 'chainName': 'j100_2j50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_sub', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 682, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_sub'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '65', 'chainPartName': '5j65_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 537, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j65_0eta240'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '55', 'chainPartName': 'j55_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 327, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3980, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_0eta490_deta35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta35'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j30_0eta490_deta35', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_DPHI-AJ20s2XE50', 'chainName': '2j30_0eta490_deta35_xe60_L1DPHI-AJ20s2XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '440', 'chainPartName': 'j440_a10_lcw_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 753, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j440_a10_lcw_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3490, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_imedium', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_imedium_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3855, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e40_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e40_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': '4j110', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 521, 'signature': 'Jet', 'L1item': 'L1_3J50', 'chainName': '4j110'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 221, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j15_320eta490_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '40', 'chainPartName': '2j40_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 376, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j40_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 641, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_test4', 'recoAlg': 'a4', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_test4', 'recoAlg': 'a4', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 787, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_test4_2j30_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 886, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_split_L1J40_XE60', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40_XE60', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3950, 'signature': 'Jet', 'L1item': 'L1_J40_XE60', 'chainName': 'j80_boffperf_split_L1J40_XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_boffperf_L1RD0_EMPTY', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 866, 'signature': 'Jet', 'L1item': 'L1_RD0_EMPTY', 'chainName': 'j0_perf_boffperf_L1RD0_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '20', 'chainPartName': '2j20_ion_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 365, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j20_ion_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 976, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j175_boffperf_split_j50_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 825, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_lcw_nojcalib'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1305, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp2400_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp2400_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c400m600TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c400m600TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 734, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c400m600TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '4j30_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 422, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_4j30_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10_lcw_L1J75', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 624, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10_lcw_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1197, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j45_bperf_split_2j45_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 830, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '20', 'chainPartName': '2j20_ion_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 348, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j20_ion_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4022, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM18VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_nod0_L1EM18VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_L1RD0_FILLED', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 620, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j45_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '6j70_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 564, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j70_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3661, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhmedium_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhmedium_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 73, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j100_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 818, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j175_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 980, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j110_gsc150_bmv2c2077_split_j30_gsc50_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '10j40_L16J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '10', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 671, 'signature': 'Jet', 'L1item': 'L1_6J15', 'chainName': '10j40_L16J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '50', 'chainPartName': '6j50_0eta240_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 553, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '6j50_0eta240_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '6j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 549, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10_lcw_subjes_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 624, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10_lcw_subjes_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3511, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_nod0_ivarloose', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_nod0_ivarloose_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '200', 'chainPartName': 'j200_jes_cleanLLP_PS_revllp_trkiso_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['revllp', 'trkiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3554, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j200_jes_cleanLLP_PS_revllp_trkiso_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3663, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhmedium_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhmedium_nod0_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 829, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3891, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_cleanT', 'xe85_tc_lcw_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j80_cleanT_xe85_tc_lcw_2dphi05_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '125', 'chainPartName': 'j125_L1J30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 211, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j125_L1J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc260', 'threshold': '175', 'chainPartName': 'j175_gsc260_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 911, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j175_gsc260_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '4j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 526, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '4j85'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '65', 'chainPartName': '5j65_0eta240_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 560, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j65_0eta240_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 709, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j20_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_ion_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 378, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_ion_2j20_ion_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '3j35_gsc55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1074, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '3j35_gsc55_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 540, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j85'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_sub_L1HT150-J20.ETA31', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 843, 'signature': 'Jet', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j360_a10_lcw_sub_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1048, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j45_bmv2c2077_split_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_L1J5_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 115, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_A', 'chainName': 'j10_L1J5_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 107, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': 'j15_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '2j50_gsc70_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1008, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j50_gsc70_bmv2c2077_split_j50_gsc70_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 108, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': 'j20_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3670, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhvloose_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhvloose_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 78, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j100_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3985, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j55'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4_J12', 'chainName': 'mu4_j55_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1247, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3777, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j20_lcw', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j20_lcw_xe100_mht_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 425, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_4j20_0eta490_L1J10'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1183, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_L2FgapA', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MBTS_2_C', 'chainName': 'hi_upc_L2FgapA_j10_0eta490_L1MBTS_2_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 319, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j25_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_lcw_subjesIS', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 765, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_lcw_subjesIS'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1343, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp1600_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp1600_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1237, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3644, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 148, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '2j15_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j15_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': '2j15_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3639, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 606, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j35_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '65', 'chainPartName': 'j65_320eta490_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 233, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j65_320eta490_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU8_UNPAIRED_ISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3536, 'signature': 'Jet', 'L1item': 'L1_TAU8_UNPAIRED_ISO', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU8_UNPAIRED_ISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 712, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j10_320eta490_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3568, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor195'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe60_razor195'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '55', 'chainPartName': '6j55_0eta240_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 555, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '6j55_0eta240_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3693, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '2j35_0eta490_invm700_L1HT150-JJ15.ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_HT150-JJ15.ETA49_MJJ-400', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', '2j35_0eta490_invm700_L1HT150-JJ15.ETA49_MJJ-400'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_2j35_0eta490_invm700_L1HT150-JJ15.ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '440', 'chainPartName': 'j440_a10r_L1J100', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 663, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j440_a10r_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '250', 'chainPartName': 'j250_jes_cleanLLP_PS_revllp_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['revllp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3552, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j250_jes_cleanLLP_PS_revllp_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '700', 'chainPartName': 'ht700_L1HT190-J15.ETA21', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 854, 'signature': 'HT', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'ht700_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1052, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2050_split_3j25_gsc45_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 779, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_ion_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 223, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j25_320eta490_ion_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 873, 'signature': 'Jet', 'L1item': 'L1_J85', 'chainName': 'j320_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3808, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j10_perf', 'xe25'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EMXE', 'chainName': 'e13_etcut_trkcut_xs30_j10_perf_xe25_6dphi05_mt35_L1EM12_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EMXE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4023, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM18VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_nod0_L1EM18VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': 'j10_ion_n320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 254, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j10_ion_n320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1214, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j55_bmv2c2077_split_2j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_a10_lcw_sub_L1SC111', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 748, 'signature': 'Jet', 'L1item': 'L1_SC111', 'chainName': 'j420_a10_lcw_sub_L1SC111'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4030, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm1000', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm1000'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm1000'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J30.0ETA49_2J20.0ETA49', 'chainName': 'mu6_2j40_0eta490_invm1000_L1MU6_J30.0ETA49_2J20.0ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1125, 'signature': 'Jet', 'L1item': 'L1_3J15.0ETA25', 'chainName': 'j45_boffperf_3j45_L13J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4028, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu20_L1MU15', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU15', 'chainName': 'mu20_L1MU15_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_ion_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 147, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j40_ion_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_L1HT150-J20s5.ETA31', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 724, 'signature': 'Jet', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j360_a10_lcw_L1HT150-J20s5.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bperf', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1029, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3797, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM22VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g85_tight_iloose', '3j50noL1_L1EM22VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g85_tight_iloose_3j50noL1_L1EM22VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3366, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j35_gsc55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j35_gsc55_bmv2c2060_split_ht500_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3923, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_boffperf_antimatchdr05mu_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j35', 'j35_boffperf_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'mu4_3j35_dr05_j35_boffperf_antimatchdr05mu_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 298, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j15_ion_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1213, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_bmedium_split_2j55_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 879, 'signature': 'Jet', 'L1item': 'L1_J85', 'chainName': 'j320_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_L1J40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 821, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j85_L1J40'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1199, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j40_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapC_j40_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 241, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j15_320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 97, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j100_ion_2j40_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 99, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j60_ion_2j30_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_ion_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 379, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_ion_2j30_ion_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4054, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': ['1dphi10'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_DPHI-J20XE50', 'chainName': 'j80_xe80_1dphi10_L1J40_DPHI-J20XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 409, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_4j20_0eta490_L1J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1338, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp3500_pusup800_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp3500_pusup800_trk180_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3831, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0', 'chainName': 'e13_etcut_trkcut_j20_perf_xe15_6dphi15_mt25_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1012, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j75_bmv2c2077_split_j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': '2j10_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 793, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j10_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_sub_L1HT190-J15.ETA21', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 845, 'signature': 'Jet', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j460_a10_sub_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': 'j65_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 889, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j65_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3758, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_cleanT', 'xe80_L1XE60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j40_cleanT_xe80_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3650, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bmv2c2077_split_L1J10', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 446, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_bmv2c2077_split_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc440', 'threshold': '225', 'chainPartName': 'j225_gsc440_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 917, 'signature': 'Jet', 'L1item': 'L1_J120', 'chainName': 'j225_gsc440_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3998, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j320_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J20', 'chainName': 'mu6_j320_bperf_split_dr05_dz02_L1BTAG-MU6J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1203, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_L2FgapC', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_RD0_FILLED', 'chainName': 'hi_upc_L2FgapC_j10_0eta490_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '45', 'chainPartName': '7j45_0eta240_L15J150ETA25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 579, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '7j45_0eta240_L15J150ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_L1HT190-J15.ETA21', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 727, 'signature': 'Jet', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j460_a10_lcw_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '30', 'chainPartName': '2j30_ion_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 350, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j30_ion_p320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 181, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j20_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 891, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j110_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': 'j50_gsc65_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': '3j50_gsc65_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 953, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j50_gsc65_bmv2c2050_split_3j50_gsc65_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3541, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 185, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j40_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': '2j10_ion_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 347, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j10_ion_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU30_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3538, 'signature': 'Jet', 'L1item': 'L1_TAU30_EMPTY', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU30_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 974, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_boffperf_split_j50_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 882, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_bmv2c2060_split_j50_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3678, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26', '2j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_2j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3757, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40.0ETA25', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_bmv2c2077_split', 'xe70_L1J400ETA25_XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:MET', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40.0ETA25_XE50', 'chainName': 'j80_bmv2c2077_split_xe70_L1J400ETA25_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 247, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j35_320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_boffperf_split_L12J15_XE55', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J15', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3954, 'signature': 'Jet', 'L1item': 'L1_2J15_XE55', 'chainName': '2j30_boffperf_split_L12J15_XE55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1461, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j25_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j25_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1193, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j45_bperf_2j45_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '60', 'chainPartName': 'j60_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 514, 'signature': 'Jet', 'L1item': 'L1_J20_J20.31ETA49', 'chainName': 'j60_j60_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_ion_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 385, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_ion_2j30_ion_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3508, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_imedium', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_imedium_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2040', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2040_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 885, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2040_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1467, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j25_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j25_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc225', 'threshold': '175', 'chainPartName': 'j175_gsc225_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 923, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_gsc225_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3654, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1117, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 814, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': 'j10_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 313, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j10_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 598, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3521, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhtight_nod0_ivarloose', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'e28_lhtight_nod0_ivarloose_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc60', 'threshold': '45', 'chainPartName': 'j45_gsc60_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 983, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_gsc175_bmv2c2060_split_j45_gsc60_bmv2c2060_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1313, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp1600_pusup300_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp1600_pusup300_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 618, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_ion_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_ion_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 404, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_ion_320eta490_4j20_ion_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_a10_lcw_subjes_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 655, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_a10_lcw_subjes_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_ion_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 216, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j10_320eta490_ion_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_ion_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 151, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j30_ion_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4015, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_iloose', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_iloose_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 875, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 282, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j25_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_bmv2c2060_split_L13J35.0ETA23', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1073, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j25_gsc45_bmv2c2060_split_L13J35.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '60', 'chainPartName': 'j60_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 644, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j60_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'ht400_L1HT150-J20.ETA31', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 850, 'signature': 'HT', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'ht400_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 871, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '275', 'chainPartName': 'j275_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 924, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j275_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 300, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j25_ion_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '3j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1174, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j65_boffperf_j65'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 999, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_bmv2c2050_split_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_a10_lcw_sub_L1SC111', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 747, 'signature': 'Jet', 'L1item': 'L1_SC111', 'chainName': 'j400_a10_lcw_sub_L1SC111'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3440, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j100', 'xe110_mht'], 'mergingPreserveL2EFOrder': True, 'topo': ['1dphi10'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_DPHI-J20s2XE50', 'chainName': 'j100_xe110_mht_1dphi10_L1J40_DPHI-J20s2XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_subjesIS', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 762, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_subjesIS'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1000, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_a10_lcw_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 752, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_a10_lcw_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3377, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_2dphi05_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': 'j10_ion_n320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 255, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j10_ion_n320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc320', 'threshold': '225', 'chainPartName': 'j225_gsc320_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 885, 'signature': 'Jet', 'L1item': 'L1_J85', 'chainName': 'j225_gsc320_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1142, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j70_boffperf_split_3j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J5_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 127, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_A', 'chainName': 'j40_L1J5_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J5_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 128, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_C', 'chainName': 'j40_L1J5_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3655, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_nod0_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 196, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j40_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3446, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j25_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j25_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1J5_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 120, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_C', 'chainName': 'j20_L1J5_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 588, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j70_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1229, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc300', 'threshold': '200', 'chainPartName': 'j200_gsc300_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 930, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j200_gsc300_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': 'j15_gsc35_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1083, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j15_gsc35_bmv2c2077_split_j15_gsc35_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 197, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j40_0eta490_L1TE50'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1341, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp4800_pusup1100_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp4800_pusup1100_trk240_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 235, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j10_320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1159, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_bperf_j50_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': '7j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 576, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '7j25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1224, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '45', 'chainPartName': '6j45_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 550, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j45_0eta240'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': '2j10_320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 338, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '2j10_320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': '2j10_320eta490_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 330, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '2j10_320eta490_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2085', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1116, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2085'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '2j50_gsc70_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_boffperf_split_L13J40', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 988, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j50_gsc70_boffperf_split_j50_gsc70_boffperf_split_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3335, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2050', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J15', 'j55_bmv2c2050'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j55_bmv2c2050_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 952, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j65_bmv2c2070_split_3j65_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 946, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j75_boffperf_split_3j75_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 178, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j20_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3882, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '120', 'chainPartName': 'j120', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j120', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J75_XE50', 'chainName': 'j120_xe80'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1029, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j15_gsc35_bmv2c2050_split_2j15_gsc35_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3642, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_PS_llp_noiso_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3533, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j30_jes_PS_llp_noiso_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '55', 'chainPartName': 'j55_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 437, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_n320eta490_4j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3336, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j55_bmv2c2050_split_ht500_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '4j30_ion_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 383, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_ion_4j30_ion_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['ExoDelayed'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c500m2000TLA_delayed', 'recoAlg': 'a4', 'bTag': '', 'extra': 'delayed', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c500m2000TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:ExoDelayed', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 704, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c500m2000TLA_delayed'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '40', 'chainPartName': '2j40_ion_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 352, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j40_ion_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 944, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_boffperf_split_3j75_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 629, 'signature': 'Jet', 'L1item': 'L1_J120', 'chainName': 'j460'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '280eta320', 'threshold': '85', 'chainPartName': 'j85_280eta320_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 515, 'signature': 'Jet', 'L1item': 'L1_J20.28ETA31', 'chainName': 'j85_280eta320_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1157, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_bmv2c2077_split_3j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 134, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': '2j20_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_ion_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 384, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_ion_2j20_ion_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 685, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3376, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '45', 'chainPartName': 'j45_ion_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 269, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_ion_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'ht0_L1J12_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 504, 'signature': 'HT', 'L1item': 'L1_J12_EMPTY', 'chainName': 'ht0_L1J12_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_p320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 295, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j15_ion_p320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 886, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 956, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j70_bmv2c2070_split_3j70_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3978, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_0eta490_deta25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta25'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j30_0eta490_deta25', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_DPHI-AJ20s2XE50', 'chainName': '2j30_0eta490_deta25_xe80_L1DPHI-AJ20s2XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1001, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_bmv2c2060_split_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1040, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j45_boffperf_split_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1238, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3391, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'j20_perf', 'xe20'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_XS30', 'chainName': 'e18_etcut_trkcut_j20_perf_xe20_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 785, 'signature': 'Jet', 'L1item': 'L1_TE30', 'chainName': '3j50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 244, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j25_320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_sub_L1HT190-J15.ETA21', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 847, 'signature': 'Jet', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j460_a10_lcw_sub_L1HT190-J15.ETA21'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1318, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp3500_pusup800_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp3500_pusup800_trk180_hmt'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1206, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_EFFgapC', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MBTS_2_A', 'chainName': 'hi_upc_EFFgapC_j10_0eta490_L1MBTS_2_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1011, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j75_bmv2c2070_split_j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3669, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhmedium_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhmedium_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3459, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j320_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j320_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_lcw_subjesIS', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 763, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_lcw_subjesIS'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1010, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j75_bmv2c2060_split_j75_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 287, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': 'j35_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '55', 'chainPartName': '6j55_0eta240_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 562, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j55_0eta240_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'boffperf', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1071, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 413, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_3j20_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': '2j20_320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 341, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j20_320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1153, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_boffperf_split_3j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '3j55_boffperf_split_L13J35.0ETA23', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1068, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j55_boffperf_split_L13J35.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4075, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j60', '2j35'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J30', 'chainName': 'mu4_j60_dr05_2j35_L13J15_BTAG-MU4J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 407, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_3j20_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1253, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 146, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_VTE50', 'chainName': '2j20_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_VTE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2077_split_L1XE60', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_XE60', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3948, 'signature': 'Jet', 'L1item': 'L1_XE60', 'chainName': 'j80_bmv2c2077_split_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '3j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 783, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '3j30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1204, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j45_bmv2c2077_split_2j45_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '40', 'chainPartName': '2j40_ion_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 368, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j40_ion_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '3j45_boffperf_split_L13J35.0ETA23', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1065, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j45_boffperf_split_L13J35.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1160, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_boffperf_j50_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 94, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j75_ion_2j30_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_L1J40_XE50', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40_XE50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3957, 'signature': 'Jet', 'L1item': 'L1_J40_XE50', 'chainName': 'j80_boffperf_L1J40_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3450, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1120, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': 'j35_bperf_3j35'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J15_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 132, 'signature': 'Jet', 'L1item': 'L1_J15_VZDC_C', 'chainName': 'j60_L1J15_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 616, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': '2j15_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 794, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j15_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '7j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 577, 'signature': 'Jet', 'L1item': 'L1_6J15', 'chainName': '7j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '3j35_gsc55_bmv2c2070_split_L13J35.0ETA23', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1075, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j35_gsc55_bmv2c2070_split_L13J35.0ETA23'},
{'topo': [], 'EBstep': -1, 'signatures': '', 'groups': ['RATE:SingleJet', 'BW:Jets'], 'stream': ['Main'], 'signature': 'Jet', 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topoStartFrom': False, 'L1item': 'L1_J20', 'chainName': 'j35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 297, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j15_ion_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3774, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j20', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j20_xe100_mht_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1RD0_FILLED_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 105, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED_VZDC_C', 'chainName': 'j10_0eta490_L1RD0_FILLED_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_subjes_L1SC111', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 755, 'signature': 'Jet', 'L1item': 'L1_SC111', 'chainName': 'j360_a10_lcw_subjes_L1SC111'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3506, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_loose', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_loose_2j35_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1293, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp1600_pusup300_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp1600_pusup300_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3361, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20.ETA31', 'chainName': '2j55_bmv2c2070_split_ht300_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1LLP-NOMATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3549, 'signature': 'Jet', 'L1item': 'L1_LLP-NOMATCH', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1LLP-NOMATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1061, 'signature': 'Jet', 'L1item': 'L1_3J20', 'chainName': '3j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_jes_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 570, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j85_jes_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '4j85_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 531, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '4j85_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1170, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1354, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp2100_pusup400_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp2100_pusup400_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': 'j15_gsc35_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1079, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j15_gsc35_boffperf_split_j15_gsc35_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3631, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e15_lhtight_ivarloose', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e15_lhtight_ivarloose_3j20_L1EM13VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_L1ZDC_A_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 101, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C', 'chainName': 'j0_perf_L1ZDC_A_C'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1321, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp4800_pusup1100_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp4800_pusup1100_trk240_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 674, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1100, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j110_boffperf'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1358, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp3500_pusup800_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp3500_pusup800_trk180_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '280eta320', 'threshold': '85', 'chainPartName': 'j85_280eta320_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 650, 'signature': 'Jet', 'L1item': 'L1_J20.28ETA31', 'chainName': 'j85_280eta320_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1163, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_boffperf_j60_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3889, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j60_cleanT', 'xe75'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_XE50', 'chainName': 'j60_cleanT_xe75_L1J40_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3648, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 978, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j110_gsc150_bmv2c2050_split_j30_gsc50_bmv2c2050_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1308, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp3500_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp3500_trk180_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE20_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 122, 'signature': 'Jet', 'L1item': 'L1_TE20_VZDC_C', 'chainName': 'j20_0eta490_L1TE20_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3666, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhmedium_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhmedium_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_ion_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 382, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_ion_4j20_ion_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_nojcalib', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 834, 'signature': 'Jet', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j360_a10_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 406, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_2j30_0eta490_L1J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1170, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_0eta490_L1TE20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE20', 'chainName': 'hi_upc_FgapA_j10_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '45', 'chainPartName': '6j45_0eta240_L15J150ETA25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 552, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '6j45_0eta240_L15J150ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '90', 'chainPartName': 'j90_ion_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 169, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j90_ion_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '4j30_ion_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 389, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_ion_4j30_ion_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_L1J100', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 654, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360_a10_lcw_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1060, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2085_split_3j25_gsc45_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 892, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 259, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j15_ion_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 167, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_ion_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3673, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhvloose_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhvloose_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3759, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_cleanT', 'xe85_tc_lcw_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j40_cleanT_xe85_tc_lcw_2dphi05_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1209, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j55_bperf_split_2j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_test4', 'recoAlg': 'a4', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 769, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j10_320eta490_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '200', 'chainPartName': 'j200_ion_L1J50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 176, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j200_ion_L1J50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 418, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_2j30_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3968, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bmedium_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j35', 'j35_bmedium_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_2j35_dr05_j35_bmedium_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion_L1ZDC_A_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 83, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C', 'chainName': 'j60_ion_L1ZDC_A_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10t_lcw_nojcalib_L1J100', 'recoAlg': 'a10t', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 757, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10t_lcw_nojcalib_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3684, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '4j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu24', '4j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu24_4j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3360, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': '2j55_bmv2c2070_split_ht300_L1HT150-J20s5.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1047, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_bmv2c2077_split_3j45_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc225', 'threshold': '175', 'chainPartName': 'j175_gsc225_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 925, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_gsc225_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_p320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 315, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j15_p320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4065, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g20_loose', '2j40_0eta490', '3j25_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MJJ-700', 'chainName': 'g20_loose_2j40_0eta490_3j25_0eta490_L1MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 683, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3746, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM24VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g100_tight', '3j50noL1_L1EM24VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'g100_tight_3j50noL1_L1EM24VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '70', 'chainPartName': '5j70_0eta240_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 561, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j70_0eta240_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3350, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J15', 'j55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j55_bmv2c2060_split_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '1200', 'chainPartName': 'ht1200_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 586, 'signature': 'HT', 'L1item': 'L1_J100', 'chainName': 'ht1200_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 507, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3686, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '4j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', '4j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_4j35_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3776, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j40_xe100_mht_L1XE50'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1303, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp1600_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp1600_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '4j85_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 527, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '4j85_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1057, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2077_split_3j25_gsc45_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '3j30_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 408, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_3j30_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4031, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '3j40_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j40', '3j40'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'mu4_j40_dr05_3j40_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion_L1ZDC_A_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 84, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C', 'chainName': 'j75_ion_L1ZDC_A_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 828, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 251, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 1456, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j60'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j60_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 431, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_320eta490_4j20_0eta490'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1355, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp2400_pusup500_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp2400_pusup500_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1148, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j75_bperf_3j75_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3997, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j260_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J20', 'chainName': 'mu6_j260_bperf_split_dr05_dz02_L1BTAG-MU6J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3636, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 183, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j30_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3822, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_2dphi05_mt35_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3869, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_bperf', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bperf_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '45', 'chainPartName': 'j45_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 288, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3498, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_lhloose', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_lhloose_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 935, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j55_bperf_3j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_a10_lcw_sub_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 750, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j300_a10_lcw_sub_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 96, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j100_ion_2j30_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': 'j10_ion_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 294, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j10_ion_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3332, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': '2j55_bmv2c2050_split_ht300_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3885, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_cleanT', 'xe75_L1XE60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j40_cleanT_xe75_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3814, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs50', 'j10_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_XS40_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs50_j10_perf_xe30_6dphi05_mt35_L1EM15_W-MT35_XS40_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3941, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '3j35_0eta490_invm500', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm500'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': 'j35_0eta490_bmv2c2077', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g20_tight_iloose', 'j35_0eta490_bmv2c2077', '3j35_0eta490_invm500'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH_MJJ-300', 'chainName': 'g20_tight_iloose_j35_0eta490_bmv2c2077_3j35_0eta490_invm500'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '7j45_L1J4-MATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 731, 'signature': 'Jet', 'L1item': 'L1_J4-MATCH', 'chainName': '7j45_L1J4-MATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 321, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j25_p320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '75', 'chainPartName': 'j75_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 291, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j75_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3387, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs15', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs15_j20_perf_xe15_6dphi05_mt25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 609, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE5_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 110, 'signature': 'Jet', 'L1item': 'L1_TE5_VZDC_A', 'chainName': 'j10_0eta490_L1TE5_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 995, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 922, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': '4j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 520, 'signature': 'Jet', 'L1item': 'L1_3J50', 'chainName': '4j100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3470, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bmv2c2077_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j40', 'j40_bmv2c2077_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_2j40_dr05_j40_bmv2c2077_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 541, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j85_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L13J35.0ETA23', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1066, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j25_gsc45_boffperf_split_L13J35.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 201, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 998, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2060_split_j60_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 908, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j110_gsc150_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bmv2c2077_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 466, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_bmv2c2077_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3679, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '850', 'chainPartName': 'ht850_L1HT190-J15.ETA21', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 856, 'signature': 'HT', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'ht850_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '45', 'chainPartName': 'j45_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 440, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_p320eta490_4j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3825, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_6dphi05_mt35_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3821, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0', 'chainName': 'e13_etcut_trkcut_j20_perf_xe15_6dphi05_mt25_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 191, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j40_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 74, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j150_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1J5_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 124, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_C', 'chainName': 'j30_L1J5_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2070', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2070_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 914, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 951, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j65_bmv2c2070_split_3j65_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3763, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm1000', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm1000'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6_ivarloose', '2j40_0eta490_invm1000'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J30.0ETA49_2J20.0ETA49', 'chainName': 'mu6_ivarloose_2j40_0eta490_invm1000_L1MU6_J30.0ETA49_2J20.0ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 603, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j35_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3933, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '3j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_boffperf_split_antimatchdr05mu_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j30', 'j30_boffperf_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'mu4_3j30_dr05_j30_boffperf_split_antimatchdr05mu_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 188, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j30_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4018, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM18VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_L1EM18VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10t_lcw_nojcalib_L1J75', 'recoAlg': 'a10t', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 760, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10t_lcw_nojcalib_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3770, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '30', 'chainPartName': '5j30_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhmedium_nod0', '5j30_0eta240'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e24_lhmedium_nod0_5j30_0eta240_L1EM13VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': 'j50_gsc65_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': '3j50_gsc65_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 955, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j50_gsc65_bmv2c2070_split_3j50_gsc65_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 76, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j60_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 115, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j15_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 991, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc380', 'threshold': '225', 'chainPartName': 'j225_gsc380_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 914, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc380_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_a10_lcw_L1SC85', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 755, 'signature': 'Jet', 'L1item': 'L1_SC85', 'chainName': 'j300_a10_lcw_L1SC85'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 135, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j10_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_VTE50', 'chainName': 'j10_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_VTE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 316, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j15_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1140, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j70_bperf_split_3j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70_lcw_jes_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 567, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j70_lcw_jes_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 143, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j20_ion_mb_mbts_vetombts1side2in_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3658, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhmedium_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhmedium_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3632, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e20_lhtight_nod0_ivarloose', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH_3J20', 'chainName': 'e20_lhtight_nod0_ivarloose_3j20_L1EM18VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '40', 'chainPartName': '2j40_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 344, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j40_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3940, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', '2j35_0eta490_boffperf_split', '2j35_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_2j35_0eta490_boffperf_split_2j35_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 877, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 227, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j35_320eta490_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_bmv2c2060_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 468, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j100_bmv2c2060_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3936, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g20_loose_L1EM18VH', '2j40_0eta490', '3j25_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'g20_loose_L1EM18VH_2j40_0eta490_3j25_0eta490_invm700'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1327, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp3100_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp3100_trk160_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 102, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j100_ion_2j30_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '1000', 'chainPartName': 'ht1000_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 585, 'signature': 'HT', 'L1item': 'L1_J100', 'chainName': 'ht1000_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': '2j10_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 354, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '2j10_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_ion_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_ion_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 399, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_ion_320eta490_2j20_ion_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '40', 'chainPartName': '2j40_ion_n320eta490_L1J15.31ETA49', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 369, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': '2j40_ion_n320eta490_L1J15.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3938, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_loose_L1EM20VH', '2j40_0eta490', '3j25_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'g25_loose_L1EM20VH_2j40_0eta490_3j25_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bmv2c2085_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 467, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_bmv2c2085_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 912, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3872, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_boffperf_split', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_boffperf_split_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 714, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j25_320eta490_L1AFP_C_AND'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1294, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp2100_pusup400_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp2100_pusup400_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 602, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j35_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1194, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j45_boffperf_2j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm400', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm400'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 701, 'signature': 'Jet', 'L1item': 'L1_MJJ-400', 'chainName': '2j40_0eta490_invm400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 285, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j35_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1041, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j45_bmv2c2050_split_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc320', 'threshold': '225', 'chainPartName': 'j225_gsc320_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 912, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc320_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1360, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp4500_pusup1000_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp4500_pusup1000_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1094, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '10j40_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '10', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 584, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '10j40_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3756, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_bmv2c2050_split', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:MET', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J50_XE40', 'chainName': 'j80_bmv2c2050_split_xe60_L12J50_XE40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '175', 'chainPartName': 'j175_320eta490_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 692, 'signature': 'Jet', 'L1item': 'L1_J50.31ETA49', 'chainName': 'j175_320eta490_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3331, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300_L14J20', '2j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bmv2c2050_split_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '3j30_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 393, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_ion_3j30_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 472, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3924, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_boffperf_split_antimatchdr05mu_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j35', 'j35_boffperf_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'mu4_3j35_dr05_j35_boffperf_split_antimatchdr05mu_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_test4', 'recoAlg': 'a4', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 777, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3742, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM22VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g85_tight', '3j50noL1_L1EM22VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g85_tight_3j50noL1_L1EM22VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 804, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j30_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1071, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '3j15_gsc35_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'boffperf', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_boffperf_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 897, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1034, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j45_bmv2c2077_split_2j45_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 957, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j70_bmv2c2077_split_3j70_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 805, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j30_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3799, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM24VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g85_tight_iloose', '3j50noL1_L1EM24VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'g85_tight_iloose_3j50noL1_L1EM24VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 715, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j35_320eta490_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '3j50_gsc70_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 961, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j50_gsc70_bmv2c2077_split_3j50_gsc70_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3504, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhtight_nod0_ivarloose', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e30_lhtight_nod0_ivarloose_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 940, 'signature': 'Jet', 'L1item': 'L1_3J20', 'chainName': 'j45_boffperf_split_3j45_L13J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3477, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j85_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J20', 'chainName': 'mu6_j85_bperf_split_dr05_dz02_L1BTAG-MU6J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1147, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_bperf_3j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 635, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10_lcw_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3970, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bmedium_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j35', 'j35_bmedium_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_2j35_dr05_j35_bmedium_split_antimatchdr05mu_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_sub_L1SC111', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 749, 'signature': 'Jet', 'L1item': 'L1_SC111', 'chainName': 'j460_a10_lcw_sub_L1SC111'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_bmv2c2060_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1072, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j15_gsc35_bmv2c2060_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1221, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-400'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1348, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp3500_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp3500_trk180_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bmv2c2060_split_L1J10', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 444, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_bmv2c2060_split_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_L1MBTS_2', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 718, 'signature': 'Jet', 'L1item': 'L1_MBTS_2', 'chainName': 'j10_L1MBTS_2'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3741, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM22VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g75_tight', '3j50noL1_L1EM22VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g75_tight_3j50noL1_L1EM22VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_n320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 258, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j15_ion_n320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '440', 'chainPartName': 'j440_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 901, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j440_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 195, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j30_0eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1453, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j30'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j30_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_n320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 280, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j25_n320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3775, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j30_xe100_mht_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3515, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_loose', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_loose_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3463, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 250, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1477, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j30'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 807, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j40_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 801, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j10'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 137, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_VTE50', 'chainName': 'j20_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_VTE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 1442, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j20_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1039, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j15_gsc35_bmv2c2077_split_3j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2085_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 455, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_bmv2c2085_split_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2070', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bmv2c2070_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 918, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_L1HT150-J20.ETA31', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 723, 'signature': 'Jet', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j360_a10_lcw_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': 'j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 941, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': 'j25_gsc45_boffperf_split_3j25_gsc45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc300', 'threshold': '200', 'chainPartName': 'j200_gsc300_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 929, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j200_gsc300_bmv2c2077_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1200, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j40_L1J10'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'hi_upc_FgapC_j40_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion_L1J30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 171, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j100_ion_L1J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_subjes_L1HT190-J15s5.ETA21', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 725, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j460_a10_lcw_subjes_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1059, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2085_split_3j25_gsc45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1463, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j40_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j40_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'ht400_test4', 'recoAlg': 'a4', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 849, 'signature': 'HT', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'ht400_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3861, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g75_tight', '3j50noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'g75_tight_3j50noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '70', 'chainPartName': '5j70_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 538, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j70_0eta240'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1175, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j20_0eta490_L1TE20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE20', 'chainName': 'hi_upc_FgapA_j20_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 971, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j55_gsc75_bmv2c2070_split_3j55_gsc75_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1091, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j45_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '50', 'chainPartName': '6j50_0eta240_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 590, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j50_0eta240_L14J15'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1331, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp4800_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp4800_trk240_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '75', 'chainPartName': 'j75_ion_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 310, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j75_ion_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2085', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_bmv2c2085_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 919, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 430, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_320eta490_3j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 392, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_ion_3j20_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3836, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1150, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j75_boffperf_3j75_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_L1MU4_UNPAIRED_NONISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3531, 'signature': 'Jet', 'L1item': 'L1_MU4_UNPAIRED_NONISO', 'chainName': 'j30_muvtx_L1MU4_UNPAIRED_NONISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1RD0_FILLED', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 645, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j60_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4053, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': ['1dphi10'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_DPHI-J20s2XE50', 'chainName': 'j80_xe80_1dphi10_L1J40_DPHI-J20s2XE50'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1204, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_L2FgapC', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MBTS_2_A', 'chainName': 'hi_upc_L2FgapC_j10_0eta490_L1MBTS_2_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 278, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j15_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3351, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J15', 'j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j55_bmv2c2050_split_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1080, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '3j35_bmv2c2077_split_j35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 653, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1227, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 895, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1167, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_0eta490_L1TE5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE5', 'chainName': 'hi_upc_FgapA_j10_0eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1473, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70_L1J4-MATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 729, 'signature': 'Jet', 'L1item': 'L1_J4-MATCH', 'chainName': '5j70_L1J4-MATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 208, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j100_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 236, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j10_320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 533, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j45'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1194, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j20_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapC_j20_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc275', 'threshold': '225', 'chainPartName': 'j225_gsc275_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 927, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc275_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4037, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_bmv2c2060', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_bmv2c2060_ht500_L14J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1320, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp4500_pusup1000_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp4500_pusup1000_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '65', 'chainPartName': 'j65_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 328, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j65_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4040, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_bmv2c2070_split', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_bmv2c2070_split_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1077, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j35_boffperf_split_j35_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 819, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j175_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 322, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j35_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '2j55_gsc75_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_boffperf_split_L13J40', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 987, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j55_gsc75_boffperf_split_j55_gsc75_boffperf_split_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3362, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': '2j55_bmv2c2070_split_ht300_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3494, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhtight_nod0_ivarloose', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'e28_lhtight_nod0_ivarloose_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '3j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 997, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j65_bmv2c2070_split_j65'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3877, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '2j45_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '2j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j45_bmv2c2060_split', '2j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31_MJJ-400', 'chainName': '2j45_bmv2c2060_split_2j35_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3880, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j40_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31_MJJ-400-CF', 'chainName': 'ht300_2j40_0eta490_invm700_L1HT150-J20s5.ETA31_MJJ-400-CF'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1183, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j75_bperf_split_j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3354, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J15', 'j35_gsc55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j35_gsc55_bmv2c2050_split_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3451, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j35_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1476, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j25'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3462, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_6dphi05_mt35_L1EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': '2j10_320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 339, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j10_320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 148, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j20_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_a10_lcw_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 742, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_a10_lcw_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3509, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_ivarmedium', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_ivarmedium_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 158, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j40_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 768, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j10_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3476, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU4J15', 'chainName': 'mu4_j35_bperf_split_dr05_dz02_L1BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_ion_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 153, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j40_ion_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3963, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['3j35_bmv2c2077_split', 'xe60_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15.0ETA25_XE40', 'chainName': '3j35_bmv2c2077_split_xe60_mht_L13J15.0ETA25_XE40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3344, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_boffperf_split', 'ht300'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': '2j55_boffperf_split_ht300_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4035, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_4J20', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J20', 'j55_bmv2c2077_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_bmv2c2077_split_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1104, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 542, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j85_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 617, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '340', 'chainPartName': 'j340', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 608, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j340'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 139, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j15_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j15_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10_sub_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 622, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10_sub_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': '2j10_ion_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 363, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j10_ion_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4021, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM18VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_nod0_L1EM18VH_3j20noL1'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1336, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp2800_pusup600_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp2800_pusup600_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1058, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2077_split_3j25_gsc45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 189, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j30_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 708, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j15_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3754, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e15_lhtight_iloose', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e15_lhtight_iloose_3j20_L1EM13VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1180, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_boffperf_split_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 909, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150_gsc175_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3449, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j320_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz99'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j320_bperf_split_dr05_dz99'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 802, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '30', 'chainPartName': '2j30_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 359, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j30_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3637, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1046, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_bmv2c2070_split_3j45_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 934, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': 'j45_bperf_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1033, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_bmv2c2060_split_2j45_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '5', 'chainPartName': 'j5_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 109, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j5_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_ion_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_ion_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 400, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_ion_320eta490_3j20_ion_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3483, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_tight_iloose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_tight_iloose_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '4j30_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 395, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_ion_4j30_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3999, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j400_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J20', 'chainName': 'mu6_j400_bperf_split_dr05_dz02_L1BTAG-MU6J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1462, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j30_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j30_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1028, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j15_gsc35_bmv2c2050_split_2j15_gsc35_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2077_split_L1J40_XE60', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40_XE60', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3945, 'signature': 'Jet', 'L1item': 'L1_J40_XE60', 'chainName': 'j80_bmv2c2077_split_L1J40_XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '7j45_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 581, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '7j45_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_L1AFP_C_ANY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MinBias', 'BW:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 707, 'signature': 'Jet', 'L1item': 'L1_AFP_C_ANY', 'chainName': 'j10_L1AFP_C_ANY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_lcw_nojcalib_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 573, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j85_lcw_nojcalib_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 982, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_gsc175_bmv2c2060_split_j30_gsc50_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1234, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4055, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': ['1dphi10'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_DPHI-CJ20XE50', 'chainName': 'j80_xe80_1dphi10_L1J40_DPHI-CJ20XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1145, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j70_bmv2c2070_split_3j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10t_nojcalib_L1J100', 'recoAlg': 'a10t', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 756, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10t_nojcalib_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 306, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': 'j35_ion_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 680, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU8_UNPAIRED_NONISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3537, 'signature': 'Jet', 'L1item': 'L1_TAU8_UNPAIRED_NONISO', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU8_UNPAIRED_NONISO'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1315, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp2400_pusup500_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp2400_pusup500_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3641, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1454, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j40'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j40_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 770, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j25_320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1ZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 137, 'signature': 'Jet', 'L1item': 'L1_ZDC_C', 'chainName': 'j10_0eta490_L1ZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_p320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 318, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j25_p320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3782, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_cleanT', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j40_cleanT_xe100_mht_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3474, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '3j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j45'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_3j45_dr05_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1233, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3772, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '30', 'chainPartName': '5j30_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu24', '5j30_0eta240'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU10_3J20', 'chainName': 'mu24_5j30_0eta240_L1MU10_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 283, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j25_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3800, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM26VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g85_tight_iloose', '3j50noL1_L1EM26VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'g85_tight_iloose_3j50noL1_L1EM26VHI'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1307, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp3100_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp3100_trk160_hmt'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1284, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp2100_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp2100_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1466, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j20_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '45', 'chainPartName': 'j45_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 326, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_sub', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 840, 'signature': 'Jet', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j360_a10_sub'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3461, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j400_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j400_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_boffperf_split_L1XE60', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_XE60', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3866, 'signature': 'Jet', 'L1item': 'L1_XE60', 'chainName': 'j100_boffperf_split_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1123, 'signature': 'Jet', 'L1item': 'L1_3J15.0ETA25', 'chainName': 'j45_bperf_3j45_L13J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm250_test4', 'recoAlg': 'a4', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm250'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 860, 'signature': 'Jet', 'L1item': 'L1_XE35_MJJ-200', 'chainName': '2j40_0eta490_invm250_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3745, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM22VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g100_tight', '3j50noL1_L1EM22VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g100_tight_3j50noL1_L1EM22VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_L1MU4_UNPAIRED_ISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3530, 'signature': 'Jet', 'L1item': 'L1_MU4_UNPAIRED_ISO', 'chainName': 'j30_muvtx_L1MU4_UNPAIRED_ISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_ion_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 143, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j20_ion_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc80', 'threshold': '55', 'chainPartName': 'j55_gsc80_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '60', 'chainPartName': '2j60_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 933, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J15.31ETA49', 'chainName': 'j55_gsc80_bmv2c2085_split_2j60_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 1450, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j30_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j30_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '55', 'chainPartName': 'j55_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 289, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '130', 'chainPartName': '4j130', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 523, 'signature': 'Jet', 'L1item': 'L1_3J50', 'chainName': '4j130'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3475, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '3j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j45'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_3j45_dr05_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 71, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j60_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 878, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '4j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 948, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j50_bmv2c2040_split_3j50_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 994, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j110_gsc150_boffperf_split_2j35_gsc55_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3343, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j35_gsc55_boffperf_split', 'ht500'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j35_gsc55_boffperf_split_ht500_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 198, 'signature': 'Jet', 'L1item': 'L1_J5', 'chainName': 'j30_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '55', 'chainPartName': 'j55_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 435, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_n320eta490_2j20_0eta490'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1330, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp4500_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp4500_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 230, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': 'j35_320eta490_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1RD0_FILLED', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 103, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j10_0eta490_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 993, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j110_gsc150_boffperf_split_2j35_gsc55_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 226, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j25_320eta490_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 136, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j15_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_VTE50', 'chainName': 'j15_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_VTE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '2j50_gsc70_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_boffperf_split_L13J40', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1005, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j50_gsc70_bmv2c2050_split_j50_gsc70_boffperf_split_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1248, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU8_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3543, 'signature': 'Jet', 'L1item': 'L1_TAU8_EMPTY', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU8_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': 'j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 903, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25_gsc45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1002, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_bmv2c2070_split_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3813, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs50', 'j10_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_XS40_W-15DPHI-JXE-0_W-15DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs50_j10_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_XS40_W-15DPHI-JXE-0_W-15DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3974, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm250', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm250'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j40_0eta490_invm250', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': '2j40_0eta490_invm250_xe80'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1174, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j20_0eta490_L1TE10'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE10', 'chainName': 'hi_upc_FgapA_j20_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1198, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_boffperf_split_2j45_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc420', 'threshold': '225', 'chainPartName': 'j225_gsc420_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 916, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc420_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '7j45_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 580, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '7j45_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '80', 'chainPartName': 'j80_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '60', 'chainPartName': '2j60_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 672, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J15.31ETA49', 'chainName': 'j80_0eta240_2j60_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 874, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 869, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': 'j10_p320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 312, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j10_p320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 192, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j20_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1134, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j65_bmv2c2070_split_3j65_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_a10r_L1J100', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 661, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_a10r_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 679, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3657, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '3j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 784, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '3j40'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1J5_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 123, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_A', 'chainName': 'j30_L1J5_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 103, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j100_ion_2j40_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '3j55_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1067, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '3j55_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_boffperf_L1MU10', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 867, 'signature': 'Jet', 'L1item': 'L1_MU10', 'chainName': 'j0_perf_boffperf_L1MU10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3890, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_cleanT', 'xe80_tc_lcw_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j80_cleanT_xe80_tc_lcw_2dphi05_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 887, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3487, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2mu14', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2MU10', 'chainName': '2mu14_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3865, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40.0ETA25_XE50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_boffperf_split', 'xe70_L1J400ETA25_XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40.0ETA25_XE50', 'chainName': 'j80_boffperf_split_xe70_L1J400ETA25_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_boffperf_L12J15_XE55', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J15', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3960, 'signature': 'Jet', 'L1item': 'L1_2J15_XE55', 'chainName': '2j30_boffperf_L12J15_XE55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 681, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1188, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j35_bmv2c2060_split_2j35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '30', 'chainPartName': '2j30_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 358, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j30_p320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': '2j25_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 796, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j25_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '175', 'chainPartName': 'j175_320eta490_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 691, 'signature': 'Jet', 'L1item': 'L1_J50.31ETA49', 'chainName': 'j175_320eta490_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3857, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e60_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e60_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 79, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j150_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3826, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_nojcalib_L1HT190-J15.ETA21', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 837, 'signature': 'Jet', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j460_a10_nojcalib_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 267, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j35_ion_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU30_UNPAIRED_ISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3547, 'signature': 'Jet', 'L1item': 'L1_TAU30_UNPAIRED_ISO', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU30_UNPAIRED_ISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_nojcalib_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 634, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10_lcw_nojcalib_L1J100'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1329, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp4100_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp4100_trk200_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3674, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhmedium_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhmedium_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1231, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3810, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs50', 'j10_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs50_j10_perf_xe30_6dphi05_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1181, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j75_bperf_j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3769, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '30', 'chainPartName': '5j30_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26', '5j30_0eta240'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU10_3J20', 'chainName': 'mu26_5j30_0eta240_L1MU10_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3989, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j175'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J40', 'chainName': 'mu6_j175_dr05'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1346, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp2800_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp2800_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_L1RD0_FILLED', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 505, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j0_perf_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3781, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_cleanT', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j30_cleanT_xe100_mht_L1XE50'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1357, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp3100_pusup700_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp3100_pusup700_trk160_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': 'j10_ion_p320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 293, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j10_ion_p320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10r', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 862, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j360_a10r'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1038, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j25_gsc45_bmv2c2070_split_2j25_gsc45_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_sub_L1HT150-J20.ETA31', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 841, 'signature': 'Jet', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j360_a10_sub_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3491, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_ivarmedium', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_ivarmedium_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 417, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_2j20_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_ion_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 388, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_ion_4j20_ion_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1036, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2060_split_2j25_gsc45_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '2j15_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 127, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': '2j15_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_PS_llp_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3532, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j30_jes_PS_llp_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '4j85_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 528, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '4j85_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc80', 'threshold': '55', 'chainPartName': 'j55_gsc80_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc60', 'threshold': '45', 'chainPartName': 'j45_gsc60_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1085, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J25_J20.31ETA49', 'chainName': 'j55_gsc80_bmv2c2070_split_j45_gsc60_bmv2c2085_split_j45_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1164, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bperf_split_j60_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3346, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_boffperf_split', 'ht500'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j55_boffperf_split_ht500_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3832, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_j20_perf_xe15_6dphi15_mt25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3329, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300_L14J15', '2j55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': '2j55_bmv2c2070_split_ht300_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 642, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_nojcalib_L1HT150-J20.ETA31', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 835, 'signature': 'Jet', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j360_a10_lcw_nojcalib_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '75', 'chainPartName': 'j75_320eta490_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 234, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j75_320eta490_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_bperf_L1RD0_EMPTY', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1086, 'signature': 'Jet', 'L1item': 'L1_RD0_EMPTY', 'chainName': 'j0_perf_bperf_L1RD0_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J20_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 134, 'signature': 'Jet', 'L1item': 'L1_J20_VZDC_C', 'chainName': 'j60_L1J20_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '250', 'chainPartName': 'j250', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 215, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j250'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '30', 'chainPartName': '2j30_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 375, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j30_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 937, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': 'j45_boffperf_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': '2j10_ion_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 346, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '2j10_ion_p320eta490_L1TE10'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1340, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp4500_pusup1000_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp4500_pusup1000_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2077_split_L1J400ETA25_XE50', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40.0ETA25_XE50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3947, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_XE50', 'chainName': 'j80_bmv2c2077_split_L1J400ETA25_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1240, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1232, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '3j30_ion_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 381, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_ion_3j30_ion_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': '4j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 524, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '4j25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3965, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_bmv2c2060_split', 'xe80_mht_L1XE60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j80_bmv2c2060_split_xe80_mht_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 268, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': 'j35_ion_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3497, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_loose', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_loose_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3981, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_bmv2c2060_split', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bmv2c2060_split_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_ion_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 386, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_ion_3j20_ion_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4012, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_iloose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_iloose_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3671, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhvloose_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhvloose_nod0_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1189, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j35_bmv2c2070_split_2j35_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3643, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35_bmv2c2060_split_L14J15.0ETA25', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 953, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j35_bmv2c2060_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '7j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 582, 'signature': 'Jet', 'L1item': 'L1_6J15', 'chainName': '7j50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_noiso_L1MU4_UNPAIRED_NONISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx', 'noiso'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3557, 'signature': 'Jet', 'L1item': 'L1_MU4_UNPAIRED_NONISO', 'chainName': 'j30_muvtx_noiso_L1MU4_UNPAIRED_NONISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 952, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '3j35_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1155, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_bmv2c2070_split_3j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4001, 'signature': 'Jet', 'L1item': 'L1_TAU30', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3540, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '2j50_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 98, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j100_ion_2j50_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '75', 'chainPartName': 'j75_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 329, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j75_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': 'j10_p320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 311, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j10_p320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bperf', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1010, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '440', 'chainPartName': 'j440_a10_lcw_subjes_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 658, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j440_a10_lcw_subjes_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE10_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 114, 'signature': 'Jet', 'L1item': 'L1_TE10_VZDC_C', 'chainName': 'j10_0eta490_L1TE10_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 111, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j15_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1334, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp2100_pusup400_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp2100_pusup400_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '2j15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 780, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '50', 'chainPartName': '6j50_0eta240_L15J150ETA25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 554, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '6j50_0eta240_L15J150ETA25'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1288, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp3500_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp3500_trk180_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc360', 'threshold': '225', 'chainPartName': 'j225_gsc360_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 931, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc360_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_noiso_L1MU6_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx', 'noiso'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3555, 'signature': 'Jet', 'L1item': 'L1_MU6_EMPTY', 'chainName': 'j30_muvtx_noiso_L1MU6_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_subjes_L1HT150-J20s5.ETA31', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 723, 'signature': 'Jet', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j360_a10_lcw_subjes_L1HT150-J20s5.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_ion_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 170, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j100_ion_L1J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1312, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp1200_pusup200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp1200_pusup200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE10_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 117, 'signature': 'Jet', 'L1item': 'L1_TE10_VZDC_A', 'chainName': 'j20_0eta490_L1TE10_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3356, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j55_bmv2c2060_split_ht500_L1HT150-J20s5.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 144, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j10_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_VTE50', 'chainName': '2j10_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_VTE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3943, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '2j25_0eta490_invm500', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm500'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '2j25_0eta490_bmv2c2077', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g27_medium_L1EM24VHI', '2j25_0eta490_bmv2c2077', '2j25_0eta490_invm500'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'g27_medium_L1EM24VHI_2j25_0eta490_bmv2c2077_2j25_0eta490_invm500'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3634, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 126, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': '2j10_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1251, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '3j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1176, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j65_boffperf_split_j65'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1190, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_0eta490_L1TE10'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE10', 'chainName': 'hi_upc_FgapC_j10_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1090, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j35_bperf'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1182, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_L2FgapA', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_RD0_FILLED', 'chainName': 'hi_upc_L2FgapA_j10_0eta490_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3823, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_2dphi15_mt35_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1471, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j30'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1226, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 473, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j50_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3471, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bmv2c2070_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j35', 'j35_bmv2c2070_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_2j35_dr05_j35_bmv2c2070_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1241, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3694, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm400', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm400'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm400'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J30.0ETA49_2J20.0ETA49', 'chainName': 'mu6_2j40_0eta490_invm400_L1MU6_J30.0ETA49_2J20.0ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4073, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': 'j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j70'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU4J30', 'chainName': 'mu4_j70_dr05_L1BTAG-MU4J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '40', 'chainPartName': '2j40_320eta490_ion_L1J15.31ETA49', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 337, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': '2j40_320eta490_ion_L1J15.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 152, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': '2j20_ion_mb_mbts_vetombts1side2in_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '360', 'chainPartName': 'j360_320eta490_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 615, 'signature': 'Jet', 'L1item': 'L1_J100.31ETA49', 'chainName': 'j360_320eta490_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '175', 'chainPartName': 'j175_320eta490_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 690, 'signature': 'Jet', 'L1item': 'L1_J50.31ETA49', 'chainName': 'j175_320eta490_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_L1MU6_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3529, 'signature': 'Jet', 'L1item': 'L1_MU6_EMPTY', 'chainName': 'j30_muvtx_L1MU6_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 986, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j70_boffperf_split_j70_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 415, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_4j20_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_nojcalib_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 633, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10_nojcalib_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1LLP-RO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3550, 'signature': 'Jet', 'L1item': 'L1_LLP-RO', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1LLP-RO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c500m700TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c500m700TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 738, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c500m700TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3743, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM24VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g85_tight', '3j50noL1_L1EM24VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'g85_tight_3j50noL1_L1EM24VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3443, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '125', 'chainPartName': 'j125', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j125', 'xe90_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJetMET', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4_J50_XE40', 'chainName': 'mu4_j125_xe90_mht'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc360', 'threshold': '225', 'chainPartName': 'j225_gsc360_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 913, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc360_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1185, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_EFFgapA', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MBTS_2_C', 'chainName': 'hi_upc_EFFgapA_j10_0eta490_L1MBTS_2_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3696, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm800', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm800'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm800'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J30.0ETA49_2J20.0ETA49', 'chainName': 'mu6_2j40_0eta490_invm800_L1MU6_J30.0ETA49_2J20.0ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['ExoDelayed'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c200m8000TLA_delayed', 'recoAlg': 'a4', 'bTag': '', 'extra': 'delayed', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c200m8000TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:ExoDelayed', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 703, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c200m8000TLA_delayed'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1196, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j45_bperf_split_2j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '1000', 'chainPartName': 'ht1000_L1HT190-J15.ETA21', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 858, 'signature': 'HT', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'ht1000_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '550', 'chainPartName': 'ht550', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 851, 'signature': 'HT', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'ht550'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4070, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm800', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm800'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm800'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_MJJ-400', 'chainName': 'mu6_2j40_0eta490_invm800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1042, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_bmv2c2050_split_3j45_L14J15.0ETA25'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1168, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapA_j10_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_L1SC111', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 756, 'signature': 'Jet', 'L1item': 'L1_SC111', 'chainName': 'j360_a10_lcw_L1SC111'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_subjesIS', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 764, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_subjesIS'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 506, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_p320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 299, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j25_ion_p320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3804, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j10_perf', 'xe25'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j10_perf_xe25_6dphi05_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3983, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j15'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j15_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1122, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j45_bperf_3j45_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1141, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j70_boffperf_split_3j70_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 121, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j15_320eta490_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2060_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 452, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_bmv2c2060_split_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '280eta320', 'threshold': '85', 'chainPartName': 'j85_280eta320_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 516, 'signature': 'Jet', 'L1item': 'L1_J20.28ETA31', 'chainName': 'j85_280eta320_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '175', 'chainPartName': 'j175_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 596, 'signature': 'Jet', 'L1item': 'L1_J50.31ETA49', 'chainName': 'j175_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm250_L1XE55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm250'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 699, 'signature': 'Jet', 'L1item': 'L1_XE55', 'chainName': '2j40_0eta490_invm250_L1XE55'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 101, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j75_ion_2j40_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 604, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j35_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_nojcalib_L1HT150-J20.ETA31', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 833, 'signature': 'Jet', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j360_a10_nojcalib_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3484, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_nod0_ivarloose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_nod0_ivarloose_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3780, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j20_cleanT', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j20_cleanT_xe100_mht_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '360', 'chainPartName': 'j360_320eta490_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 612, 'signature': 'Jet', 'L1item': 'L1_J100.31ETA49', 'chainName': 'j360_320eta490_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_L1LLP-NOMATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4007, 'signature': 'Jet', 'L1item': 'L1_LLP-NOMATCH', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_L1LLP-NOMATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3682, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu24', '2j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu24_2j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 93, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j60_ion_2j30_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c600m800TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c600m800TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 741, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c600m800TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 977, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150_gsc175_boffperf_split_j30_gsc50_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_sub_L1SC111', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 746, 'signature': 'Jet', 'L1item': 'L1_SC111', 'chainName': 'j360_a10_lcw_sub_L1SC111'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3339, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j35_gsc55_boffperf_split', 'ht500_L14J15'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j35_gsc55_boffperf_split_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3665, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhmedium_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhmedium_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bloose_split', 'recoAlg': 'a4', 'bTag': 'bloose', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1118, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bloose_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 939, 'signature': 'Jet', 'L1item': 'L1_3J15.0ETA25', 'chainName': 'j45_boffperf_split_3j45_L13J15.0ETA25'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1335, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp2400_pusup500_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp2400_pusup500_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bmv2c2070_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 465, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_bmv2c2070_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4003, 'signature': 'Jet', 'L1item': 'L1_TAU100', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_lcw_jes_L1J12', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 767, 'signature': 'Jet', 'L1item': 'L1_J12', 'chainName': 'j0_lcw_jes_L1J12'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1239, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_ion_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 220, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j15_320eta490_ion_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_subjes_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 659, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10_lcw_subjes_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3383, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_XS30', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_2dphi15_mt35'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1304, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp2100_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp2100_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10r_L1J100', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 631, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10r_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3926, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '3j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_boffperf_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j30', 'j30_boffperf_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_3j30_dr05_j30_boffperf_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': 'j20_320eta490_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 123, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': 'j20_320eta490_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '6j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 559, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j85'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3390, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs20', 'j20_perf', 'xe20'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_XS30', 'chainName': 'e18_etcut_trkcut_xs20_j20_perf_xe20_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 883, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2060_split_j50_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1162, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bperf_j60_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3840, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e20_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e20_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4004, 'signature': 'Jet', 'L1item': 'L1_TAU100', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU100'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 138, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j10_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j10_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 475, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 112, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j20_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 114, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j10_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3653, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 710, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j30_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_bmv2c2070_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 461, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_bmv2c2070_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_split_L1XE60', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_XE60', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3953, 'signature': 'Jet', 'L1item': 'L1_XE60', 'chainName': 'j80_boffperf_split_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 129, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': '2j10_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3982, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j25'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j25_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '30', 'chainPartName': '2j30_ion_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 351, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j30_ion_p320eta490'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1347, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp3100_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp3100_trk160_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 545, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j85_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3456, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j150_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J40', 'chainName': 'mu6_j150_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 131, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': '2j20_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC', 'express'], 'chainCounter': 1187, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MBTS_2_A', 'chainName': 'hi_upc_FgapC_j10_0eta490_L1MBTS_2_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': '5j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 532, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '5j25'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC', 'express'], 'chainCounter': 1166, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MBTS_2_C', 'chainName': 'hi_upc_FgapA_j10_0eta490_L1MBTS_2_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_bmv2c2070_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 469, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j100_bmv2c2070_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3767, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '30', 'chainPartName': '5j30_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhmedium_nod0', '5j30_0eta240'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e26_lhmedium_nod0_5j30_0eta240_L1EM13VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 775, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j55_j55_320eta490_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3689, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '3j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': 'j35_0eta490_bmv2c2077', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', 'j35_0eta490_bmv2c2077', '3j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_j35_0eta490_bmv2c2077_3j35_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '850', 'chainPartName': 'ht850_L1J75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 636, 'signature': 'HT', 'L1item': 'L1_J75', 'chainName': 'ht850_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70_lcw_nojcalib_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 568, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j70_lcw_nojcalib_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 429, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_320eta490_2j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 936, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': 'j45_bperf_split_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 194, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j30_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '2j50_gsc70_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1006, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j50_gsc70_bmv2c2060_split_j50_gsc70_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1180, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j60_L1J15'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J15', 'chainName': 'hi_upc_FgapA_j60_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 391, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_ion_2j30_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3991, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j320'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j320_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1084, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J25_J20.31ETA49', 'chainName': 'j80_bmv2c2070_split_j60_bmv2c2085_split_j45_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3472, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bmv2c2077_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j40', 'j40_bmv2c2077_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_2j40_dr05_j40_bmv2c2077_split_antimatchdr05mu_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3690, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', '2j35_0eta490_bmv2c2077', '2j35_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_2j35_0eta490_bmv2c2077_2j35_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': '2j35_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 798, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '2j35_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3876, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_boffperf_split', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_boffperf_split_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70_jes_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 565, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j70_jes_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1107, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'bTag': 'boffperf', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc110', 'threshold': '55', 'chainPartName': 'j55_gsc110_boffperf_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 933, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j55_gsc110_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_deta20_L1J12_test4', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta20'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 722, 'signature': 'Jet', 'L1item': 'L1_J12', 'chainName': '2j10_deta20_L1J12_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '220', 'chainPartName': '3j220', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 519, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': '3j220'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '45', 'chainPartName': '6j45_0eta240_L1J4-MATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 730, 'signature': 'Jet', 'L1item': 'L1_J4-MATCH', 'chainName': '6j45_0eta240_L1J4-MATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1043, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j45_bmv2c2060_split_3j45'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1184, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_EFFgapA', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_RD0_FILLED', 'chainName': 'hi_upc_EFFgapA_j10_0eta490_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1201, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j45_bmv2c2070_split_2j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_L1MU4_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3765, 'signature': 'Jet', 'L1item': 'L1_MU4_EMPTY', 'chainName': 'j30_muvtx_L1MU4_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 989, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bmv2c2050_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1298, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp3500_pusup800_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp3500_pusup800_trk180_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '30', 'chainPartName': '2j30_320eta490_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 335, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j30_320eta490_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 317, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j15_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1205, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j55_bperf_2j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3388, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_j20_perf_xe15_6dphi05_mt25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1022, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j35_bmv2c2050_split_2j35_L14J15'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1177, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j30_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapA_j30_L1J5'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1173, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j20_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapA_j20_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3802, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM26VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g100_tight_iloose', '3j50noL1_L1EM26VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'g100_tight_iloose_3j50noL1_L1EM26VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': 'j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1082, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '3j15_gsc35_bmv2c2077_split_j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmedium_split', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmedium_split', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1166, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmedium_split_j60_bmedium_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '700', 'chainPartName': 'ht700_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 639, 'signature': 'HT', 'L1item': 'L1_J100', 'chainName': 'ht700_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 881, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 249, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': 'j35_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_L1HT190-J15s5.ETA21', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 726, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j460_a10_lcw_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': '2j10_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 371, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j10_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J15_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 131, 'signature': 'Jet', 'L1item': 'L1_J15_VZDC_A', 'chainName': 'j60_L1J15_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3646, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110_ion_L1J30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 172, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j110_ion_L1J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '30', 'chainPartName': '2j30_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 374, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j30_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1J5_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 119, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_A', 'chainName': 'j20_L1J5_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '40', 'chainPartName': '2j40_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 360, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j40_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bmv2c2060_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 464, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_bmv2c2060_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4016, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e15_lhtight_nod0_iloose', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e15_lhtight_nod0_iloose_3j20_L1EM13VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3538, 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e15_lhtight_nod0_ivarloose', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e15_lhtight_nod0_ivarloose_3j20_L1EM13VH_3J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1300, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp4500_pusup1000_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp4500_pusup1000_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 985, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j75_boffperf_split_j75_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1184, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j75_boffperf_split_j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3479, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_loose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_loose_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 806, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3563, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe10'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor185'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe10_razor185'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_ion_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 380, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_ion_3j20_ion_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c300m500TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c300m500TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 668, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c300m500TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '4j85_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 530, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '4j85_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1055, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2070_split_3j25_gsc45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3659, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhmedium_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhmedium_nod0_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 786, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_2j30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1191, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j35_bmv2c2070_split_2j35_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '60', 'chainPartName': '2j60_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 932, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J15.31ETA49', 'chainName': 'j80_bmv2c2085_split_2j60_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3934, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bloose_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bloose', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j35', 'j35_bloose_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_3j35_dr05_j35_bloose_split_antimatchdr05mu_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3518, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_ivarmedium', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_ivarmedium_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 999, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2050_split_j50_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 240, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j15_320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1056, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2070_split_3j25_gsc45_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3382, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_XS30', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_2dphi05_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '4j85_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 529, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '4j85_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1468, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j30_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j30_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3995, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j150_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J20', 'chainName': 'mu6_j150_bperf_split_dr05_dz02_L1BTAG-MU6J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm250', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm250'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 859, 'signature': 'Jet', 'L1item': 'L1_XE35_MJJ-200', 'chainName': '2j40_0eta490_invm250'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1LLP-RO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4010, 'signature': 'Jet', 'L1item': 'L1_LLP-RO', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1LLP-RO'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1202, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j60_L1J20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J20', 'chainName': 'hi_upc_FgapC_j60_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 304, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j35_ion_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4025, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu20_L1MU15', '2j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU15', 'chainName': 'mu20_L1MU15_2j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion_L1ZDC_A_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 80, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C', 'chainName': 'j30_ion_L1ZDC_A_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3881, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80', 'xe100'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_XE50', 'chainName': 'j80_xe100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3455, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j150_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J40', 'chainName': 'mu6_j150_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_subjes_L1HT190-J15.ETA21', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 726, 'signature': 'Jet', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j460_a10_lcw_subjes_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': '2j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 782, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1223, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 396, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_ion_2j20_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J10_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 130, 'signature': 'Jet', 'L1item': 'L1_J10_VZDC_C', 'chainName': 'j40_L1J10_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3473, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bmv2c2070_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j35', 'j35_bmv2c2070_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_2j35_dr05_j35_bmv2c2070_split_antimatchdr05mu_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 808, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j40_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4024, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM18VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_nod0_L1EM18VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_bmv2c2085_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 463, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_bmv2c2085_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 865, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '45', 'chainPartName': 'j45_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': '2j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j45_0eta240', '2j45_320eta490_L1J15'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiJet', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J15.0ETA25_2J15.31ETA49', 'chainName': 'j45_0eta240_2j45_320eta490_L1J15.0ETA25_2J15.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 145, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '2j15_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j15_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_VTE50', 'chainName': '2j15_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_VTE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 142, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j15_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j15_ion_mb_mbts_vetombts1side2in_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 888, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j55_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 231, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_320eta490_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 412, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_2j30_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_a10_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 745, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_a10_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3966, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '2j45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_0eta240', 'j60', 'j45_320eta490_AND', '2j45_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40.0ETA25_2J30_J20.31ETA49', 'chainName': 'j80_0eta240_j60_j45_320eta490_AND_2j45_bmv2c2070_split_L1J40.0ETA25_2J30_J20.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '4j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1129, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j50_bmv2c2040_split_3j50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3760, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu14_iloose', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_MU10_3J20', 'chainName': 'mu14_iloose_3j20_L1MU10_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_deta20_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta20'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 717, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': '2j10_deta20_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 789, 'signature': 'Jet', 'L1item': 'L1_J25', 'chainName': 'j100_2j30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_lcw_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 571, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j85_lcw_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1458, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j25'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j25_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3762, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu14', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_MU10_3J20', 'chainName': 'mu14_3j20_L1MU10_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3342, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_boffperf_split', 'ht500'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j55_boffperf_split_ht500_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1215, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_bmv2c2077_split_2j55_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10t_nojcalib_L1J75', 'recoAlg': 'a10t', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 759, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10t_nojcalib_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '30', 'chainPartName': 'j30_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 87, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j30_320eta490_ion_L1TE20'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1361, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp4800_pusup1100_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp4800_pusup1100_trk240_hmt'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1323, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp1600_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp1600_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_a10_lcw_subjes_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 656, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_a10_lcw_subjes_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_bloose_split', 'recoAlg': 'a4', 'bTag': 'bloose', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1119, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_bloose_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3370, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j35_gsc55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': '2j35_gsc55_bmv2c2070_split_ht300_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '2j50_gsc70_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1004, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j50_gsc70_bmv2c2050_split_j50_gsc70_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4071, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm1000', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm1000'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm1000'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_MJJ-500', 'chainName': 'mu6_2j40_0eta490_invm1000'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '440', 'chainPartName': 'j440_a10_lcw_L1J100', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 658, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j440_a10_lcw_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE10_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 118, 'signature': 'Jet', 'L1item': 'L1_TE10_VZDC_C', 'chainName': 'j20_0eta490_L1TE10_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '3j35_gsc55_boffperf_split_L13J35.0ETA23', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1070, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j35_gsc55_boffperf_split_L13J35.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3828, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_2dphi15_mt35_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 812, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j50_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2070', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '3j55_bmv2c2070_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 951, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '3j55_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': '2j25_320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 797, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': '2j25_320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1025, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j35_bmv2c2060_split_2j35_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 186, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j20_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 109, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j10_0eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3973, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '65', 'chainPartName': 'j65_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490_invm250', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm250'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j65_0eta490', 'j40_0eta490_invm250', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j65_0eta490_j40_0eta490_invm250_xe80'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_sub', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 844, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j460_a10_sub'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '120', 'chainPartName': '4j120', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 522, 'signature': 'Jet', 'L1item': 'L1_3J50', 'chainName': '4j120'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1216, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_boffperf_split_3j45._L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '50', 'chainPartName': 'j50_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 91, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j50_320eta490_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_n320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 277, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j15_n320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1185, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j35_bperf_2j35_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c600m800TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c600m800TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 735, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c600m800TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1027, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j15_gsc35_bmv2c2050_split_2j15_gsc35_boffperf_split_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 423, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_2j20_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4036, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_bmv2c2070', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bmv2c2070_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '2j55_gsc75_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1013, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_gsc75_bmv2c2060_split_j55_gsc75_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_lcw_L1HT150-JJ15.ETA49', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 724, 'signature': 'Jet', 'L1item': 'L1_HT150-JJ15.ETA49', 'chainName': 'j360_lcw_L1HT150-JJ15.ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3996, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j175_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J20', 'chainName': 'mu6_j175_bperf_split_dr05_dz02_L1BTAG-MU6J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion_L1ZDC_A_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 81, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C', 'chainName': 'j40_ion_L1ZDC_A_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 154, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j20_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1049, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j45_bmv2c2085_split_3j45'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1301, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp4800_pusup1100_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp4800_pusup1100_trk240_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_ion_L1J30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 174, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j150_ion_L1J30'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1353, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp1600_pusup300_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp1600_pusup300_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1168, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '125', 'chainPartName': 'j125_ion_L1J30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 173, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j125_ion_L1J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3442, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2mu4', 'j80', 'xe40_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJetMET', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2MU4_J40_XE20', 'chainName': '2mu4_j80_xe40_mht'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1337, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp3100_pusup700_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp3100_pusup700_trk160_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 245, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j25_320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 106, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': 'j10_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1110, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3987, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j110'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J20', 'chainName': 'mu6_j110_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3829, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20', 'chainName': 'e13_etcut_trkcut_j20_perf_xe15_6dphi15_mt25_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_a10_lcw_L1J75', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 626, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j300_a10_lcw_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 476, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_L1MBTS_2', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 719, 'signature': 'Jet', 'L1item': 'L1_MBTS_2', 'chainName': 'j10_320eta490_L1MBTS_2'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '850', 'chainPartName': 'ht850_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 638, 'signature': 'HT', 'L1item': 'L1_J100', 'chainName': 'ht850_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4027, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '4j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu20_L1MU15', '4j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU15', 'chainName': 'mu20_L1MU15_4j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4039, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_bmv2c2070_split', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bmv2c2070_split_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3486, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhtight_nod0_ivarloose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e30_lhtight_nod0_ivarloose_2j35_bperf'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1322, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp1200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp1200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_a10r_L1J100', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 662, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_a10r_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 424, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_3j20_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 128, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': '2j20_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 996, 'signature': 'Jet', 'L1item': 'L1_J85_3J30', 'chainName': 'j100_2j55_bmv2c2050_split_L1J85_3J30'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1309, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp4100_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp4100_trk200_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1037, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j25_gsc45_bmv2c2077_split_2j25_gsc45_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1093, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU8_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3535, 'signature': 'Jet', 'L1item': 'L1_TAU8_EMPTY', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU8_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 1459, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j30'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j30_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4034, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_bmv2c2077_split', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bmv2c2077_split_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '75', 'chainPartName': 'j75_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 253, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j75_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 893, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j175_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_bperf_L1J12_EMPTY', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1088, 'signature': 'Jet', 'L1item': 'L1_J12_EMPTY', 'chainName': 'j0_perf_bperf_L1J12_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 513, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j45_j45_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 281, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j25_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3564, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe10'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor195'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe10_razor195'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_L1TAU100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4005, 'signature': 'Jet', 'L1item': 'L1_TAU100', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_L1TAU100'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1181, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j60_L1J20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J20', 'chainName': 'hi_upc_FgapA_j60_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': '2j20_320eta490_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 333, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j20_320eta490_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1121, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': 'j35_boffperf_3j35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1106, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_L1J400ETA25_XE50', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40.0ETA25_XE50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3958, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_XE50', 'chainName': 'j80_boffperf_L1J400ETA25_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 790, 'signature': 'Jet', 'L1item': 'L1_J25', 'chainName': 'j100_2j40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1136, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j70_bperf_3j70_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 286, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j35_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '85', 'chainPartName': 'j85_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 651, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j85_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1146, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j70_bmv2c2077_split_3j70_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2085', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_bmv2c2085_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 927, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 265, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j35_ion_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10r_test4', 'recoAlg': 'a10r', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 863, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j360_a10r_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc300', 'threshold': '200', 'chainPartName': 'j200_gsc300_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 928, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j200_gsc300_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2070', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '3j55_bmv2c2070_split_L13J35.0ETA23', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 969, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j55_bmv2c2070_split_L13J35.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_deta20_L1J12', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta20'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 721, 'signature': 'Jet', 'L1item': 'L1_J12', 'chainName': '2j10_deta20_L1J12'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1154, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j75_boffperf_split_3j75_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3675, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhmedium_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhmedium_nod0_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3854, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e30_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e30_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4014, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_iloose', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_iloose_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3338, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_boffperf_split', 'ht500_L14J15'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j55_boffperf_split_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3779, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_lcw', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j40_lcw_xe100_mht_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4056, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j100', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_DPHI-J20s2XE50', 'chainName': 'j100_xe80_L1J40_DPHI-J20s2XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3969, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bloose_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bloose', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j40', 'j40_bloose_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_2j40_dr05_j40_bloose_split_antimatchdr05mu_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3971, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_deta25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta25'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_0eta490', 'j30_0eta490_deta25', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j40_0eta490_j30_0eta490_deta25_xe80'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1200, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j45_boffperf_split_2j45_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_bmv2c2085_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 471, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j100_bmv2c2085_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_ion_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_ion_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 402, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_ion_320eta490_2j20_ion_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3886, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_0eta490_cleanT', 'xe80_L1XE60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j30_0eta490_cleanT_xe80_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': 'j10_ion_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 256, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j10_ion_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3939, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '3j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': 'j35_0eta490_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', 'j35_0eta490_boffperf_split', '3j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_j35_0eta490_boffperf_split_3j35_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4063, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e5_lhmedium_nod0', 'j50', 'xe80_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJetMET', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_XE50_DPHI-J20s2XE50', 'chainName': '2e5_lhmedium_nod0_j50_xe80_mht_L1J40_XE50_DPHI-J20s2XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 156, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j30_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 224, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j25_320eta490_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '260', 'chainPartName': 'j260_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 599, 'signature': 'Jet', 'L1item': 'L1_J75.31ETA49', 'chainName': 'j260_320eta490'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1195, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j20_0eta490_L1TE10'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE10', 'chainName': 'hi_upc_FgapC_j20_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3664, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhmedium_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhmedium_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1114, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4058, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j100', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_DPHI-CJ20XE50', 'chainName': 'j100_xe80_L1J40_DPHI-CJ20XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3668, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhmedium_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhmedium_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': '2j10_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 355, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j10_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '55', 'chainPartName': 'j55_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 441, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_p320eta490_2j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 193, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j20_0eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1457, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j20'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j20_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 607, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3514, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2mu14', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2MU10', 'chainName': '2mu14_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3527, 'signature': 'Jet', 'L1item': 'L1_2MU10', 'chainName': 'j30_muvtx'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1282, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp1200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp1200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2060_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 448, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j50_bmv2c2060_split_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 894, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_L1TE20_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 126, 'signature': 'Jet', 'L1item': 'L1_TE20_VZDC_C', 'chainName': 'j30_0eta490_L1TE20_VZDC_C'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1189, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapC_j10_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 788, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_2j40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_ion_0eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 141, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j20_ion_0eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 163, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3567, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor185'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe60_razor185'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3439, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j100', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_XE50', 'chainName': 'j100_xe80'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3961, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_boffperf_split', 'ht300_L1J100'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J100', 'chainName': '2j55_boffperf_split_ht300_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 774, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j35_j35_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1054, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2060_split_3j25_gsc45_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '360', 'chainPartName': 'j360_320eta490_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 613, 'signature': 'Jet', 'L1item': 'L1_J100.31ETA49', 'chainName': 'j360_320eta490_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '3j35_gsc55_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1069, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '3j35_gsc55_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 727, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j40_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiJet', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-JJ15.ETA49_MJJ-400', 'chainName': 'ht300_2j40_0eta490_invm700_L1HT150-JJ15.ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '45', 'chainPartName': 'j45_ion_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 307, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_ion_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4033, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_btight', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_btight_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '280eta320', 'threshold': '85', 'chainPartName': 'j85_280eta320', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 647, 'signature': 'Jet', 'L1item': 'L1_J20.28ETA31', 'chainName': 'j85_280eta320'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '20', 'chainPartName': '2j20_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 357, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j20_p320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3482, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_ivarmedium', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_ivarmedium_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2077_split_L1J40_XE50', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40_XE50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3946, 'signature': 'Jet', 'L1item': 'L1_J40_XE50', 'chainName': 'j80_bmv2c2077_split_L1J40_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 817, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j175_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_L1J100', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 659, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10_lcw_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 968, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j55_gsc75_bmv2c2060_split_3j55_gsc75_boffperf_split_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 162, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU30_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3546, 'signature': 'Jet', 'L1item': 'L1_TAU30_EMPTY', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU30_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1062, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j35_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 824, 'signature': 'Jet', 'L1item': 'L1_J85', 'chainName': 'j300'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 229, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j35_320eta490_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 926, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 266, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j35_ion_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1139, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bmv2c2077'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3534, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3468, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'j20_perf', 'xe20'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_j20_perf_xe20_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1178, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j40_L1J5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'hi_upc_FgapA_j40_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3835, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 160, 'signature': 'Jet', 'L1item': 'L1_J5', 'chainName': 'j30_ion_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3368, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j35_gsc55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': '2j35_gsc55_bmv2c2070_split_ht300_L1HT150-J20s5.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4029, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g20_loose_L1EM18VH', '2j40_0eta490', '3j25_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'g20_loose_L1EM18VH_2j40_0eta490_3j25_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 773, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j55_320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_L1RD0_FILLED', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 827, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j55_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1474, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 898, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3507, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_lhloose', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_lhloose_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 899, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1333, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp1600_pusup300_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp1600_pusup300_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 116, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j20_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3976, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_deta25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta25'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_0eta490', 'j30_0eta490_deta25', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j40_0eta490_j30_0eta490_deta25_xe60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_L1J12_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 503, 'signature': 'Jet', 'L1item': 'L1_J12_EMPTY', 'chainName': 'j0_L1J12_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '260', 'chainPartName': 'j260_320eta490_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 694, 'signature': 'Jet', 'L1item': 'L1_J75.31ETA49', 'chainName': 'j260_320eta490_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4026, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu20_L1MU15', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU15', 'chainName': 'mu20_L1MU15_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '440', 'chainPartName': 'j440', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 619, 'signature': 'Jet', 'L1item': 'L1_J120', 'chainName': 'j440'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 141, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j10_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j10_ion_mb_mbts_vetombts1side2in_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1292, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp1200_pusup200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp1200_pusup200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 815, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j175_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 597, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3834, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_6dphi05_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 199, 'signature': 'Jet', 'L1item': 'L1_J5', 'chainName': 'j40_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 970, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j55_gsc75_bmv2c2060_split_3j55_gsc75_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 264, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j25_ion_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc225', 'threshold': '175', 'chainPartName': 'j175_gsc225_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 922, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_gsc225_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 593, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1ZDC', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 139, 'signature': 'Jet', 'L1item': 'L1_ZDC', 'chainName': 'j10_0eta490_L1ZDC'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_sub', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 846, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j460_a10_lcw_sub'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 474, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '360', 'chainPartName': 'j360_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 610, 'signature': 'Jet', 'L1item': 'L1_J100.31ETA49', 'chainName': 'j360_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3988, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j150'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J40', 'chainName': 'mu6_j150_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1445, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j40_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j40_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': 'j20_320eta490_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 124, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j20_320eta490_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '260', 'chainPartName': 'j260_320eta490_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 695, 'signature': 'Jet', 'L1item': 'L1_J75.31ETA49', 'chainName': 'j260_320eta490_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2085', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bmv2c2085_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 923, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3807, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j10_perf', 'xe25'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT35_W-90RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EMXE', 'chainName': 'e13_etcut_trkcut_xs30_j10_perf_xe25_6dphi15_mt35_L1EM12_W-MT35_W-90RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EMXE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3495, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhtight_nod0_ivarloose', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e30_lhtight_nod0_ivarloose_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 880, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j55_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1448, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j20_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 248, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j35_320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 263, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j25_ion_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1053, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2060_split_3j25_gsc45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 142, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j20_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2070_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 457, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_bmv2c2070_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1225, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_cleanLLP', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 667, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_cleanLLP'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3441, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j100', 'xe80_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJetMET', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4_J50_XE40', 'chainName': 'mu4_j100_xe80_mht'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4000, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_cleanT', 'xe80_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j40_cleanT_xe80_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1050, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_bmv2c2085_split_3j45_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3778, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_lcw', 'xe100_mht_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j30_lcw_xe100_mht_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': '2j20_320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 340, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j20_320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1081, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j35_bmv2c2077_split_j35_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_a10_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 743, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_a10_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1098, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_nojcalib', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 832, 'signature': 'Jet', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j360_a10_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3519, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_tight_iloose', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_tight_iloose_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 883, 'signature': 'Jet', 'L1item': 'L1_J85', 'chainName': 'j320_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3888, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j60_cleanT', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_XE50', 'chainName': 'j60_cleanT_xe80_L1J40_XE50'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1345, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp2400_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp2400_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1161, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_bperf_split_j50_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_L1XE60', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_XE60', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3959, 'signature': 'Jet', 'L1item': 'L1_XE60', 'chainName': 'j80_boffperf_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3561, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe10'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor170'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe10_razor170'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1469, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc60', 'threshold': '45', 'chainPartName': 'j45_gsc60_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 984, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_gsc175_bmv2c2077_split_j45_gsc60_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '1000', 'chainPartName': 'ht1000', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 857, 'signature': 'HT', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'ht1000'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion_L1ZDC_A_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 82, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C', 'chainName': 'j50_ion_L1ZDC_A_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU8_UNPAIRED_NONISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3545, 'signature': 'Jet', 'L1item': 'L1_TAU8_UNPAIRED_NONISO', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU8_UNPAIRED_NONISO'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1314, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp2100_pusup400_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp2100_pusup400_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_sub', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 842, 'signature': 'Jet', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j360_a10_lcw_sub'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3747, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM26VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g100_tight', '3j50noL1_L1EM26VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'g100_tight_3j50noL1_L1EM26VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1187, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j35_bperf_split_2j35_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3480, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_lhloose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_lhloose_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3328, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300_L14J15', '2j55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': '2j55_bmv2c2060_split_ht300_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '40', 'chainPartName': 'j40_320eta490_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 90, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j40_320eta490_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1031, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j15_gsc35_bmv2c2060_split_2j15_gsc35_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3371, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j35_gsc55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': '2j35_gsc55_bmv2c2070_split_ht300_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU30_UNPAIRED_ISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3539, 'signature': 'Jet', 'L1item': 'L1_TAU30_UNPAIRED_ISO', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU30_UNPAIRED_ISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '3j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1173, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j65_bperf_j65'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c500m900TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c500m900TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 669, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c500m900TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 397, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_ion_3j20_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1212, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_boffperf_split_2j55_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '20', 'chainPartName': '2j20_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 372, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j20_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 149, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': '2j20_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1171, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_C', 'chainName': 'hi_upc_FgapA_j10_0eta490_L1ZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3994, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j110_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J20', 'chainName': 'mu6_j110_bperf_split_dr05_dz02_L1BTAG-MU6J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1186, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j35_boffperf_2j35_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '200', 'chainPartName': 'j200_jes_PS', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 823, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j200_jes_PS'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 716, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j45_320eta490_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '200', 'chainPartName': '3j200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 518, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': '3j200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3771, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '30', 'chainPartName': '5j30_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhmedium', '5j30_0eta240'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e24_lhmedium_5j30_0eta240_L1EM13VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 997, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_bmv2c2050_split_j50_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '90', 'chainPartName': 'j90_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 207, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j90_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1097, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 881, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_bmv2c2077_split_j50_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '75', 'chainPartName': 'j75_ion_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 272, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j75_ion_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_subjes_L1HT150-J20.ETA31', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 722, 'signature': 'Jet', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j360_a10_lcw_subjes_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 150, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j30_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 95, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j75_ion_2j40_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3677, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhmedium_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhmedium_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 772, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j45_320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3672, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhvloose_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhvloose_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_ion_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 168, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_ion_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3488, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_loose', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_loose_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmedium_split', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1171, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bmedium_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3681, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1105, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 411, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_2j20_0eta490_L1J15'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1326, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp2800_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp2800_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 118, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j10_320eta490_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '45', 'chainPartName': 'j45_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 434, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_n320eta490_4j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3365, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j35_gsc55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j35_gsc55_bmv2c2060_split_ht500_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1460, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j20_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': '3j175_jes_PS', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 799, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': '3j175_jes_PS'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3633, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e20_lhmedium_nod0', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH_3J20', 'chainName': 'e20_lhmedium_nod0_3j20_L1EM18VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoStartFrom': False, 'chainCounter': 9151, 'signature': 'Jet', 'L1item': '', 'chainName': 'j0'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3358, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j55_bmv2c2060_split_ht500_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1MBTS_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 106, 'signature': 'Jet', 'L1item': 'L1_MBTS_1', 'chainName': 'j10_0eta490_L1MBTS_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 920, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2077_split_j60_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_L1J12', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 811, 'signature': 'Jet', 'L1item': 'L1_J12', 'chainName': 'j50_L1J12'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '480', 'chainPartName': 'j480_a10_lcw_subjes_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 660, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j480_a10_lcw_subjes_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 72, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j75_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 427, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_320eta490_3j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1143, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j70_boffperf_split_3j70_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2070', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '275', 'chainPartName': 'j275_bmv2c2070_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 925, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j275_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc275', 'threshold': '225', 'chainPartName': 'j225_gsc275_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 926, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc275_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '2j50_gsc70_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1007, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j50_gsc70_bmv2c2070_split_j50_gsc70_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '480', 'chainPartName': 'j480_a10_lcw_L1J100', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 660, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j480_a10_lcw_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1MBTS_2_A_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 108, 'signature': 'Jet', 'L1item': 'L1_MBTS_2_A_VZDC_C', 'chainName': 'j10_0eta490_L1MBTS_2_A_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3638, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 525, 'signature': 'Jet', 'L1item': 'L1_3J15', 'chainName': '4j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '4j30_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 410, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_4j30_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1444, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j30_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j30_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3367, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j35_gsc55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j35_gsc55_bmv2c2060_split_ht500_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '55', 'chainPartName': '6j55_0eta240_L15J150ETA25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 556, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '6j55_0eta240_L15J150ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3892, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '65', 'chainPartName': 'j65_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490_invm250', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm250'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j65_0eta490', 'j40_0eta490_invm250', 'xe80_L1XE70'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE70', 'chainName': 'j65_0eta490_j40_0eta490_invm250_xe80_L1XE70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 646, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 165, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_ion_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 990, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bmv2c2060_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1350, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp4500_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp4500_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 884, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j35_gsc55_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_L1J30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 212, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j150_L1J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 630, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2060_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 456, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_bmv2c2060_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 543, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j85_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3883, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j150', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J75_XE50', 'chainName': 'j150_xe80'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 995, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j110_gsc150_boffperf_split_2j35_gsc55_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 262, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j25_ion_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 151, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '2j15_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j15_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': '2j15_ion_mb_mbts_vetombts1side2in_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3830, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_W-90RO2-XEHT-0'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 687, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4059, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j100', 'xe60_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJetMET', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4_J20_XE30_DPHI-J20s2XE30', 'chainName': 'mu4_j100_xe60_mht_L1MU4_J20_XE30_DPHI-J20s2XE30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '45', 'chainPartName': '7j45_0eta240_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '7', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 578, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '7j45_0eta240_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_cleanL', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanL', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 665, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_cleanL'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_bperf_L1MU10', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1087, 'signature': 'Jet', 'L1item': 'L1_MU10', 'chainName': 'j0_perf_bperf_L1MU10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 325, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': 'j35_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3755, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_bmv2c2060_split', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:MET', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J50_XE40', 'chainName': 'j80_bmv2c2060_split_xe60_L12J50_XE40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1455, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j50'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j50_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_ion_0eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 155, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j20_ion_0eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_a10_lcw_subjes_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 626, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j300_a10_lcw_subjes_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3887, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_0eta490_cleanT', 'xe100_tc_lcw_L1XE70'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE70', 'chainName': 'j30_0eta490_cleanT_xe100_tc_lcw_L1XE70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3520, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_nod0_ivarloose', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_nod0_ivarloose_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_n320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 276, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j15_n320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '30', 'chainPartName': 'j30_320eta490_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 88, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j30_320eta490_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 426, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_320eta490_2j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '40', 'chainPartName': '2j40_p320eta490_L1J15.31ETA49', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 361, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': '2j40_p320eta490_L1J15.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1446, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j50_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j50_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3931, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '3j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_bmedium_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j30', 'j30_bmedium_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_3j30_dr05_j30_bmedium_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': '2j20_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 795, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j20_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 428, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_320eta490_4j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3812, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs60', 'j10_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_XS60_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs60_j10_perf_xe30_6dphi05_mt35_L1EM15_W-MT35_XS60_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 981, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_gsc175_bmv2c2050_split_j30_gsc50_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1000, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j70_bmv2c2050_split_j70_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1132, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j65_bperf_split_3j65_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '4j15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1020, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j15_gsc35_boffperf_split_2j15_gsc35_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_bmv2c2040_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2040', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 918, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_gsc175_bmv2c2040_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1023, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j35_bmv2c2050_split_2j35_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 3452, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j55_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4_J12', 'chainName': 'mu4_j55_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1151, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_bperf_split_3j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': 'j15_gsc35_boffperf_split_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1078, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '3j15_gsc35_boffperf_split_j15_gsc35_boffperf_split_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '65', 'chainPartName': '5j65_0eta240_L1J4-MATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 728, 'signature': 'Jet', 'L1item': 'L1_J4-MATCH', 'chainName': '5j65_0eta240_L1J4-MATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '55', 'chainPartName': 'j55_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 436, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_n320eta490_3j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3363, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': '2j55_bmv2c2070_split_ht300_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1254, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3505, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2mu14', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2MU10', 'chainName': '2mu14_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 963, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j75_bmv2c2060_split_3j75_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1130, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j65_bperf_3j65_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1102, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3378, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_2dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3874, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_bperf_split', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_bperf_split_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3501, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_tight_iloose', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_tight_iloose_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3928, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_boffperf_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j35', 'j35_boffperf_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_3j35_dr05_j35_boffperf_split_antimatchdr05mu_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_a10_sub_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 698, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j300_a10_sub_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainCounter': 3570, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '55', 'chainPartName': 'j55_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_0eta240', 'xe50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J30_EMPTY', 'chainName': 'j55_0eta240_xe50_L1J30_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_a10_lcw_L1J100', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 656, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_a10_lcw_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70_nojcalib_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 569, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j70_nojcalib_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 1447, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j60_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j60_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3444, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2mu4', 'j85', 'xe50_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJetMET', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2MU4_J40_XE20', 'chainName': '2mu4_j85_xe50_mht'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '4j30_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 416, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_4j30_0eta490_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1TAU100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4006, 'signature': 'Jet', 'L1item': 'L1_TAU100', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1TAU100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '280eta320', 'threshold': '85', 'chainPartName': 'j85_280eta320_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 649, 'signature': 'Jet', 'L1item': 'L1_J20.28ETA31', 'chainName': 'j85_280eta320_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1192, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j45_bperf_2j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3375, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j15_perf_xe30_6dphi05_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1ZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 135, 'signature': 'Jet', 'L1item': 'L1_ZDC_A', 'chainName': 'j10_0eta490_L1ZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_a10_lcw_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 744, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_a10_lcw_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1249, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-400'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1188, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_0eta490_L1TE5'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE5', 'chainName': 'hi_upc_FgapC_j10_0eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': 'j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 902, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1211, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j55_boffperf_split_2j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4068, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm400', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm400'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm400'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_MJJ-200', 'chainName': 'mu6_2j40_0eta490_invm400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1112, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '700', 'chainPartName': 'ht700_L1J75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 637, 'signature': 'HT', 'L1item': 'L1_J75', 'chainName': 'ht700_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': 'j50_gsc65_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': '3j50_gsc65_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 954, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j50_gsc65_bmv2c2070_split_3j50_gsc65_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3680, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '4j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26', '4j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_4j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3372, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '2j45_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '2j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j45_bmv2c2060_split', '2j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-JJ15.ETA49_MJJ-400', 'chainName': '2j45_bmv2c2060_split_2j35_0eta490_invm700_L1HT150-JJ15.ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '55', 'chainPartName': 'j55_ion_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 308, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_ion_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 117, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': 'j10_320eta490_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-400', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1217, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-400', 'chainName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '5', 'chainPartName': 'j5_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 113, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j5_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3922, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bloose_split_antimatchdr05mu_L14J20', 'recoAlg': 'a4', 'bTag': 'bloose', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j35', 'j35_bloose_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'mu4_3j35_dr05_j35_bloose_split_antimatchdr05mu_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_bmv2c2077_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 470, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j100_bmv2c2077_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3651, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_nod0_L1EM20VH_4j20noL1'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1291, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp4800_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp4800_trk240_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 605, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j35_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1449, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j25_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j25_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 187, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j20_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3510, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_tight_iloose', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_tight_iloose_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4038, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_bmv2c2070', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_bmv2c2070_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 979, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j110_gsc150_bmv2c2060_split_j30_gsc50_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 164, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j50_ion_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '2j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 792, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150_2j50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 876, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j55_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '3j50_gsc70_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 959, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j50_gsc70_bmv2c2070_split_3j50_gsc70_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10_lcw_sub_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 623, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10_lcw_sub_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1179, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_bperf_split_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3348, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_boffperf_split', 'ht300'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': '2j55_boffperf_split_ht300_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_a10r_L1J100', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 664, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_a10r_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bmv2c2070_split_L1J10', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 445, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_bmv2c2070_split_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3809, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs50', 'j10_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs50_j10_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3492, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_tight_iloose', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_tight_iloose_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_a10_lcw_subjes_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 657, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_a10_lcw_subjes_L1J100'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1297, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp3100_pusup700_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp3100_pusup700_trk160_hmt'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1317, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp3100_pusup700_trk160_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp3100_pusup700_trk160_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1464, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j50_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j50_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '40', 'chainPartName': '2j40_ion_p320eta490_L1J15.31ETA49', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 353, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': '2j40_ion_p320eta490_L1J15.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 305, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j35_ion_p320eta490_L1TE50'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1332, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp1200_pusup200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp1200_pusup200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_L1J40_XE60', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40_XE60', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3956, 'signature': 'Jet', 'L1item': 'L1_J40_XE60', 'chainName': 'j80_boffperf_L1J40_XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3517, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_imedium', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_imedium_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_ion_L1J50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 175, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j175_ion_L1J50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3967, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '2j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bloose_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bloose', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '2j40', 'j40_bloose_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_2j40_dr05_j40_bloose_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1443, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j25_ion'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j25_ion_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': 'j50_gsc70_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc70', 'threshold': '50', 'chainPartName': '3j50_gsc70_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 960, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j50_gsc70_bmv2c2077_split_3j50_gsc70_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 589, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j85_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1208, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_boffperf_2j55_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3662, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhmedium_nod0_L1EM20VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhmedium_nod0_L1EM20VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1236, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bperf_L1J30_2J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 144, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j30_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '230', 'chainPartName': 'j230_jes_cleanLLP_PS_revllp_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['revllp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3553, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j230_jes_cleanLLP_PS_revllp_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1138, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j70_boffperf_3j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4017, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM18VH', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_L1EM18VH_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '55', 'chainPartName': 'j55_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 443, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_p320eta490_4j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 140, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', 'j20_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j20_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1283, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp1600_trk80_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp1600_trk80_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1255, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bmv2c2077_split_L1J30_2J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1169, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3685, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu24', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu24_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '30', 'chainPartName': '2j30_ion_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 366, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j30_ion_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 279, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j15_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1218, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 147, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j10_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': '2j10_ion_mb_mbts_vetombts1side2in_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1172, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bmv2c2077'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1167, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '360', 'chainPartName': 'j360_320eta490_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 614, 'signature': 'Jet', 'L1item': 'L1_J100.31ETA49', 'chainName': 'j360_320eta490_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3687, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '4j35_0eta490_invm1000', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm1000'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', '4j35_0eta490_invm1000'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_4j35_0eta490_invm1000'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 67, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j50_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_bmv2c2085_split_L12J15_XE55', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J15', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3949, 'signature': 'Jet', 'L1item': 'L1_2J15_XE55', 'chainName': '2j30_bmv2c2085_split_L12J15_XE55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 947, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j55_gsc75_boffperf_split_3j55_gsc75_boffperf_split_L14J15.0ETA25'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1324, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp2100_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp2100_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3698, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '2j45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_0eta240', 'j60', 'j45_320eta490_AND', '2j45_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40.0ETA25_2J25_J20.31ETA49', 'chainName': 'j80_0eta240_j60_j45_320eta490_AND_2j45_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1149, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_boffperf_3j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1131, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j65_boffperf_3j65_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 595, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j175'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_TT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'TT', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 705, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_TT'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': 'j50_gsc65_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 905, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j50_gsc65_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3496, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2mu14', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2MU10', 'chainName': '2mu14_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3369, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j35_gsc55_bmv2c2070_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20.ETA31', 'chainName': '2j35_gsc55_bmv2c2070_split_ht300_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': '6j60_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 563, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j60_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3635, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_L1EM20VH_4j20noL1'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1193, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1ZDC', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_0eta490_L1ZDC'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC', 'chainName': 'hi_upc_FgapC_j10_0eta490_L1ZDC'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 945, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j55_gsc75_boffperf_split_3j55_gsc75_boffperf_split_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc225', 'threshold': '175', 'chainPartName': 'j175_gsc225_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 924, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_gsc225_bmv2c2077_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1316, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp2800_pusup600_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp2800_pusup600_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '250', 'chainPartName': 'j250_ion_L1J50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 177, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j250_ion_L1J50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '80', 'chainPartName': 'j80_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '60', 'chainPartName': '2j60_320eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 861, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J15.31ETA49', 'chainName': 'j80_0eta240_2j60_320eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 872, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1LLP-NOMATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4008, 'signature': 'Jet', 'L1item': 'L1_LLP-NOMATCH', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_noiso_L1LLP-NOMATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2085_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 451, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j50_bmv2c2085_split_L1J15'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1286, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp2800_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp2800_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1203, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j45_bmv2c2070_split_2j45_L13J25.0ETA23'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1352, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp1200_pusup200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp1200_pusup200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 964, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j75_bmv2c2060_split_3j75_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3676, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhmedium_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e30_lhmedium_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MinBias', 'BW:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 706, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j10_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 421, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_4j20_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '40', 'chainPartName': 'j40_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 89, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j40_320eta490_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 813, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3833, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_2dphi15_mt35_L1EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3466, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_2dphi05_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 180, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j20_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': 'j20_320eta490_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 125, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j20_320eta490_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '85', 'chainPartName': '5j85_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 546, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j85_0eta240'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1285, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp2400_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp2400_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3932, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '3j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_bmedium_split_antimatchdr05mu_L14J20', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j30', 'j30_bmedium_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'mu4_3j30_dr05_j30_bmedium_split_antimatchdr05mu_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 950, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j65_bmv2c2050_split_3j65_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3929, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '4j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '4j40'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_4j40_dr05_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 600, 'signature': 'Jet', 'L1item': 'L1_J85', 'chainName': 'j320'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1206, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_bperf_2j55_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2060_split_L12J50_XE40', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3867, 'signature': 'Jet', 'L1item': 'L1_2J50_XE40', 'chainName': 'j80_bmv2c2060_split_L12J50_XE40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '1400', 'chainPartName': 'ht1400_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 587, 'signature': 'HT', 'L1item': 'L1_J100', 'chainName': 'ht1400_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3862, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': '3j25noL1_L1EM20VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g75_tight', '3j25noL1_L1EM20VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VHI', 'chainName': 'g75_tight_3j25noL1_L1EM20VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 969, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j55_gsc75_bmv2c2060_split_3j55_gsc75_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_ion_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 217, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j10_320eta490_ion_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1219, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc85', 'threshold': '60', 'chainPartName': 'j60_gsc85_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 906, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_gsc85_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3942, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '4j35_0eta490_invm500', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm500'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g20_tight_iloose', '4j35_0eta490_invm500'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH_MJJ-300', 'chainName': 'g20_tight_iloose_4j35_0eta490_invm500'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1310, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp4500_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp4500_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3347, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j35_gsc55_boffperf_split', 'ht500'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j35_gsc55_boffperf_split_ht500_L1HT190-J15s5.ETA21'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1296, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp2800_pusup600_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp2800_pusup600_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3806, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs40', 'j10_perf', 'xe25'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT35_XS40_W-05DPHI-JXE-0_W-05DPHI-EMXE', 'chainName': 'e13_etcut_trkcut_xs40_j10_perf_xe25_6dphi05_mt35_L1EM12_W-MT35_XS40_W-05DPHI-JXE-0_W-05DPHI-EMXE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 677, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3359, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j55_bmv2c2060_split_ht500_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '260', 'chainPartName': 'j260_320eta490_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 693, 'signature': 'Jet', 'L1item': 'L1_J75.31ETA49', 'chainName': 'j260_320eta490_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': '6j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 557, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '3j30_0eta490_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 414, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_3j30_0eta490_L1J15'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1197, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j30_0eta490_L1TE20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE20', 'chainName': 'hi_upc_FgapC_j30_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 112, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j10_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3856, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e50_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e50_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3695, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm600', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm600'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm600'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J30.0ETA49_2J20.0ETA49', 'chainName': 'mu6_2j40_0eta490_invm600_L1MU6_J30.0ETA49_2J20.0ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3660, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhmedium_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhmedium_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3345, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j35_gsc55_boffperf_split', 'ht300'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15.ETA21', 'chainName': '2j35_gsc55_boffperf_split_ht300_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3838, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e20_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE', 'chainName': 'e20_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1351, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp4800_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp4800_trk240_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3878, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j40_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31_MJJ-400', 'chainName': 'ht300_2j40_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '65', 'chainPartName': 'j65_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 252, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j65_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 975, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j110_gsc150_boffperf_split_j30_gsc50_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1349, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp4100_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp4100_trk200_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['DataScouting_05_Jets'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_ds1_L1All', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': 'ds1'}], 'topo': [], 'groups': ['RATE:Cosmic_Jets_DS', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 766, 'signature': 'Jet', 'L1item': '', 'chainName': 'j0_perf_ds1_L1All'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '30', 'chainPartName': '2j30_320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 342, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j30_320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3656, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3499, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_imedium', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_imedium_2j35_boffperf'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1295, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp2400_pusup500_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp2400_pusup500_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_ion_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_ion_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 403, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_ion_320eta490_3j20_ion_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '65', 'chainPartName': 'j65_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 290, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j65_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3445, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j15_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j15_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1AFP_C_J12', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 711, 'signature': 'Jet', 'L1item': 'L1_AFP_C_J12', 'chainName': 'j40_L1AFP_C_J12'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4020, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM18VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_L1EM18VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE10_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 113, 'signature': 'Jet', 'L1item': 'L1_TE10_VZDC_A', 'chainName': 'j10_0eta490_L1TE10_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3478, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2mu14', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2MU10', 'chainName': '2mu14_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 132, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': '2j10_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1290, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp4500_trk220_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp4500_trk220_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_ion_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_ion_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 401, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_ion_320eta490_4j20_ion_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 919, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_gsc175_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3688, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '4j35_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_loose_L1EM20VH', '4j35_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'g25_loose_L1EM20VH_4j35_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3640, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3873, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_bperf', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_bperf_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '30', 'chainPartName': '2j30_320eta490_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 334, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j30_320eta490_ion_L1TE50'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1325, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp2400_trk120_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp2400_trk120_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3927, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '4j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '4j40'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_4j40_dr05_L13J20_BTAG-MU4J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1470, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j25'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 967, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j75_bmv2c2077_split_3j75_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3458, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j260_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j260_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 166, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_ion_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'ht400', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 848, 'signature': 'HT', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'ht400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2077_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 450, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j50_bmv2c2077_split_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_split_L1J40_XE50', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40_XE50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3951, 'signature': 'Jet', 'L1item': 'L1_J40_XE50', 'chainName': 'j80_boffperf_split_L1J40_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3373, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '2j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j25_gsc45_bmv2c2060_split', '2j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-JJ15.ETA49_MJJ-400', 'chainName': '2j25_gsc45_bmv2c2060_split_2j35_0eta490_invm700_L1HT150-JJ15.ETA49_MJJ-400'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3783, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_0eta240', 'j60', 'j45_320eta490_invm700_AND', 'j45_bmv2c2070_split', 'j45_bmv2c2085_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40.0ETA25_2J25_J20.31ETA49', 'chainName': 'j80_0eta240_j60_j45_320eta490_invm700_AND_j45_bmv2c2070_split_j45_bmv2c2085_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 222, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j15_320eta490_ion_L1TE20'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1339, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp4100_pusup900_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp4100_pusup900_trk200_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': 'j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L13J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 943, 'signature': 'Jet', 'L1item': 'L1_3J20', 'chainName': 'j25_gsc45_boffperf_split_3j25_gsc45_boffperf_split_L13J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4066, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g20_loose', '2j40_0eta490', '3j25_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MJJ-800', 'chainName': 'g20_loose_2j40_0eta490_3j25_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion_L1J5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 161, 'signature': 'Jet', 'L1item': 'L1_J5', 'chainName': 'j40_ion_L1J5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3925, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_boffperf_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j35', 'j35_boffperf_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_3j35_dr05_j35_boffperf_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3849, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e60_etcut_trkcut', 'j15_perf', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e60_etcut_trkcut_j15_perf_xe60_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1465, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j60_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j60_ion'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1311, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp4800_trk240_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp4800_trk240_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU8_UNPAIRED_ISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3544, 'signature': 'Jet', 'L1item': 'L1_TAU8_UNPAIRED_ISO', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU8_UNPAIRED_ISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmedium', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmedium_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1116, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bmedium_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4011, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_nod0_iloose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_nod0_iloose_2j35_bperf'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1356, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp2800_pusup600_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp2800_pusup600_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1LLP-RO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3551, 'signature': 'Jet', 'L1item': 'L1_LLP-RO', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1LLP-RO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1137, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j70_boffperf_3j70_L13J25.0ETA23'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1196, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j20_0eta490_L1TE20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE20', 'chainName': 'hi_upc_FgapC_j20_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1202, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j45_btight_split_2j45_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_boffperf_L1J12_EMPTY', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 868, 'signature': 'Jet', 'L1item': 'L1_J12_EMPTY', 'chainName': 'j0_perf_boffperf_L1J12_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'bTag': 'boffperf', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_boffperf_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 896, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1017, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j35_boffperf_split_2j35_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3333, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300', '2j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': '2j55_bmv2c2050_split_ht300_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '65', 'chainPartName': 'j65_ion_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 271, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j65_ion_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '3j30_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 420, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_3j30_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3357, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'j55_bmv2c2060_split_ht500_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1207, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j55_boffperf_2j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1199, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j45_boffperf_split_2j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3569, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor220'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe60_razor220'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 973, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j55_gsc75_bmv2c2077_split_3j55_gsc75_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 419, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_3j20_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_bmv2c2070_split_L1XE60', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3868, 'signature': 'Jet', 'L1item': 'L1_XE60', 'chainName': 'j100_bmv2c2070_split_L1XE60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3503, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhtight_nod0_ivarloose', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'e28_lhtight_nod0_ivarloose_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1LLP-NOMATCH', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3548, 'signature': 'Jet', 'L1item': 'L1_LLP-NOMATCH', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1LLP-NOMATCH'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J10_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 129, 'signature': 'Jet', 'L1item': 'L1_J10_VZDC_A', 'chainName': 'j40_L1J10_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 904, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j35_gsc55_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1319, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp4100_pusup900_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp4100_pusup900_trk200_hmt'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1201, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j60_L1J15'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J15', 'chainName': 'hi_upc_FgapC_j60_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bperf', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_bperf_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 877, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 225, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j25_320eta490_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '200', 'chainPartName': 'j200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 822, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j200'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_ion_L1ZDC_XOR_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 110, 'signature': 'Jet', 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': 'j10_ion_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '280eta320', 'threshold': '85', 'chainPartName': 'j85_280eta320_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 648, 'signature': 'Jet', 'L1item': 'L1_J20.28ETA31', 'chainName': 'j85_280eta320_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3699, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_deta25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta25'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_0eta490', 'j30_0eta490_deta25', 'xe80_L1XE50'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE50', 'chainName': 'j40_0eta490_j30_0eta490_deta25_xe80_L1XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1472, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j40'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2085_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 459, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_bmv2c2085_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4064, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g15_loose', '2j40_0eta490', '3j25_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MJJ-400', 'chainName': 'g15_loose_2j40_0eta490_3j25_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_noiso', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx', 'noiso'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3528, 'signature': 'Jet', 'L1item': 'L1_2MU10', 'chainName': 'j30_muvtx_noiso'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c200m400TLA_test4', 'recoAlg': 'a4', 'bTag': '', 'extra': 'test4', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c200m400TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 733, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c200m400TLA_test4'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc175', 'threshold': '150', 'chainPartName': 'j150_gsc175_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 920, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j150_gsc175_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2070_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 453, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_bmv2c2070_split_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_bmv2c2060_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 460, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_bmv2c2060_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1ZDC_A_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 136, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_VZDC_C', 'chainName': 'j10_0eta490_L1ZDC_A_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': 'j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split_L13J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 942, 'signature': 'Jet', 'L1item': 'L1_3J15.0ETA25', 'chainName': 'j25_gsc45_boffperf_split_3j25_gsc45_boffperf_split_L13J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_L1TAU40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4002, 'signature': 'Jet', 'L1item': 'L1_TAU40', 'chainName': 'j30_jes_cleanLLP_PS_llp_L1TAU40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3645, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhvloose_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '110', 'chainPartName': 'j110_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 592, 'signature': 'Jet', 'L1item': 'L1_J30.31ETA49', 'chainName': 'j110_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE5_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 111, 'signature': 'Jet', 'L1item': 'L1_TE5_VZDC_C', 'chainName': 'j10_0eta490_L1TE5_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3352, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J20', 'j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_bmv2c2050_split_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_subjes_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 654, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360_a10_lcw_subjes_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3697, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80_0eta240', 'j60', 'j45_320eta490_invm700_AND', 'j45_bmv2c2070_split', 'j45_bmv2c2077_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40.0ETA25_2J25_J20.31ETA49', 'chainName': 'j80_0eta240_j60_j45_320eta490_invm700_AND_j45_bmv2c2070_split_j45_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3453, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j85_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J20', 'chainName': 'mu6_j85_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '20', 'chainPartName': '2j20_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 332, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j20_320eta490_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3337, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j55_bmv2c2050_split_ht500_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 803, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '260', 'chainPartName': 'j260_320eta490_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 697, 'signature': 'Jet', 'L1item': 'L1_J75.31ETA49', 'chainName': 'j260_320eta490_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 237, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j10_320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '35', 'chainPartName': 'j35_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 284, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j35_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3385, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs15', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs15_j20_perf_xe15_2dphi05_mt25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3464, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'j20_perf', 'xe20'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30', 'chainName': 'e18_etcut_trkcut_j20_perf_xe20_6dphi15_mt35_L1EM15_W-MT35_W-05DPHI-JXE-0_W-05DPHI-EM15XE_XS30'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 119, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j10_320eta490_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 676, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '850', 'chainPartName': 'ht850', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 855, 'signature': 'HT', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'ht850'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_ion_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 149, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j20_ion_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3454, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j110_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J20', 'chainName': 'mu6_j110_bperf_split_dr05_dz02'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10_lcw_nojcalib_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 625, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10_lcw_nojcalib_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': '5j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 547, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3879, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '2j45_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '2j35_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j45_bmv2c2060_split', '2j35_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31_MJJ-400-CF', 'chainName': '2j45_bmv2c2060_split_2j35_0eta490_invm700_L1HT150-J20s5.ETA31_MJJ-400-CF'},
{'EBstep': -1, 'signatures': '', 'stream': ['ZeroBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1ZB', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:ZeroBias', 'RATE:ZeroBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3195, 'signature': 'Jet', 'L1item': 'L1_ZB', 'chainName': 'j40_L1ZB'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_ion_0eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 159, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j40_ion_0eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_L1TE20_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 125, 'signature': 'Jet', 'L1item': 'L1_TE20_VZDC_A', 'chainName': 'j30_0eta490_L1TE20_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 301, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j25_ion_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'noiso'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3542, 'signature': 'Jet', 'L1item': 'L1_TAU60', 'chainName': 'j30_jes_cleanLLP_PS_llp_noiso_L1TAU60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '3j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1175, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j65_bperf_split_j65'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2077_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 454, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j60_bmv2c2077_split_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1003, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_bmv2c2077_split_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70_lcw_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 566, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j70_lcw_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1101, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j175_boffperf'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1172, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1ZDC', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_0eta490_L1ZDC'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC', 'chainName': 'hi_upc_FgapA_j10_0eta490_L1ZDC'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 673, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 122, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': 'j15_320eta490_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1024, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j35_bmv2c2070_split_2j35_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '3j55_gsc75_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 972, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j55_gsc75_bmv2c2070_split_3j55_gsc75_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3860, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g45_tight', '3j50noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'g45_tight_3j50noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3811, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs60', 'j10_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_XS60_W-15DPHI-JXE-0_W-15DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs60_j10_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_XS60_W-15DPHI-JXE-0_W-15DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 686, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3871, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_boffperf', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_boffperf_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2070', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_bmv2c2070_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1002, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_bmv2c2070_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '20', 'chainPartName': '2j20_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 356, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j20_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': '2j10_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 331, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': '2j10_320eta490_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '10', 'chainPartName': 'j10_ion_p320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 292, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j10_ion_p320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 594, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3353, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J15', 'j35_gsc55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j35_gsc55_bmv2c2060_split_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10t_lcw_jes_L1J75', 'recoAlg': 'a10t', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 761, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10t_lcw_jes_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '2j30_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 100, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j75_ion_2j30_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '550', 'chainPartName': 'ht550_L1HT150-J20.ETA31', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 852, 'signature': 'HT', 'L1item': 'L1_HT150-J20.ETA31', 'chainName': 'ht550_L1HT150-J20.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 962, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j75_bmv2c2060_split_3j75_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '5j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 534, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10_nojcalib_L1J75', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 621, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10_nojcalib_L1J75'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1169, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_0eta490_L1TE10'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE10', 'chainName': 'hi_upc_FgapA_j10_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3500, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_ivarmedium', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_ivarmedium_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_nojcalib_L1HT190-J15.ETA21', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 839, 'signature': 'Jet', 'L1item': 'L1_HT190-J15.ETA21', 'chainName': 'j460_a10_lcw_nojcalib_L1HT190-J15.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '20', 'chainPartName': '2j20_n320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 373, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j20_n320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3489, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_lhloose', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_lhloose_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_a10_lcw_L1J100', 'recoAlg': 'a10', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 655, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_a10_lcw_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 544, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j85_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4013, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_iloose', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_iloose_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c500m900TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c500m900TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 740, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c500m900TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3870, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_bperf_split', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bperf_split_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '30', 'chainPartName': '2j30_ion_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 367, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j30_ion_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1475, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6', 'chainName': 'mu6_j20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3683, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu24', '3j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu24_3j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_L1RD0_FILLED', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 652, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j85_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': '6j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 548, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '6j25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1124, 'signature': 'Jet', 'L1item': 'L1_3J20', 'chainName': 'j45_bperf_3j45_L13J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 1451, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j20'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBjet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j20_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '5j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 539, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1026, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j35_bmv2c2060_split_2j35_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': '2j10_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 370, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '2j10_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1245, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '2j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 781, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': '2j20'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '50', 'chainPartName': 'j50_320eta490_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 92, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j50_320eta490_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10r_L1J100', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 640, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360_a10r_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc110', 'threshold': '60', 'chainPartName': 'j60_gsc110_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 907, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_gsc110_boffperf_split'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1179, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j40_L1J10'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'hi_upc_FgapA_j40_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_ion_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 302, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j25_ion_p320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3485, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhtight_nod0_ivarloose', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'e28_lhtight_nod0_ivarloose_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '480', 'chainPartName': 'j480_a10r_L1J100', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 632, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j480_a10r_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3993, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j55_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU4J15', 'chainName': 'mu4_j55_bperf_split_dr05_dz02_L1BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 992, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j150_2j55_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3692, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_medium_L1EM22VHI', '2j35_0eta490_bmv2c2077_split', '2j35_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_medium_L1EM22VHI_2j35_0eta490_bmv2c2077_split_2j35_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1076, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '3j35_boffperf_split_j35_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '45', 'chainPartName': 'j45_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 433, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_n320eta490_3j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1165, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_boffperf_split_j60_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1127, 'signature': 'Jet', 'L1item': 'L1_3J15.0ETA25', 'chainName': 'j45_bperf_split_3j45_L13J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c100m8000TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c100m8000TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 739, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c100m8000TLA'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1359, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp4100_pusup900_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp4100_pusup900_trk200_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3820, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20', 'chainName': 'e13_etcut_trkcut_j20_perf_xe15_6dphi05_mt25_L1EM12_W-MT25_W-15DPHI-JXE-0_W-15DPHI-EMXE_XS20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_a10r_L1J75', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 628, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j300_a10r_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 146, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j40_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 512, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25_j25_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 511, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j15_j15_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3935, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': '3j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_bmedium_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bmedium', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j30', 'j30_bmedium_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': False, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J20_BTAG-MU4J20', 'chainName': 'mu4_3j30_dr05_j30_bmedium_split_antimatchdr05mu_L13J20_BTAG-MU4J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1342, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp1200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp1200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': '2j10_ion_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 362, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': '2j10_ion_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1190, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j35_bmv2c2070_2j35_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 870, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j55_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1064, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '3j15_gsc35_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1044, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j45_bmv2c2060_split_3j45_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_p320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 314, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j15_p320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1139, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j70_bperf_split_3j70_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '2j15_ion_L1ZDC_A_C_TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 133, 'signature': 'Jet', 'L1item': 'L1_ZDC_A_C_TE5_VTE200', 'chainName': '2j15_ion_L1ZDC_A_C_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3937, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490_invm700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm700'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g25_loose', '2j40_0eta490', '3j25_0eta490_invm700'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g25_loose_2j40_0eta490_3j25_0eta490_invm700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1144, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j70_bmv2c2070_split_3j70_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1103, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 800, 'signature': 'Jet', 'L1item': 'L1_J25', 'chainName': 'j100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3768, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '30', 'chainPartName': '5j30_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhmedium', '5j30_0eta240'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM13VH_3J20', 'chainName': 'e26_lhmedium_5j30_0eta240_L1EM13VH_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3381, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_XS30', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 966, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j75_bmv2c2070_split_3j75_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': 'j10_n320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 275, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j10_n320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10t_lcw_jes_L1J100', 'recoAlg': 'a10t', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['Rate:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 758, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j460_a10t_lcw_jes_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 152, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j40_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3805, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j10_perf', 'xe25'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_W-MT35_XS30_W-15DPHI-JXE-0_W-15DPHI-EMXE', 'chainName': 'e13_etcut_trkcut_xs30_j10_perf_xe25_6dphi15_mt35_L1EM12_W-MT35_XS30_W-15DPHI-JXE-0_W-15DPHI-EMXE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3798, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM22VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g100_tight_iloose', '3j50noL1_L1EM22VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g100_tight_iloose_3j50noL1_L1EM22VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4057, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j100', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_DPHI-J20XE50', 'chainName': 'j100_xe80_L1J40_DPHI-J20XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3513, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhtight_nod0_ivarloose', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e30_lhtight_nod0_ivarloose_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3349, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j35_gsc55_boffperf_split', 'ht300'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': '2j35_gsc55_boffperf_split_ht300_L1HT190-J15s5.ETA21'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_L1J20_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 133, 'signature': 'Jet', 'L1item': 'L1_J20_VZDC_A', 'chainName': 'j60_L1J20_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1195, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j45_boffperf_2j45_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3863, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': '3j25noL1_L1EM22VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g75_tight', '3j25noL1_L1EM22VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'g75_tight_3j25noL1_L1EM22VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '4j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1156, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': 'j75_bmv2c2077_split_3j75_L13J25.0ETA23'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1299, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp4100_pusup900_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp4100_pusup900_trk200_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3884, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j150', 'xe80_tc_lcw'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J75_XE50', 'chainName': 'j150_xe80_tc_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1092, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j110_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3652, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhvloose_nod0_L1EM20VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e26_lhvloose_nod0_L1EM20VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_nojcalib', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 836, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j460_a10_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bmv2c2060_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 921, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bmv2c2060_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3744, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM26VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g85_tight', '3j50noL1_L1EM26VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'g85_tight_3j50noL1_L1EM26VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3447, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', 'j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz99'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU4', 'chainName': 'mu4_j35_bperf_split_dr05_dz99'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3330, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht300_L14J15', '2j55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': '2j55_bmv2c2050_split_ht300_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3844, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e24_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e24_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '4j20_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 394, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_ion_4j20_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1030, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j15_gsc35_bmv2c2070_split_2j15_gsc35_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3512, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhtight_nod0_ivarloose', '2j35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'e28_lhtight_nod0_ivarloose_2j35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10_lcw_nojcalib', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 838, 'signature': 'Jet', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'j460_a10_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split_L14J15.0ETA25', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1032, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j15_gsc35_bmv2c2060_split_2j15_gsc35_boffperf_split_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1128, 'signature': 'Jet', 'L1item': 'L1_3J20', 'chainName': 'j45_bperf_split_3j45_L13J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': '5j60_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 536, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j60_L14J15'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1306, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp2800_trk140_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp2800_trk140_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_n320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 260, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j15_ion_n320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4069, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490_invm600', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['invm600'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', '2j40_0eta490_invm600'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_MJJ-300', 'chainName': 'mu6_2j40_0eta490_invm600'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '65', 'chainPartName': '4j65', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1133, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j65_boffperf_split_3j65_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '20', 'chainPartName': '2j20_ion_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 349, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': '2j20_ion_p320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1ZDC_C_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 138, 'signature': 'Jet', 'L1item': 'L1_ZDC_C_VZDC_A', 'chainName': 'j10_0eta490_L1ZDC_C_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_ion_0eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 157, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j30_ion_0eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_lcw', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoStartFrom': False, 'chainCounter': 9151, 'signature': 'Jet', 'L1item': '', 'chainName': 'j0_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '360', 'chainPartName': 'j360_320eta490_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 611, 'signature': 'Jet', 'L1item': 'L1_J100.31ETA49', 'chainName': 'j360_320eta490_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_ion_p320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 303, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j35_ion_p320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': 'j30_gsc50_bmv2c2040_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2040', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc50', 'threshold': '30', 'chainPartName': '3j30_gsc50_boffperf_split_L14J15', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 949, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': 'j30_gsc50_bmv2c2040_split_3j30_gsc50_boffperf_split_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3930, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '3j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': 'j35_bloose_split_antimatchdr05mu', 'recoAlg': 'a4', 'bTag': 'bloose', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': ['antimatchdr05mu'], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu4', '3j35', 'j35_bloose_split_antimatchdr05mu'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_3J15_BTAG-MU4J15', 'chainName': 'mu4_3j35_dr05_j35_bloose_split_antimatchdr05mu_L13J15_BTAG-MU4J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '40', 'chainPartName': '2j40_320eta490_L1J15.31ETA49', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 345, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': '2j40_320eta490_L1J15.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_deta20_L1MBTS_2', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta20'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 720, 'signature': 'Jet', 'L1item': 'L1_MBTS_2', 'chainName': '2j10_deta20_L1MBTS_2'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_L1J30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 209, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j100_L1J30'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '15', 'chainPartName': 'j15_ion_p320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 296, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j15_ion_p320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c100m300TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c100m300TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 737, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c100m300TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '260', 'chainPartName': 'j260_320eta490_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 696, 'signature': 'Jet', 'L1item': 'L1_J75.31ETA49', 'chainName': 'j260_320eta490_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1230, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_boffperf_split_L13J20_4J20.0ETA49_MJJ-700'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1186, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_RD0_FILLED', 'chainName': 'hi_upc_FgapC_j10_0eta490_L1RD0_FILLED'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1344, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_ion', 'mb_sp2100_trk100_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_ion_mb_sp2100_trk100_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3341, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j35_gsc55_boffperf_split', 'ht300_L14J15'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': '2j35_gsc55_boffperf_split_ht300_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '2j55_gsc75_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1016, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_gsc75_bmv2c2077_split_j55_gsc75_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1182, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j75_boffperf_j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1250, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '40', 'chainPartName': '2j40_n320eta490_L1J15.31ETA49', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 377, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': '2j40_n320eta490_L1J15.31ETA49'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_ion_0eta490_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 390, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j50_ion_2j20_ion_0eta490_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '45', 'chainPartName': '6j45_0eta240_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 551, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '6j45_0eta240_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2077_split_L12J50_XE40', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J50_XE40', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3944, 'signature': 'Jet', 'L1item': 'L1_2J50_XE40', 'chainName': 'j80_bmv2c2077_split_L12J50_XE40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3340, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_boffperf_split', 'ht300_L14J15'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': '2j55_boffperf_split_ht300_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '55', 'chainPartName': 'j55_ion_n320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 270, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_ion_n320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4072, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j60'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet', 'BW:Muon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_BTAG-MU6J25', 'chainName': 'mu6_j60_dr05_L1BTAG-MU6J25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_cleanT', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'cleanT', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 666, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_cleanT'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 816, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j175_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'boffperf', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1082, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc225', 'threshold': '175', 'chainPartName': 'j175_gsc225_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 921, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_gsc225_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3522, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e30_lhtight_nod0_ivarloose', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM26VHI', 'chainName': 'e30_lhtight_nod0_ivarloose_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3801, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': '3j50noL1_L1EM24VHI', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g100_tight_iloose', '3j50noL1_L1EM24VHI'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM24VHI', 'chainName': 'g100_tight_iloose_3j50noL1_L1EM24VHI'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 150, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': '2j10_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mb_mbts_vetombts1side2in', '2j10_ion'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:UPC', 'BW:UPC'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_XOR_TE5_VTE200', 'chainName': '2j10_ion_mb_mbts_vetombts1side2in_L1ZDC_XOR_TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainCounter': 3630, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j80', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_XE50', 'chainName': 'j80_xe80'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3992, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j400'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j400_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '125', 'chainPartName': 'j125', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 820, 'signature': 'Jet', 'L1item': 'L1_J50', 'chainName': 'j125'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '55', 'chainPartName': 'j55_320eta490_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 232, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_320eta490_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta240', 'threshold': '80', 'chainPartName': 'j80_0eta240', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 700, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J25_J20.31ETA49', 'chainName': 'j80_0eta240_j60_j45_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1099, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j45_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3467, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_2dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-05DPHI-JXE-0_W-05DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc400', 'threshold': '225', 'chainPartName': 'j225_gsc400_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 915, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_gsc400_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc150', 'threshold': '110', 'chainPartName': 'j110_gsc150_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': '2j35_gsc55_bmv2c2077_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 996, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j110_gsc150_boffperf_split_2j35_gsc55_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '5', 'chainPartName': 'j5_ion_L1TE5_VTE200', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:UPC', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 105, 'signature': 'Jet', 'L1item': 'L1_TE5_VTE200', 'chainName': 'j5_ion_L1TE5_VTE200'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '45', 'chainPartName': 'j45_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 439, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_p320eta490_3j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490_L1RD0_FILLED_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:UPC'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 104, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED_VZDC_A', 'chainName': 'j10_0eta490_L1RD0_FILLED_VZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'PS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_jes_cleanLLP_PS_llp_pufix_L1LLP-RO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['llp', 'pufix'], 'TLA': '', 'cleaning': 'cleanLLP', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 4009, 'signature': 'Jet', 'L1item': 'L1_LLP-RO', 'chainName': 'j30_jes_cleanLLP_PS_llp_pufix_L1LLP-RO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_L12J50_XE40', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J50_XE40', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3955, 'signature': 'Jet', 'L1item': 'L1_2J50_XE40', 'chainName': 'j80_boffperf_L12J50_XE40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': '10j40_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '10', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 583, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '10j40_L14J20'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1176, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j30_0eta490_L1TE20'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_TE20', 'chainName': 'hi_upc_FgapA_j30_0eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '40', 'chainPartName': '2j40_320eta490_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 336, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j40_320eta490_ion'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2050', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bmv2c2050_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 884, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_bmv2c2050_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '700', 'chainPartName': 'ht700', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 853, 'signature': 'HT', 'L1item': 'L1_HT190-J15s5.ETA21', 'chainName': 'ht700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 896, 'signature': 'Jet', 'L1item': 'L1_J85', 'chainName': 'j320_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1243, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bmv2c2085_split_L13J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_ion_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 77, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j75_ion_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_a10_lcw_subjes_L1SC85', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 754, 'signature': 'Jet', 'L1item': 'L1_SC85', 'chainName': 'j300_a10_lcw_subjes_L1SC85'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '225', 'chainPartName': 'j225_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1111, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j225_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3875, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_boffperf', 'ht500_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j55_boffperf_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4074, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j50', '2j35'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_3J15_BTAG-MU6J25', 'chainName': 'mu6_j50_dr05_2j35_L13J15_BTAG-MU6J25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 684, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_noiso_L1MU4_EMPTY', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx', 'noiso'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3766, 'signature': 'Jet', 'L1item': 'L1_MU4_EMPTY', 'chainName': 'j30_muvtx_noiso_L1MU4_EMPTY'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '6j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 558, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '6j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 897, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3516, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2e17_lhloose', '2j15_gsc35_boffperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2EM15VH', 'chainName': '2e17_lhloose_2j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3986, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j85'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J20', 'chainName': 'mu6_j85_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1252, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bmv2c2077_split_L13J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1235, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bmv2c2085_split_L1J30_2J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_lcw_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 751, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360_a10_lcw_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': 'j10_n320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 274, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j10_n320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c200m400TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c200m400TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 732, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c200m400TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3364, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500', 'j35_gsc55_bmv2c2060_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j35_gsc55_bmv2c2060_split_ht500_L1HT150-J20s5.ETA31'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 958, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': 'j70_bmv2c2077_split_3j70_L14J15.0ETA25'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1328, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40', 'mb_sp3500_trk180_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J10', 'chainName': 'j40_mb_sp3500_trk180_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': '3j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1009, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j75_bmv2c2060_split_j75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 238, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j15_320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1035, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '2j45_bmv2c2070_split_2j45_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '3j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1063, 'signature': 'Jet', 'L1item': 'L1_3J20', 'chainName': '3j15_gsc35_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '55', 'chainPartName': 'j55_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '3j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 442, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j55_p320eta490_3j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 228, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j35_320eta490_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1019, 'signature': 'Jet', 'L1item': 'L1_4J15.0ETA25', 'chainName': '2j35_boffperf_split_2j35_L14J15.0ETA25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 179, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j20_0eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '460', 'chainPartName': 'j460_a10r', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 864, 'signature': 'Jet', 'L1item': 'L1_HT150-J20s5.ETA31', 'chainName': 'j460_a10r'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3380, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e18_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi05', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_XS30', 'chainName': 'e18_etcut_trkcut_xs30_j15_perf_xe30_6dphi05_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-800', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1246, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-800', 'chainName': '2j55_bperf_L13J20_4J20.0ETA49_MJJ-800'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3975, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '50', 'chainPartName': 'j50_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_deta30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta30'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j50_0eta490', 'j30_0eta490_deta30', 'xe80'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J40_XE50', 'chainName': 'j50_0eta490_j30_0eta490_deta30_xe80_L1J40_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3481, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu26_imedium', '2j35_bperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU20', 'chainName': 'mu26_imedium_2j35_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['MinBias'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_L1AFP_C_AND', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['BW:MinBias', 'RATE:MinBias'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 713, 'signature': 'Jet', 'L1item': 'L1_AFP_C_AND', 'chainName': 'j15_320eta490_L1AFP_C_AND'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3842, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': 'j15_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e24_etcut_trkcut', 'xs30', 'j15_perf', 'xe30'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE', 'chainName': 'e24_etcut_trkcut_xs30_j15_perf_xe30_6dphi15_mt35_L1EM15_W-MT35_W-250RO2-XEHT-0_W-15DPHI-JXE-0_W-15DPHI-EM15XE'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4019, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '5j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhvloose_L1EM18VH', '5j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM18VH', 'chainName': 'e24_lhvloose_L1EM18VH_5j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260_a10r_L1J75', 'recoAlg': 'a10r', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 627, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j260_a10r_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': 'bmv2c2060', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '3j45_bmv2c2060_split_L13J35.0ETA23', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 970, 'signature': 'Jet', 'L1item': 'L1_3J35.0ETA23', 'chainName': '3j45_bmv2c2060_split_L13J35.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3460, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '320', 'chainPartName': 'j320_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j320_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j320_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3962, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '500', 'chainPartName': 'ht500_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j55_boffperf_split', 'ht500_L1J100'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J100', 'chainName': 'j55_boffperf_split_ht500_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3334, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': 'j55_bmv2c2060', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J15', 'j55_bmv2c2060'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J15', 'chainName': 'j55_bmv2c2060_ht500_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1220, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_bperf_split_L1J30_2J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3386, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'j20_perf', 'xe15'], 'mergingPreserveL2EFOrder': True, 'topo': ['2dphi05', 'mt25'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_j20_perf_xe15_2dphi05_mt25'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c800m1000TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c800m1000TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 736, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c800m1000TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3355, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc55', 'threshold': '35', 'chainPartName': 'j35_gsc55_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['ht500_L14J20', 'j35_gsc55_bmv2c2050_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': 'j35_gsc55_bmv2c2050_split_ht500_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '4j55', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1210, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_bperf_split_2j55_L13J25.0ETA23'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '2j55_gsc75_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1015, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j55_gsc75_bmv2c2070_split_j55_gsc75_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_ion_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 64, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j25_ion_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': '5j60', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 535, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '5j60'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J12', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 809, 'signature': 'Jet', 'L1item': 'L1_J12', 'chainName': 'j40_L1J12'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-900', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1228, 'signature': 'Jet', 'L1item': 'L1_J30_2J20_4J20.0ETA49_MJJ-900', 'chainName': '2j55_boffperf_split_L1J30_2J20_4J20.0ETA49_MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '25', 'chainPartName': 'j25_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 320, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j25_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': 'j20_ion_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 140, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j20_ion_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '110', 'chainPartName': 'j110_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1109, 'signature': 'Jet', 'L1item': 'L1_J30', 'chainName': 'j110_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3667, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e24_lhmedium_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e24_lhmedium_nod0_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_L1J10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 200, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc225', 'threshold': '175', 'chainPartName': 'j175_gsc225_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 910, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j175_gsc225_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '4j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1135, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': 'j70_bperf_3j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490_L1J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 405, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_2j20_0eta490_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3990, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '260', 'chainPartName': 'j260', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j260'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J75', 'chainName': 'mu6_j260_dr05'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_bmv2c2070_split_L1J15', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 449, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j50_bmv2c2070_split_L1J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3979, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': '2j30_0eta490_deta35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta35'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j30_0eta490_deta35', 'xe80_tc_lcw'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_DPHI-AJ20s2XE50', 'chainName': '2j30_0eta490_deta35_xe80_tc_lcw_L1DPHI-AJ20s2XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_p320eta490_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 324, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j35_p320eta490_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 810, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j50_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '2j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 778, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_2j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': 'j45_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1108, 'signature': 'Jet', 'L1item': 'L1_J15', 'chainName': 'j45_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2085_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '45', 'chainPartName': 'j45_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1158, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_2J25_J20.31ETA49', 'chainName': 'j80_bmv2c2085_split_j60_bmv2c2085_split_j45_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4067, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': '2j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '25', 'chainPartName': '3j25_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['g20_loose', '2j40_0eta490', '3j25_0eta490'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MJJ-900', 'chainName': 'g20_loose_2j40_0eta490_3j25_0eta490_L1MJJ-900'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3448, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j150_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz99'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J40', 'chainName': 'mu6_j150_bperf_split_dr05_dz99'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'bTag': 'bmv2c2077', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bmv2c2077_split', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 915, 'signature': 'Jet', 'L1item': 'L1_J75_3J20', 'chainName': 'j100_2j55_bmv2c2077_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3457, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': 'j175_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu6', 'j175_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': ['dr05', 'dz02'], 'mergingOffset': -1, 'groups': ['RATE:MuonBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_MU6_J40', 'chainName': 'mu6_j175_bperf_split_dr05_dz02'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1289, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'mb_sp4100_trk200_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_mb_sp4100_trk200_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '35', 'chainPartName': 'j35_p320eta490_L1TE20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 323, 'signature': 'Jet', 'L1item': 'L1_TE20', 'chainName': 'j35_p320eta490_L1TE20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '75', 'chainPartName': 'j75_bmv2c2077_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 462, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j75_bmv2c2077_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'bTag': '', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '5j35', 'recoAlg': 'a4', 'trigType': 'j', 'extra': '', 'calib': 'em', 'jetCalib': 'subjes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 887, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j35_bmv2c2077_split_3j35'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3649, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '15', 'chainPartName': '6j15noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '6', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_nod0_L1EM20VH', '6j15noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_nod0_L1EM20VH_6j15noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '2j25_gsc45_bmv2c2050_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2050', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc45', 'threshold': '25', 'chainPartName': '3j25_gsc45_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1051, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j25_gsc45_bmv2c2050_split_3j25_gsc45_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Late'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_muvtx_noiso_L1MU4_UNPAIRED_ISO', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['muvtx', 'noiso'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3556, 'signature': 'Jet', 'L1item': 'L1_MU4_UNPAIRED_ISO', 'chainName': 'j30_muvtx_noiso_L1MU4_UNPAIRED_ISO'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '175', 'chainPartName': '3j175', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 517, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': '3j175'},
{'EBstep': -1, 'signatures': '', 'stream': ['DataScouting_05_Jets'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_ds1_L1J100', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': 'ds1'}], 'topo': [], 'groups': ['RATE:Jets_DS', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 502, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_perf_ds1_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '10', 'chainPartName': 'j10_320eta490_ion_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 218, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j10_320eta490_ion_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '100', 'chainPartName': 'j100_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 477, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j100_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1177, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_bperf_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_lcw_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 575, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_lcw_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_1i2c200m8000TLA', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '1i2c200m8000TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 670, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_1i2c200m8000TLA'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': '2j55_gsc75_bmv2c2060_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2060', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc75', 'threshold': '55', 'chainPartName': 'j55_gsc75_boffperf_split_L13J40', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1014, 'signature': 'Jet', 'L1item': 'L1_3J40', 'chainName': '2j55_gsc75_bmv2c2060_split_j55_gsc75_boffperf_split_L13J40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_L1TE5', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 239, 'signature': 'Jet', 'L1item': 'L1_TE5', 'chainName': 'j15_320eta490_L1TE5'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '60', 'chainPartName': 'j60_bmv2c2077_split_L1J20', 'recoAlg': 'a4', 'bTag': 'bmv2c2077', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 458, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j60_bmv2c2077_split_L1J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3493, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_nod0_ivarloose', '2j35_bperf_split'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_nod0_ivarloose_2j35_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '45', 'chainPartName': 'j45_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': '2j20_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 438, 'signature': 'Jet', 'L1item': 'L1_J15.31ETA49', 'chainName': 'j45_p320eta490_2j20_0eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': '2j50_gsc65_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc65', 'threshold': '50', 'chainPartName': 'j50_gsc65_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 998, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j50_gsc65_bmv2c2070_split_j50_gsc65_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3964, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '2j45_bmv2c2070_split', 'recoAlg': 'a4', 'bTag': 'bmv2c2070', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j45_bmv2c2070_split', 'xe80_mht'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': '2j45_bmv2c2070_split_xe80_mht_L12J15_XE55'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3803, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_perf', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': ''}], 'mergingOrder': ['e13_etcut_trkcut', 'xs30', 'j10_perf', 'xe25'], 'mergingPreserveL2EFOrder': True, 'topo': ['6dphi15', 'mt35'], 'mergingOffset': -1, 'groups': ['RATE:EgammaMET', 'BW:Egamma', 'BW:MET'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM12_XS20', 'chainName': 'e13_etcut_trkcut_xs30_j10_perf_xe25_6dphi15_mt35'},
{'EBstep': -1, 'signatures': '', 'stream': ['HardProbes', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '50', 'chainPartName': 'j50_ion_L1TE50', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 70, 'signature': 'Jet', 'L1item': 'L1_TE50', 'chainName': 'j50_ion_L1TE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3502, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '2j35_boffperf', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e26_lhtight_nod0_ivarloose', '2j35_boffperf'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:BJet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM22VHI', 'chainName': 'e26_lhtight_nod0_ivarloose_2j35_boffperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '420', 'chainPartName': 'j420_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 900, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j420_boffperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_split_L12J50_XE40', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_2J50_XE40', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3864, 'signature': 'Jet', 'L1item': 'L1_2J50_XE40', 'chainName': 'j80_boffperf_split_L12J50_XE40'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'p320eta490', 'threshold': '65', 'chainPartName': 'j65_ion_p320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 309, 'signature': 'Jet', 'L1item': 'L1_J20.31ETA49', 'chainName': 'j65_ion_p320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': 'n320eta490', 'threshold': '10', 'chainPartName': 'j10_n320eta490_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 273, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j10_n320eta490_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '15', 'chainPartName': 'j15_320eta490_ion_L1MBTS_1_1', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 219, 'signature': 'Jet', 'L1item': 'L1_MBTS_1_1', 'chainName': 'j15_320eta490_ion_L1MBTS_1_1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '70', 'chainPartName': '3j70', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1178, 'signature': 'Jet', 'L1item': 'L1_3J25.0ETA23', 'chainName': '2j70_boffperf_j70'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '55', 'chainPartName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-700', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1222, 'signature': 'Jet', 'L1item': 'L1_3J20_4J20.0ETA49_MJJ-700', 'chainName': '2j55_bperf_split_L13J20_4J20.0ETA49_MJJ-700'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '20', 'chainPartName': 'j20_0eta490_L1TE20_VZDC_A', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 121, 'signature': 'Jet', 'L1item': 'L1_TE20_VZDC_A', 'chainName': 'j20_0eta490_L1TE20_VZDC_A'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1192, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapC', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_ZDC_A', 'chainName': 'hi_upc_FgapC_j10_0eta490_L1ZDC_A'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '175', 'chainPartName': 'j175_320eta490_lcw', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 689, 'signature': 'Jet', 'L1item': 'L1_J50.31ETA49', 'chainName': 'j175_320eta490_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': '5j85_nojcalib_L14J15', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 574, 'signature': 'Jet', 'L1item': 'L1_4J15', 'chainName': '5j85_nojcalib_L14J15'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3761, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '3j20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '3', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['mu14_ivarloose', '3j20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MuonJet', 'BW:Muon', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': True, 'L1item': 'L1_MU10_3J20', 'chainName': 'mu14_ivarloose_3j20_L1MU10_3J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3562, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe10'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor100'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe10_razor100'},
{'EBstep': 1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 1302, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30_ion', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30_ion', 'mb_sp1200_trk60_hmt'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:Muon', 'RATE:SingleMuon'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_J5', 'chainName': 'j30_ion_mb_sp1200_trk60_hmt'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_ion_0eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'ion', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 145, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j30_ion_0eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'gscThreshold': 'gsc35', 'threshold': '15', 'chainPartName': '2j15_gsc35_boffperf_split_L14J20', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1018, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j15_gsc35_boffperf_split_2j15_gsc35_boffperf_split_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '30', 'chainPartName': '2j30_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '2', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 343, 'signature': 'Jet', 'L1item': 'L1_J10.31ETA49', 'chainName': '2j30_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1113, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85_nojcalib', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'nojcalib', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 831, 'signature': 'Jet', 'L1item': 'L1_J20', 'chainName': 'j85_nojcalib'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '25', 'chainPartName': 'j25_320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 243, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j25_320eta490_L1TE10'},
{'EBstep': 1, 'signatures': '', 'stream': ['UPC'], 'chainCounter': 1165, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '10', 'chainPartName': 'j10_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['hi_upc_FgapA', 'j10_0eta490'], 'mergingPreserveL2EFOrder': False, 'topo': [], 'mergingOffset': -1, 'groups': ['BW:UPC', 'RATE:UPCJets'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_RD0_FILLED', 'chainName': 'hi_upc_FgapA_j10_0eta490_L1RD0_FILLED'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '25', 'chainPartName': 'j25_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1089, 'signature': 'Jet', 'L1item': 'L1_RD0_FILLED', 'chainName': 'j25_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3565, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor100'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe60_razor100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '360', 'chainPartName': 'j360_a10_sub_L1J100', 'recoAlg': 'a10', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'sub', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 826, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j360_a10_sub_L1J100'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '150', 'chainPartName': 'j150_bperf_split', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 882, 'signature': 'Jet', 'L1item': 'L1_J40', 'chainName': 'j150_bperf_split'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '400', 'chainPartName': 'j400_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 678, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j400_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '80', 'chainPartName': 'j80_boffperf_split_L1J400ETA25_XE50', 'recoAlg': 'a4', 'bTag': 'boffperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': 'L1_J40.0ETA25_XE50', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:JetMET', 'BW:MET', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 3952, 'signature': 'Jet', 'L1item': 'L1_J40.0ETA25_XE50', 'chainName': 'j80_boffperf_split_L1J400ETA25_XE50'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '4j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1126, 'signature': 'Jet', 'L1item': 'L1_3J20', 'chainName': 'j45_boffperf_3j45_L13J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '45', 'chainPartName': '5j45', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '5', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1045, 'signature': 'Jet', 'L1item': 'L1_5J15.0ETA25', 'chainName': '2j45_bmv2c2070_split_3j45'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 4032, 'chainParts': [{'trigType': 'ht', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'ht300_L14J20', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'HT', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['2j55_bmedium', 'ht300_L14J20'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:MultiBJet', 'BW:BJet', 'BW:Jet'], 'signature': 'HT', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_4J20', 'chainName': '2j55_bmedium_ht300_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['ExoDelayed'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_0i1c500m900TLA_delayed', 'recoAlg': 'a4', 'bTag': '', 'extra': 'delayed', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '0i1c500m900TLA', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:ExoDelayed', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 702, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j0_0i1c500m900TLA_delayed'},
{'EBstep': -1, 'signatures': '', 'stream': ['UPC'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '10', 'chainPartName': 'j10_L1J5_VZDC_C', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 116, 'signature': 'Jet', 'L1item': 'L1_J5_VZDC_C', 'chainName': 'j10_L1J5_VZDC_C'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3566, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '30', 'chainPartName': 'j30', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j30', 'xe60'], 'mergingPreserveL2EFOrder': True, 'topo': ['razor170'], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_2J15_XE55', 'chainName': 'j30_xe60_razor170'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3647, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '20', 'chainPartName': '4j20noL1', 'recoAlg': 'a4', 'bTag': '', 'extra': 'noL1', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['e28_lhvloose_nod0_L1EM20VH', '4j20noL1'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:EgammaJet', 'BW:Egamma', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_EM20VH', 'chainName': 'e28_lhvloose_nod0_L1EM20VH_4j20noL1'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '40', 'chainPartName': 'j40_bmv2c2085_split_L1J10', 'recoAlg': 'a4', 'bTag': 'bmv2c2085', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': ['split'], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 447, 'signature': 'Jet', 'L1item': 'L1_J10', 'chainName': 'j40_bmv2c2085_split_L1J10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '380', 'chainPartName': 'j380_lcw_jes', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'lcw', 'jetCalib': 'jes', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 675, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j380_lcw_jes'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainCounter': 3972, 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '40', 'chainPartName': 'j40_0eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta490', 'threshold': '30', 'chainPartName': 'j30_0eta490_deta25', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': ['deta25'], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'mergingOrder': ['j40_0eta490', 'j30_0eta490_deta25', 'xe80_tc_lcw'], 'mergingPreserveL2EFOrder': True, 'topo': [], 'mergingOffset': -1, 'groups': ['RATE:JetMET', 'BW:Jet'], 'signature': 'Jet', 'topoThreshold': None, 'mergingStrategy': 'serial', 'topoStartFrom': False, 'L1item': 'L1_XE60', 'chainName': 'j40_0eta490_j30_0eta490_deta25_xe80_tc_lcw'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '35', 'chainPartName': '4j35', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '4', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1021, 'signature': 'Jet', 'L1item': 'L1_4J20', 'chainName': '2j35_bmv2c2050_split_2j35_L14J20'},
{'EBstep': -1, 'signatures': '', 'stream': ['DataScouting_05_Jets'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '0', 'chainPartName': 'j0_perf_ds1_L1J75', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': ['perf'], 'dataScouting': 'ds1'}], 'topo': [], 'groups': ['RATE:Jets_DS', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 501, 'signature': 'Jet', 'L1item': 'L1_J75', 'chainName': 'j0_perf_ds1_L1J75'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '35', 'chainPartName': 'j35_320eta490_L1TE10', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 771, 'signature': 'Jet', 'L1item': 'L1_TE10', 'chainName': 'j35_320eta490_L1TE10'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '300', 'chainPartName': 'j300_bperf', 'recoAlg': 'a4', 'bTag': 'bperf', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleBJet', 'BW:BJet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 1096, 'signature': 'Jet', 'L1item': 'L1_J100', 'chainName': 'j300_bperf'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '0eta320', 'threshold': '85', 'chainPartName': 'j85', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}, {'trigType': 'j', 'scan': 'FS', 'etaRange': '320eta490', 'threshold': '85', 'chainPartName': 'j85_320eta490', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:MultiJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 776, 'signature': 'Jet', 'L1item': 'L1_J20_J20.31ETA49', 'chainName': 'j85_j85_320eta490'},
{'EBstep': -1, 'signatures': '', 'stream': ['Main', 'express'], 'chainParts': [{'trigType': 'j', 'scan': 'FS', 'etaRange': '280eta320', 'threshold': '60', 'chainPartName': 'j60_280eta320', 'recoAlg': 'a4', 'bTag': '', 'extra': '', 'calib': 'em', 'jetCalib': 'subjesIS', 'L1item': '', 'bTracking': '', 'dataType': 'tc', 'bMatching': [], 'topo': [], 'TLA': '', 'cleaning': 'noCleaning', 'bConfig': [], 'multiplicity': '1', 'signature': 'Jet', 'addInfo': [], 'dataScouting': ''}], 'topo': [], 'groups': ['RATE:SingleJet', 'BW:Jet'], 'topoThreshold': None, 'topoStartFrom': False, 'chainCounter': 643, 'signature': 'Jet', 'L1item': 'L1_J20.28ETA31', 'chainName': 'j60_280eta320'},
]
